------------------------------------------------------------------------
r16637 | courmisch | 2006-09-12 21:15:20 +0200 (Tue, 12 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/asf/libasf.c
   M /trunk/modules/demux/mp4/libmp4.c
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/demux/nsc.c
   M /trunk/modules/demux/playlist/b4s.c
   M /trunk/modules/demux/real.c
   M /trunk/modules/demux/subtitle.c
   M /trunk/modules/demux/ts.c
   M /trunk/modules/demux/vobsub.c

Most of demux/

------------------------------------------------------------------------
r16636 | courmisch | 2006-09-12 21:00:51 +0200 (Tue, 12 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/http/macro.c
   M /trunk/modules/control/http/util.c
   M /trunk/modules/control/rc.c

control/

------------------------------------------------------------------------
r16635 | courmisch | 2006-09-12 20:57:45 +0200 (Tue, 12 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/access_filter/record.c
   M /trunk/modules/access_filter/timeshift.c
   M /trunk/modules/audio_filter/converter/a52tospdif.c
   M /trunk/modules/audio_filter/converter/dtstospdif.c
   M /trunk/modules/audio_filter/converter/s16tofloat32swab.c
   M /trunk/modules/audio_output/alsa.c

More

------------------------------------------------------------------------
r16634 | courmisch | 2006-09-12 20:52:13 +0200 (Tue, 12 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/ftp.c
   M /trunk/modules/access/http.c

Warnings

------------------------------------------------------------------------
r16633 | courmisch | 2006-09-12 20:49:41 +0200 (Tue, 12 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/audio_output/input.c
   M /trunk/src/input/control.c
   M /trunk/src/input/es_out.c
   M /trunk/src/input/var.c
   M /trunk/src/interface/interaction.c
   M /trunk/src/misc/messages.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/mtime.c
   M /trunk/src/misc/update.c
   M /trunk/src/misc/vlm.c
   M /trunk/src/network/httpd.c
   M /trunk/src/network/io.c
   M /trunk/src/stream_output/sap.c
   M /trunk/src/stream_output/stream_output.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_intf.c

Ahem: (v)asprintf requires stdio.h; strndup requires string.h

------------------------------------------------------------------------
r16632 | courmisch | 2006-09-12 20:35:04 +0200 (Tue, 12 Sep 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/extras/m4/autoconf260.m4
   M /trunk/vlc-config.in.in

Modernize configure.ac a bit

------------------------------------------------------------------------
r16631 | courmisch | 2006-09-12 20:03:45 +0200 (Tue, 12 Sep 2006) | 3 lines
Changed paths:
   M /trunk/bootstrap
   M /trunk/configure.ac
   A /trunk/extras/m4
   A /trunk/extras/m4/autoconf260.m4
   M /trunk/m4

Revert lame revert from [16628].
Provide trivial work-around for users of obsolete autoconf

------------------------------------------------------------------------
r16630 | courmisch | 2006-09-12 19:47:05 +0200 (Tue, 12 Sep 2006) | 2 lines
Changed paths:
   M /trunk/bootstrap

Fortunately, VLC is not using CVS anymore.

------------------------------------------------------------------------
r16628 | damienf | 2006-09-12 19:03:39 +0200 (Tue, 12 Sep 2006) | 3 lines
Changed paths:
   M /trunk/bootstrap
   M /trunk/configure.ac

- bootstrap: removed vlcintf.h
- configure.ac: autoconf 2.59c is not yet supported in Cygwin, added Wine support for ActiveX plugin

------------------------------------------------------------------------
r16624 | sam | 2006-09-12 14:19:33 +0200 (Tue, 12 Sep 2006) | 3 lines
Changed paths:
   M /trunk/src/network/io.c

  * src/network/io.c: zorglub: gnagnagna ! :)
    (fixed more coding style, and resolved a conflict I introduced)

------------------------------------------------------------------------
r16623 | sam | 2006-09-12 14:17:41 +0200 (Tue, 12 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/network/io.c

  * src/misc/network/io.c: coding style fixes.

------------------------------------------------------------------------
r16622 | courmisch | 2006-09-11 21:53:18 +0200 (Mon, 11 Sep 2006) | 3 lines
Changed paths:
   M /trunk/src/network/rootwrap.c

***Partial*** Solaris compile fix
(you don't expect me to actual try to compile VLC on puma.cti.ecp.fr, do you?)

------------------------------------------------------------------------
r16621 | courmisch | 2006-09-11 18:36:07 +0200 (Mon, 11 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/network/io.c

Improve socket polling logic so that errors to avoid silencing errors.

------------------------------------------------------------------------
r16619 | sam | 2006-09-11 17:12:33 +0200 (Mon, 11 Sep 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

  * configure.ac: don't add AltiVec modules twice.

------------------------------------------------------------------------
r16618 | jb | 2006-09-11 15:34:17 +0200 (Mon, 11 Sep 2006) | 4 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/x264-svn-win32.patch

*Contribs: Yet another x264 patch



------------------------------------------------------------------------
r16617 | jb | 2006-09-11 14:14:17 +0200 (Mon, 11 Sep 2006) | 4 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   D /trunk/extras/contrib/src/Patches/tiff-cross.patch
   D /trunk/extras/contrib/src/Patches/tiff.patch
   M /trunk/extras/contrib/src/packages.mak

* Contribs: Remove unneeded files
* Contribs: change gz => bz2 for autoconf package


------------------------------------------------------------------------
r16616 | jb | 2006-09-11 13:49:57 +0200 (Mon, 11 Sep 2006) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak

* Contribs: attempt to update Tiff/SDL/SDL_image


------------------------------------------------------------------------
r16615 | zorglub | 2006-09-11 13:32:31 +0200 (Mon, 11 Sep 2006) | 2 lines
Changed paths:
   A /trunk/share/profiles/vsp.xsd

Up-to-date schema for profiles

------------------------------------------------------------------------
r16613 | sam | 2006-09-11 12:51:16 +0200 (Mon, 11 Sep 2006) | 3 lines
Changed paths:
   M /trunk/bootstrap
   M /trunk/mozilla/Makefile.am
   M /trunk/src/Makefile.am

  * No longer use the $(pic) variable, since all flags are properly set
    in the configure script.

------------------------------------------------------------------------
r16611 | sam | 2006-09-11 11:07:58 +0200 (Mon, 11 Sep 2006) | 2 lines
Changed paths:
   M /trunk/mozilla/Makefile.am
   M /trunk/src/Makefile.am

  * Don't use PIC on WIN32.

------------------------------------------------------------------------
r16608 | sam | 2006-09-11 10:20:43 +0200 (Mon, 11 Sep 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/mozilla/Makefile.am

  * Always use PIC to build the Mozilla plugin.

------------------------------------------------------------------------
r16607 | zorglub | 2006-09-11 08:07:47 +0200 (Mon, 11 Sep 2006) | 7 lines
Changed paths:
   A /trunk/share/profiles
   A /trunk/share/profiles/en
   A /trunk/share/profiles/en/http_transcode.vsp

Profile sample.
* Remove the l10n stuff, we'll handle it through po4a
* Add the ability to put several profiles in a file
* Split out the name of the elements
* Remove the prefix
Schema is not yet up-to-date.

------------------------------------------------------------------------
r16606 | zorglub | 2006-09-10 23:58:29 +0200 (Sun, 10 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/video_output/vout_subpictures.c

Remove useless debug

------------------------------------------------------------------------
r16604 | fkuehne | 2006-09-10 22:43:14 +0200 (Sun, 10 Sep 2006) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj

* remove non-committed files from target to make buildbot happy. You obviously need to restore this to get a panel with icons
------------------------------------------------------------------------
r16602 | zorglub | 2006-09-10 22:36:09 +0200 (Sun, 10 Sep 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences.cpp
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/qt4.cpp
   M /trunk/modules/gui/qt4/qt4.hpp

A bit of cleanup
Add the qtu (Qt To Utf8) and qta (Qt To Ascii) macros

------------------------------------------------------------------------
r16600 | dionoea | 2006-09-10 22:21:14 +0200 (Sun, 10 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/libvlc.h

vout-filter is now part of the video-filter option. (video output core still needs to be fixed) Based on patch by hobophobe on IRC.

------------------------------------------------------------------------
r16599 | zorglub | 2006-09-10 22:20:21 +0200 (Sun, 10 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/transcode.c

Fix typo

------------------------------------------------------------------------
r16598 | fkuehne | 2006-09-10 22:17:19 +0200 (Sun, 10 Sep 2006) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/embeddedwindow.m
   M /trunk/modules/gui/macosx/intf.h

* removed some further hangover from the original patch and finally added embeddedWindow to the xcode project
------------------------------------------------------------------------
r16597 | fkuehne | 2006-09-10 22:12:12 +0200 (Sun, 10 Sep 2006) | 16 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/keyedobjects.nib
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/gui/macosx/Modules.am
   M /trunk/modules/gui/macosx/controls.h
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/embeddedwindow.m
   A /trunk/modules/gui/macosx/fspanel.h
   A /trunk/modules/gui/macosx/fspanel.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/vout.m

* New Fullscreen controller panel
- basically written by Jerome Decoodt <djc at videolan dot org> aka DiDjCodt
plus
- various patches, coding-style fixes, etc. here and there
- integration to VLCControls
- automagic fading-in and -out when in fullscreen mode

TODO:
- get and use native graphics. These are currently being prepared by Simon Damkjaer Andersen, who already donated new playback mode icons (to be committed soon)
- implement the volume slider
- fix seeking with the time slider
- check for memory leaks
- further clean-up

ATTENTION:
for the moment, you need certain images from Jerome's patch to get this running. Put them to extras/MacOSX/Resources/ and it'll work. Otherwise, VLC won't crash, but only show strings.
------------------------------------------------------------------------
r16596 | zorglub | 2006-09-10 21:00:21 +0200 (Sun, 10 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/playlist.cpp
   M /trunk/modules/gui/qt4/dialogs/playlist.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/menus.cpp

Fix SD support

------------------------------------------------------------------------
r16593 | courmisch | 2006-09-10 19:54:17 +0200 (Sun, 10 Sep 2006) | 2 lines
Changed paths:
   M /trunk/bootstrap

Also control plugin export table

------------------------------------------------------------------------
r16592 | courmisch | 2006-09-10 19:46:50 +0200 (Sun, 10 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src

Blind svn:ignore update

------------------------------------------------------------------------
r16590 | courmisch | 2006-09-10 19:40:29 +0200 (Sun, 10 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am
   M /trunk/vlc-api.pl

Ensure libvlc only export symbols from libvlc API

------------------------------------------------------------------------
r16589 | zorglub | 2006-09-10 19:18:33 +0200 (Sun, 10 Sep 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp

Handle more hotkeys
Prevent the volume slider from stealing the focus

------------------------------------------------------------------------
r16586 | xtophe | 2006-09-10 19:00:09 +0200 (Sun, 10 Sep 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Don't build stream_out_switcher by default

------------------------------------------------------------------------
r16583 | sam | 2006-09-10 18:37:47 +0200 (Sun, 10 Sep 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am

  * Makefile.am: add empty versioning information to libvlc.so.

------------------------------------------------------------------------
r16582 | sam | 2006-09-10 18:33:18 +0200 (Sun, 10 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am

 * src/Makefile.am: do not use -avoid-version. [ported from r16581]

------------------------------------------------------------------------
r16580 | dionoea | 2006-09-09 22:19:32 +0200 (Sat, 09 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

Also decode VP6 in flash ... this currently decodes video upside down (example file: http://samples.mplayerhq.hu/FLV/flash8/harrypotter-480x272-450-vp6.flv ). If someone knows how to tell the vout/codec to change line order ...

------------------------------------------------------------------------
r16579 | dionoea | 2006-09-09 21:39:31 +0200 (Sat, 09 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

FFmpeg now has VP5/VP6 decoding (flash uses special variant with codec id VP6F in ffmpeg ... this isn't used in VLC yet)

------------------------------------------------------------------------
r16578 | courmisch | 2006-09-09 15:50:07 +0200 (Sat, 09 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/network/io.c

Switch net_Write to poll() to avoid fd set overflow.

------------------------------------------------------------------------
r16577 | courmisch | 2006-09-09 12:50:29 +0200 (Sat, 09 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/network/io.c

Accept non-socket handles through net_Read* (closes #731)

------------------------------------------------------------------------
r16576 | courmisch | 2006-09-09 12:37:37 +0200 (Sat, 09 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/ftp.c

Fix segfault. FTP access output is now somehow "tested"

------------------------------------------------------------------------
r16575 | courmisch | 2006-09-09 12:24:52 +0200 (Sat, 09 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/ftp.c

More fixes

------------------------------------------------------------------------
r16574 | courmisch | 2006-09-09 12:09:15 +0200 (Sat, 09 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/ftp.c

OSX compile fix

------------------------------------------------------------------------
r16573 | courmisch | 2006-09-09 12:03:06 +0200 (Sat, 09 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/ftp.c

Oups

------------------------------------------------------------------------
r16572 | courmisch | 2006-09-09 11:53:34 +0200 (Sat, 09 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/ftp.c

Untested FTP access output (closes #605)

------------------------------------------------------------------------
r16571 | courmisch | 2006-09-09 11:23:02 +0200 (Sat, 09 Sep 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_access.h

Fix typo

------------------------------------------------------------------------
r16570 | zorglub | 2006-09-09 11:12:23 +0200 (Sat, 09 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/interface/interaction.c

One more outdated copyright

------------------------------------------------------------------------
r16569 | zorglub | 2006-09-09 11:05:11 +0200 (Sat, 09 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/access_output/shout.c
   M /trunk/modules/codec/ffmpeg/mux.c
   M /trunk/modules/demux/playlist/xspf.c
   M /trunk/modules/demux/ts.c
   M /trunk/modules/gui/skins2/commands/cmd_playtree.cpp
   M /trunk/modules/gui/skins2/commands/cmd_playtree.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_tree.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_tree.hpp
   M /trunk/modules/gui/skins2/utils/var_tree.cpp
   M /trunk/modules/gui/skins2/utils/var_tree.hpp
   M /trunk/modules/gui/skins2/vars/playtree.cpp
   M /trunk/modules/gui/skins2/vars/playtree.hpp
   M /trunk/modules/mux/mpeg/ts.c

Copyright stuff

------------------------------------------------------------------------
r16568 | courmisch | 2006-09-09 10:27:55 +0200 (Sat, 09 Sep 2006) | 3 lines
Changed paths:
   M /trunk/modules/access/ftp.c

More cosmetic
(nice reinvention of the while() loop, but I prefer while())

------------------------------------------------------------------------
r16567 | courmisch | 2006-09-09 10:20:18 +0200 (Sat, 09 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/ftp.c

Cosmetic fixes

------------------------------------------------------------------------
r16566 | courmisch | 2006-09-09 10:19:23 +0200 (Sat, 09 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/ftp.c

Don't use someone's else domain in our default values

------------------------------------------------------------------------
r16565 | courmisch | 2006-09-09 09:48:55 +0200 (Sat, 09 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/rtsp.c
   M /trunk/modules/stream_out/rtp.c

Really fix SDP ordering here too (closes #716 again)

------------------------------------------------------------------------
r16564 | courmisch | 2006-09-09 09:43:58 +0200 (Sat, 09 Sep 2006) | 6 lines
Changed paths:
   M /trunk/src/stream_output/sap.c

* Add multicast source filter (RFC4570),
  so that one day we may be able to use IGMPv3/MLDv2 with VLC streams,
* Add recvonly attribute
* Really fix ordering (c= then t= then a=)
* Put type attribute as a session attribute (as per RFC4566)

------------------------------------------------------------------------
r16563 | courmisch | 2006-09-09 09:26:22 +0200 (Sat, 09 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/stream_output/sap.c

Another SDP ordering fix

------------------------------------------------------------------------
r16562 | dionoea | 2006-09-09 00:41:45 +0200 (Sat, 09 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

Add vcrop, vzoom and vratio commands to the rc interface (code duplication is horrible ... i know)

------------------------------------------------------------------------
r16561 | thresh | 2006-09-08 23:42:19 +0200 (Fri, 08 Sep 2006) | 2 lines
Changed paths:
   A /trunk/vlc.spec.alt

ALT Linux VLC specfile

------------------------------------------------------------------------
r16560 | thresh | 2006-09-08 23:30:07 +0200 (Fri, 08 Sep 2006) | 2 lines
Changed paths:
   M /trunk/doc/fortunes.txt

forgot to mention the last fortune is from #videolan 

------------------------------------------------------------------------
r16559 | thresh | 2006-09-08 23:27:21 +0200 (Fri, 08 Sep 2006) | 2 lines
Changed paths:
   M /trunk/doc/fortunes.txt

one more fortune

------------------------------------------------------------------------
r16558 | courmisch | 2006-09-08 21:50:25 +0200 (Fri, 08 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/rtsp.c
   M /trunk/modules/stream_out/rtp.c

Fix SDP line ordering (closes #716)

------------------------------------------------------------------------
r16557 | courmisch | 2006-09-08 21:00:04 +0200 (Fri, 08 Sep 2006) | 3 lines
Changed paths:
   M /trunk/src/network/httpd.c
   M /trunk/src/network/io.c

Complete(?) migration to net_strerror/net_errno
for nicer Win32 error messages

------------------------------------------------------------------------
r16556 | courmisch | 2006-09-08 20:33:32 +0200 (Fri, 08 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/network/error.c

Well, this time maybe

------------------------------------------------------------------------
r16555 | courmisch | 2006-09-08 20:26:50 +0200 (Fri, 08 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/network/error.c

Might fix Win32 compilation

------------------------------------------------------------------------
r16554 | courmisch | 2006-09-08 20:14:25 +0200 (Fri, 08 Sep 2006) | 2 lines
Changed paths:
   M /trunk/include/network.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/network/io.c

Add missing const qualifier and fix warnings

------------------------------------------------------------------------
r16553 | courmisch | 2006-09-08 20:08:39 +0200 (Fri, 08 Sep 2006) | 2 lines
Changed paths:
   M /trunk/share/Makefile.am

Don't rebuild the skin all the time

------------------------------------------------------------------------
r16552 | courmisch | 2006-09-08 20:07:18 +0200 (Fri, 08 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/network/io.c

Actually wreak havoc to the network API.

------------------------------------------------------------------------
r16551 | courmisch | 2006-09-08 19:56:58 +0200 (Fri, 08 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/network/io.c

Fixes

------------------------------------------------------------------------
r16550 | courmisch | 2006-09-08 19:53:14 +0200 (Fri, 08 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/network/io.c
   M /trunk/src/network/tcp.c

Reallow file descriptor above FD_SETSIZE since we now use poll()

------------------------------------------------------------------------
r16549 | courmisch | 2006-09-08 19:51:58 +0200 (Fri, 08 Sep 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/src/network/io.c

Experimental poll()-capable merge of net_Read, net_ReadNonBlock and net_Select

------------------------------------------------------------------------
r16548 | courmisch | 2006-09-08 18:29:56 +0200 (Fri, 08 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/network/io.c

More cleanup

------------------------------------------------------------------------
r16547 | courmisch | 2006-09-08 18:26:49 +0200 (Fri, 08 Sep 2006) | 4 lines
Changed paths:
   M /trunk/src/network/error.c

Add message for most of the Winsock errors
(not compile tested, but since no one else wanted to do such a boring commit,
 you can't complain)

------------------------------------------------------------------------
r16546 | courmisch | 2006-09-08 18:04:29 +0200 (Fri, 08 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/network/io.c

Partial cleanup and improved Windows error messages

------------------------------------------------------------------------
r16545 | sam | 2006-09-08 17:48:21 +0200 (Fri, 08 Sep 2006) | 3 lines
Changed paths:
   M /trunk/modules/stream_out/rtp.c

  * modules/stream_out/rtp.c:
    + Remove SDP file when bailing out. Patch by Fabrice Ollivier.

------------------------------------------------------------------------
r16543 | xtophe | 2006-09-08 00:58:14 +0200 (Fri, 08 Sep 2006) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in
   M /trunk/po/ca.po
   M /trunk/po/cs.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/gl.po
   M /trunk/po/he.po
   M /trunk/po/hi.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ka.po
   M /trunk/po/ko.po
   M /trunk/po/nl.po
   M /trunk/po/oc.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Update-po

------------------------------------------------------------------------
r16542 | xtophe | 2006-09-08 00:20:04 +0200 (Fri, 08 Sep 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

We need the latest autoconf. see [16537]

------------------------------------------------------------------------
r16541 | hartman | 2006-09-08 00:01:06 +0200 (Fri, 08 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/cdda/access.c
   M /trunk/modules/access/vcd/vcd.c
   M /trunk/modules/access/vcdx/access.c

* Reset access->info.b_eof when we search. After you have read up untill the end, (like ps does), you can search back to the beginning, provided the access module allows this.

------------------------------------------------------------------------
r16540 | hartman | 2006-09-07 23:58:59 +0200 (Thu, 07 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/ps.c
   M /trunk/modules/demux/ps.h

* Improve duration calculation

------------------------------------------------------------------------
r16539 | courmisch | 2006-09-07 21:49:30 +0200 (Thu, 07 Sep 2006) | 2 lines
Changed paths:
   M /trunk/include/network.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/network/udp.c

Implement net_SetDSCP() to set Diffserv code point on a socket.

------------------------------------------------------------------------
r16538 | courmisch | 2006-09-07 21:23:03 +0200 (Thu, 07 Sep 2006) | 4 lines
Changed paths:
   M /trunk/include/vlc_threads.h
   M /trunk/modules/misc/gnutls.c

Make GnuTLS use pthread directly rather than VLC's API when appropriate.
This would be needed if libvlc is ever embedded in an application that
also uses GnuTLS.

------------------------------------------------------------------------
r16537 | courmisch | 2006-09-07 21:09:27 +0200 (Thu, 07 Sep 2006) | 3 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/misc/gnutls.c

- Check x509 certificates start and end date (*ahem*)
- Some cleanup

------------------------------------------------------------------------
r16536 | courmisch | 2006-09-07 20:27:41 +0200 (Thu, 07 Sep 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/misc/gnutls.c

Require more recent GnuTLS and get rid of broken algos.

------------------------------------------------------------------------
r16535 | dionoea | 2006-09-07 19:02:46 +0200 (Thu, 07 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/access_output/shout.c

:%s/\t/    /g

------------------------------------------------------------------------
r16534 | damienf | 2006-09-07 00:15:29 +0200 (Thu, 07 Sep 2006) | 2 lines
Changed paths:
   M /trunk/mozilla/vlcplugin.cpp

vlcplugin.cpp: don't forget to increment argc

------------------------------------------------------------------------
r16533 | damienf | 2006-09-07 00:07:22 +0200 (Thu, 07 Sep 2006) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/THANKS
   M /trunk/configure.ac
   M /trunk/modules/video_filter/Modules.am
   A /trunk/modules/video_filter/filter_event_info.h
   A /trunk/modules/video_filter/opencv_example.cpp
   A /trunk/modules/video_filter/opencv_wrapper.c

- OpenCV video filter module by Dugal Harris

------------------------------------------------------------------------
r16532 | zorglub | 2006-09-06 23:32:39 +0200 (Wed, 06 Sep 2006) | 3 lines
Changed paths:
   M /trunk/modules/stream_out/transcode.c

Use the "video filter2" capability for transcode's vfilter option so we don't get vfilter1.
We need to fix the --video-filter option to accept both vfilter1 and vfilter2 and react correctly

------------------------------------------------------------------------
r16531 | xtophe | 2006-09-06 23:30:14 +0200 (Wed, 06 Sep 2006) | 2 lines
Changed paths:
   M /trunk/mozilla/vlcplugin.cpp

Don't use the media library in the mozilla plugin

------------------------------------------------------------------------
r16530 | zorglub | 2006-09-06 23:05:21 +0200 (Wed, 06 Sep 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_config_cat.h
   M /trunk/modules/video_filter/adjust.c
   M /trunk/modules/video_filter/gradient.c
   M /trunk/modules/video_filter/invert.c
   M /trunk/modules/video_filter/psychedelic.c
   M /trunk/modules/video_filter/ripple.c
   M /trunk/modules/video_filter/wave.c

Preferences categories are *not* categories. They are *user* strings.

------------------------------------------------------------------------
r16529 | zorglub | 2006-09-06 23:03:03 +0200 (Wed, 06 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences.cpp

One more encoding fix

------------------------------------------------------------------------
r16528 | jpsaman | 2006-09-06 12:02:20 +0200 (Wed, 06 Sep 2006) | 1 line
Changed paths:
   M /trunk/modules/access_filter/timeshift.c

Typo tha -> that
------------------------------------------------------------------------
r16527 | fkuehne | 2006-09-05 23:11:46 +0200 (Tue, 05 Sep 2006) | 1 line
Changed paths:
   M /trunk/configure.ac

* quick n dirty fix to get the OSX builds compiling for now
------------------------------------------------------------------------
r16526 | dionoea | 2006-09-05 18:42:10 +0200 (Tue, 05 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

FFmpeg now has support for VMware's video codec.

------------------------------------------------------------------------
r16525 | thresh | 2006-09-05 15:22:38 +0200 (Tue, 05 Sep 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

link stream_out_switcher with ffmpeg libs (should fix w32 build)

------------------------------------------------------------------------
r16524 | thresh | 2006-09-05 14:33:53 +0200 (Tue, 05 Sep 2006) | 3 lines
Changed paths:
   M /trunk/configure.ac

We can build ffmpeg and stream_out_switcher as plugins when found by pkg-config.
Can we?

------------------------------------------------------------------------
r16523 | zorglub | 2006-09-05 13:18:44 +0200 (Tue, 05 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/playlist/loadsave.c

Include errno.h

------------------------------------------------------------------------
r16522 | hartman | 2006-09-05 13:07:08 +0200 (Tue, 05 Sep 2006) | 2 lines
Changed paths:
   M /trunk/doc/fortunes.txt

* Quote add

------------------------------------------------------------------------
r16521 | zorglub | 2006-09-05 09:16:17 +0200 (Tue, 05 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences.cpp

Convert items in the preferences tree to locale

------------------------------------------------------------------------
r16520 | zorglub | 2006-09-05 08:09:42 +0200 (Tue, 05 Sep 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_playlist.h
   M /trunk/po/POTFILES.in
   M /trunk/po/ca.po
   M /trunk/po/cs.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/gl.po
   M /trunk/po/he.po
   M /trunk/po/hi.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ka.po
   M /trunk/po/ko.po
   M /trunk/po/nl.po
   M /trunk/po/oc.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po
   M /trunk/src/Makefile.am
   M /trunk/src/playlist/control.c
   M /trunk/src/playlist/engine.c
   M /trunk/src/playlist/item.c
   M /trunk/src/playlist/loadsave.c
   A /trunk/src/playlist/playlist_internal.h
   M /trunk/src/playlist/search.c
   M /trunk/src/playlist/services_discovery.c
   M /trunk/src/playlist/sort.c
   M /trunk/src/playlist/thread.c
   M /trunk/src/playlist/tree.c

Split playlist include file in public/private

------------------------------------------------------------------------
r16519 | damienf | 2006-09-04 23:48:45 +0200 (Mon, 04 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/input/input_internal.h

input.c: fixed state (broke pause)

------------------------------------------------------------------------
r16518 | xtophe | 2006-09-04 21:28:53 +0200 (Mon, 04 Sep 2006) | 2 lines
Changed paths:
   M /trunk/po/pt_PT.po

New update of the Portuguese l10n

------------------------------------------------------------------------
r16517 | damienf | 2006-09-04 20:19:03 +0200 (Mon, 04 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/ncurses.c

fixed typo

------------------------------------------------------------------------
r16516 | damienf | 2006-09-04 20:17:10 +0200 (Mon, 04 Sep 2006) | 2 lines
Changed paths:
   M /trunk/mozilla/control/npolibvlc.cpp
   M /trunk/mozilla/test.html
   M /trunk/mozilla/vlcshell.cpp

mozilla: more clean-ups

------------------------------------------------------------------------
r16515 | damienf | 2006-09-04 19:51:10 +0200 (Mon, 04 Sep 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/input.c

- added input state & input rate in control APIs

------------------------------------------------------------------------
r16514 | damienf | 2006-09-04 19:50:19 +0200 (Mon, 04 Sep 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_input.h

forgot that one in last commit

------------------------------------------------------------------------
r16513 | damienf | 2006-09-04 19:48:38 +0200 (Mon, 04 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/http/http.c
   M /trunk/modules/gui/beos/MediaControlView.cpp
   M /trunk/modules/gui/ncurses.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_internal.h

- input: added intermediate state info opening & buffering

------------------------------------------------------------------------
r16512 | xtophe | 2006-09-04 15:32:02 +0200 (Mon, 04 Sep 2006) | 2 lines
Changed paths:
   M /trunk/activex/Makefile.am

As a second effect of the recent libtool/build system commits, libvlc.dll has loose the extra .a. hurray.

------------------------------------------------------------------------
r16511 | xtophe | 2006-09-04 12:43:50 +0200 (Mon, 04 Sep 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/po/ca.po
   M /trunk/po/cs.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/gl.po
   M /trunk/po/he.po
   M /trunk/po/hi.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ka.po
   M /trunk/po/ko.po
   M /trunk/po/nl.po
   M /trunk/po/oc.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

We don't use utf-8 in localisable string so drop the option.

------------------------------------------------------------------------
r16510 | sam | 2006-09-04 12:12:03 +0200 (Mon, 04 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/input/decoder.c

  * src/input/decoder.c: sorry, I'm not allowed to put UTF-8 here.

------------------------------------------------------------------------
r16509 | xtophe | 2006-09-04 11:27:21 +0200 (Mon, 04 Sep 2006) | 4 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/po/POTFILES.in
   M /trunk/po/ca.po
   M /trunk/po/cs.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/gl.po
   M /trunk/po/he.po
   M /trunk/po/hi.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ka.po
   M /trunk/po/ko.po
   M /trunk/po/nl.po
   M /trunk/po/oc.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

* Tell gettext that we use UTF-8.
* run update-po


------------------------------------------------------------------------
r16508 | sam | 2006-09-04 00:18:30 +0200 (Mon, 04 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/input/decoder.c

  * src/input/decoder.c: use real, nice quotes.

------------------------------------------------------------------------
r16507 | fkuehne | 2006-09-04 00:13:20 +0200 (Mon, 04 Sep 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/controls.m

* save playback styles on Macs as well
------------------------------------------------------------------------
r16506 | thresh | 2006-09-04 00:07:29 +0200 (Mon, 04 Sep 2006) | 4 lines
Changed paths:
   M /trunk/configure.ac

Try to find seamonkey-config too.

TODO: test for xpidl in /usr/lib{,64}/seamonkey too.

------------------------------------------------------------------------
r16505 | zorglub | 2006-09-03 23:53:38 +0200 (Sun, 03 Sep 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_playlist.h
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp

Start grabbing hotkeys in Qt. Unfinished

------------------------------------------------------------------------
r16504 | sam | 2006-09-03 22:51:09 +0200 (Sun, 03 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/input/decoder.c

  * src/input/decoder.c: fix "unsupported fourcc" fatal error message.

------------------------------------------------------------------------
r16503 | zorglub | 2006-09-03 19:43:25 +0200 (Sun, 03 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/menus.cpp
   M /trunk/modules/gui/wxwidgets/menus.cpp

Fix postprocessing in menu (Closes:#659)

------------------------------------------------------------------------
r16502 | zorglub | 2006-09-03 19:31:02 +0200 (Sun, 03 Sep 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_messages.h
   M /trunk/include/vlc_playlist.h
   M /trunk/src/input/item.c
   M /trunk/src/playlist/engine.c
   M /trunk/src/playlist/item.c
   M /trunk/src/playlist/loadsave.c

Auto load and save media library (Closes:#433)

------------------------------------------------------------------------
r16501 | zorglub | 2006-09-03 18:50:22 +0200 (Sun, 03 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/menus.cpp

open directory and playlist

------------------------------------------------------------------------
r16500 | zorglub | 2006-09-03 18:43:26 +0200 (Sun, 03 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/m3u.c
   M /trunk/modules/demux/playlist/playlist.h
   M /trunk/modules/demux/playlist/xspf.c

Remove useless debug, fix a bug

------------------------------------------------------------------------
r16499 | zorglub | 2006-09-03 18:41:40 +0200 (Sun, 03 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/directory.c

Fix possible crash

------------------------------------------------------------------------
r16498 | courmisch | 2006-09-03 17:20:43 +0200 (Sun, 03 Sep 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Use LTLIBINTL instead of LIBINTL when using libtool.

------------------------------------------------------------------------
r16497 | xtophe | 2006-09-03 17:17:11 +0200 (Sun, 03 Sep 2006) | 2 lines
Changed paths:
   M /trunk/THANKS
   A /trunk/po/pt_PT.po

Start of the work of Ari Constancio on Portuguese localisation

------------------------------------------------------------------------
r16496 | courmisch | 2006-09-03 17:08:52 +0200 (Sun, 03 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/network/httpd.c

Fix type-punning breakage

------------------------------------------------------------------------
r16495 | courmisch | 2006-09-03 17:01:52 +0200 (Sun, 03 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/unicode.c

You shall not pass NULL to IsUTF8().

------------------------------------------------------------------------
r16494 | thresh | 2006-09-03 14:41:56 +0200 (Sun, 03 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/configuration.c

write comments in config file in user locale instead of utf

------------------------------------------------------------------------
r16493 | courmisch | 2006-09-03 13:51:11 +0200 (Sun, 03 Sep 2006) | 2 lines
Changed paths:
   M /trunk/share/Makefile.am

Another GNU makism killed

------------------------------------------------------------------------
r16492 | courmisch | 2006-09-03 13:44:03 +0200 (Sun, 03 Sep 2006) | 3 lines
Changed paths:
   M /trunk/modules/control/corba/Modules.am

Further crackdown on GNU make-isms
But is the corba plugin functionnal anyway?

------------------------------------------------------------------------
r16491 | xtophe | 2006-09-03 01:24:38 +0200 (Sun, 03 Sep 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

hmm One of yesterday commit broke binary compatibility.

------------------------------------------------------------------------
r16490 | zorglub | 2006-09-03 00:33:44 +0200 (Sun, 03 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/src/libvlc.h
   M /trunk/test/native/url.c

Remember random/loop/repeat

------------------------------------------------------------------------
r16489 | zorglub | 2006-09-02 23:22:19 +0200 (Sat, 02 Sep 2006) | 5 lines
Changed paths:
   M /trunk/src/libvlc.h
   M /trunk/src/playlist/engine.c

Add --play-and-exit option to quit after no more items are in playlist.
To be backported, but will need some manual merging (diff in vlc-devel should apply pristine to 0.8.5).
Thanks to Georgi Chorbadzhiyski for the patch


------------------------------------------------------------------------
r16488 | dionoea | 2006-09-02 22:46:57 +0200 (Sat, 02 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_output.c

Fix refcount issues and only vlc_object_find when needed

------------------------------------------------------------------------
r16487 | courmisch | 2006-09-02 22:30:53 +0200 (Sat, 02 Sep 2006) | 2 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/modules/access/http.c

Merge [PATCH] http chunked encoding fix

------------------------------------------------------------------------
r16486 | xtophe | 2006-09-02 21:48:49 +0200 (Sat, 02 Sep 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Use our own pkg-config macro. So we don't have problems on OSX (ol pkg.m4 or wrong installation)

------------------------------------------------------------------------
r16485 | dionoea | 2006-09-02 19:08:08 +0200 (Sat, 02 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/fake.c

Oops.

------------------------------------------------------------------------
r16484 | zorglub | 2006-09-02 19:07:46 +0200 (Sat, 02 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/playlist/control.c
   M /trunk/src/playlist/search.c
   M /trunk/src/playlist/tree.c

Fixes for random + live search

------------------------------------------------------------------------
r16483 | dionoea | 2006-09-02 19:03:36 +0200 (Sat, 02 Sep 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_spu.h
   M /trunk/include/vlc_symbols.h
   M /trunk/include/vlc_video.h
   M /trunk/modules/codec/cvdsub.c
   M /trunk/modules/codec/fake.c
   M /trunk/modules/codec/spudec/parse.c
   M /trunk/modules/codec/subsdec.c
   M /trunk/modules/codec/svcdsub.c
   M /trunk/modules/stream_out/transcode.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_intf.c
   M /trunk/src/video_output/vout_subpictures.c

subpicture_t now has a b_pausable attribute. When set to VLC_TRUE (default value is VLC_FALSE), this will keep displaying the subpicture_t when the parent input is paused. This means that subtitles should now be paused when clicking on pause. (refs #29)

------------------------------------------------------------------------
r16482 | zorglub | 2006-09-02 18:59:50 +0200 (Sat, 02 Sep 2006) | 3 lines
Changed paths:
   M /trunk/include/vlc_playlist.h
   M /trunk/src/playlist/control.c
   M /trunk/src/playlist/engine.c
   M /trunk/src/playlist/item.c
   M /trunk/src/playlist/tree.c

Re-enable random.
It is now based on a shuffled array of items, so that next + prev takes you back to what you were playing

------------------------------------------------------------------------
r16481 | xtophe | 2006-09-02 16:49:53 +0200 (Sat, 02 Sep 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Don't compile the motion plugin on win32

------------------------------------------------------------------------
r16480 | Trax | 2006-09-02 16:32:19 +0200 (Sat, 02 Sep 2006) | 1 line
Changed paths:
   M /trunk/modules/access/dshow/crossbar.cpp
   M /trunk/modules/video_output/directx/direct3d.c

* more ouput -> output typos
------------------------------------------------------------------------
r16479 | courmisch | 2006-09-02 14:26:41 +0200 (Sat, 02 Sep 2006) | 3 lines
Changed paths:
   M /trunk/configure.ac

Make mux_ts a plugin too.
Afterall, ts is a plugin, and is probably as useful if not more.

------------------------------------------------------------------------
r16478 | courmisch | 2006-09-02 14:19:59 +0200 (Sat, 02 Sep 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Make theora codec a plugin

------------------------------------------------------------------------
r16477 | courmisch | 2006-09-02 14:15:55 +0200 (Sat, 02 Sep 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Cleanup gnutls detection

------------------------------------------------------------------------
r16476 | courmisch | 2006-09-02 13:20:55 +0200 (Sat, 02 Sep 2006) | 4 lines
Changed paths:
   M /trunk/configure.ac

Enable libtool by default.
You can still disable it manually...
and well, you've had six months to fix your build system.

------------------------------------------------------------------------
r16475 | courmisch | 2006-09-02 13:20:07 +0200 (Sat, 02 Sep 2006) | 3 lines
Changed paths:
   M /trunk/include/vlc_common.h

Remove evil kludge.
Better fix broken code that would rely on this.

------------------------------------------------------------------------
r16474 | zorglub | 2006-09-02 12:20:26 +0200 (Sat, 02 Sep 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_playlist.h
   M /trunk/src/playlist/control.c
   M /trunk/src/playlist/tree.c

Fix a few quirks with playlist filters

------------------------------------------------------------------------
r16473 | zorglub | 2006-09-02 10:40:01 +0200 (Sat, 02 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/playlist/engine.c

Actually use the --playlist-tree option

------------------------------------------------------------------------
r16472 | zorglub | 2006-09-02 10:39:28 +0200 (Sat, 02 Sep 2006) | 4 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences.cpp
   M /trunk/modules/gui/qt4/components/preferences.hpp
   M /trunk/modules/gui/qt4/components/preferences_widgets.hpp
   M /trunk/modules/gui/qt4/components/simple_preferences.cpp
   M /trunk/modules/gui/qt4/components/simple_preferences.hpp
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.cpp
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.hpp
   M /trunk/modules/gui/qt4/util/qvlcframe.hpp

Preferences
* Enable Save/Cancel. Please test heavily with already implemented stuff. There is a layout bug with simple prefs because they don't implement save yet. Also, we still have some parenting issues to fix
* Remove "advanced" stuff

------------------------------------------------------------------------
r16471 | Trax | 2006-09-02 09:52:38 +0200 (Sat, 02 Sep 2006) | 1 line
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/modules/access/dshow/crossbar.cpp
   M /trunk/modules/codec/dmo/dmo.c

* typo ouput -> output
------------------------------------------------------------------------
r16470 | damienf | 2006-09-01 18:34:46 +0200 (Fri, 01 Sep 2006) | 2 lines
Changed paths:
   M /trunk/mozilla/control/npovlc.cpp
   M /trunk/mozilla/vlcshell.cpp

- vlcshell.cpp: fix for a couple of crashing scenarios

------------------------------------------------------------------------
r16469 | damienf | 2006-09-01 18:32:09 +0200 (Fri, 01 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/asx.c

asx.c: ignore leading empty lins during detection

------------------------------------------------------------------------
r16466 | thresh | 2006-09-01 10:04:55 +0200 (Fri, 01 Sep 2006) | 2 lines
Changed paths:
   M /trunk/src/input/item.c

This also could be named in non-UTF, recode it

------------------------------------------------------------------------
r16465 | thresh | 2006-09-01 10:03:00 +0200 (Fri, 01 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

Recode output in rc interface to current locale

------------------------------------------------------------------------
r16464 | zorglub | 2006-09-01 08:01:06 +0200 (Fri, 01 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/messages.cpp
   M /trunk/modules/gui/qt4/dialogs/messages.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp

Enable verbosity setting

------------------------------------------------------------------------
r16463 | xtophe | 2006-09-01 00:57:35 +0200 (Fri, 01 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/messages.cpp

Initialize the verbosity box

------------------------------------------------------------------------
r16462 | zorglub | 2006-09-01 00:17:17 +0200 (Fri, 01 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp
   M /trunk/modules/gui/qt4/util/customwidgets.hpp
   D /trunk/modules/gui/qt4/util/views.hpp

Merge views.hpp in customwidgets

------------------------------------------------------------------------
r16461 | zorglub | 2006-09-01 00:10:11 +0200 (Fri, 01 Sep 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   A /trunk/modules/gui/qt4/dialogs/errors.cpp
   A /trunk/modules/gui/qt4/dialogs/errors.hpp
   M /trunk/modules/gui/qt4/dialogs/interaction.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp

Warnings/Errors dialog

------------------------------------------------------------------------
r16456 | zorglub | 2006-08-31 22:50:50 +0200 (Thu, 31 Aug 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/src/libvlc.h

* Move the embedded option to libvlc
* Make the interface a bit smaller

------------------------------------------------------------------------
r16455 | zorglub | 2006-08-31 22:39:36 +0200 (Thu, 31 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/video_widget.cpp
   M /trunk/modules/gui/qt4/components/video_widget.hpp
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/input_manager.hpp

Preliminary work for better audio visualization handling

------------------------------------------------------------------------
r16453 | courmisch | 2006-08-31 16:55:20 +0200 (Thu, 31 Aug 2006) | 2 lines
Changed paths:
   M /trunk/include/charset.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/misc/unicode.c

Export utf8_vfprintf and utf8_fprintf

------------------------------------------------------------------------
r16452 | hartman | 2006-08-31 15:12:26 +0200 (Thu, 31 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/directory.c

* Include vlc_input.h so we don't bug out with shared vlc

------------------------------------------------------------------------
r16451 | jpsaman | 2006-08-31 14:37:15 +0200 (Thu, 31 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/converter/mono.c

Do not select mono filter automatically
------------------------------------------------------------------------
r16450 | hartman | 2006-08-31 14:23:54 +0200 (Thu, 31 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/asx.c

Fix a bug in the asx parser. I should really finish cleaning it up :D

------------------------------------------------------------------------
r16449 | thresh | 2006-08-31 14:21:51 +0200 (Thu, 31 Aug 2006) | 3 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/po/ca.po
   M /trunk/po/cs.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/gl.po
   M /trunk/po/he.po
   M /trunk/po/hi.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ka.po
   M /trunk/po/ko.po
   M /trunk/po/nl.po
   M /trunk/po/oc.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

added russian translation by Vladimir Yermolayev


------------------------------------------------------------------------
r16448 | fkuehne | 2006-08-31 13:02:17 +0200 (Thu, 31 Aug 2006) | 1 line
Changed paths:
   M /trunk/po/sv.po

* updated Swedish translation by Daniel Nylander <info at danielnylander dot se>
------------------------------------------------------------------------
r16447 | xtophe | 2006-08-31 11:51:05 +0200 (Thu, 31 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/logo.c

typo

------------------------------------------------------------------------
r16444 | fkuehne | 2006-08-31 00:59:21 +0200 (Thu, 31 Aug 2006) | 1 line
Changed paths:
   M /trunk/NEWS
   M /trunk/THANKS

* some updates on Apple Remote, etc.
------------------------------------------------------------------------
r16443 | fkuehne | 2006-08-31 00:24:25 +0200 (Thu, 31 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/intf.m

* added some buttons for apple remote controlling. Save for backporting, but needs some usability testing
------------------------------------------------------------------------
r16440 | damienf | 2006-08-30 23:30:28 +0200 (Wed, 30 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/voutgl.m

voutgl: fix AR in mozilla plugin

------------------------------------------------------------------------
r16438 | zorglub | 2006-08-30 19:40:36 +0200 (Wed, 30 Aug 2006) | 2 lines
Changed paths:
   M /trunk/test/native/url.c

Fix and port test

------------------------------------------------------------------------
r16437 | courmisch | 2006-08-30 19:27:38 +0200 (Wed, 30 Aug 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_url.h
   M /trunk/src/test/url.c

*Really* fix base 64 encoding

------------------------------------------------------------------------
r16436 | zorglub | 2006-08-30 19:17:11 +0200 (Wed, 30 Aug 2006) | 3 lines
Changed paths:
   M /trunk/test/NativeURLTest.py
   M /trunk/test/native/init.c
   M /trunk/test/native/tests.h
   M /trunk/test/native/url.c
   M /trunk/test/test.sh

Port new URL tests to test/
Support Python 2.4

------------------------------------------------------------------------
r16435 | damienf | 2006-08-30 18:56:02 +0200 (Wed, 30 Aug 2006) | 2 lines
Changed paths:
   M /trunk/mozilla/npvlc_rc.rc
   M /trunk/mozilla/vlc.r

mozilla: mimetype fixes

------------------------------------------------------------------------
r16433 | courmisch | 2006-08-30 16:58:18 +0200 (Wed, 30 Aug 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_url.h
   M /trunk/src/test/url.c

Fix base64 encoding and add regression test

------------------------------------------------------------------------
r16432 | hartman | 2006-08-30 16:56:30 +0200 (Wed, 30 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/ts.c

* forwardport [15373] which was left accidently hanging in the 0.8.5 branch 

------------------------------------------------------------------------
r16430 | bigben | 2006-08-30 15:35:56 +0200 (Wed, 30 Aug 2006) | 3 lines
Changed paths:
   M /trunk/configure.ac

* typo


------------------------------------------------------------------------
r16429 | hartman | 2006-08-30 01:19:23 +0200 (Wed, 30 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/encoder.c

* fix stupid mistake in [16427]

------------------------------------------------------------------------
r16428 | hartman | 2006-08-30 01:02:13 +0200 (Wed, 30 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/switcher.c

* copy [16427] to the switcher module as well. ( is times 3 bytes enough ? perhaps i should use 4 bytes per pixel ? )

------------------------------------------------------------------------
r16427 | hartman | 2006-08-30 00:59:16 +0200 (Wed, 30 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/encoder.c

* set the proper buffer size when encoding with ffmpeg, instead of using fixed 1024x1024 maximumframe size for the buffer.

------------------------------------------------------------------------
r16426 | damienf | 2006-08-29 23:56:10 +0200 (Tue, 29 Aug 2006) | 3 lines
Changed paths:
   M /trunk/mozilla/control/npolibvlc.cpp
   M /trunk/mozilla/support/npmac.cpp
   M /trunk/mozilla/test.html
   M /trunk/mozilla/vlcshell.cpp

- compatibility fixes for FireFox, Safari and Opera 9
- fixed a couple of crashes on MacOS X

------------------------------------------------------------------------
r16425 | zorglub | 2006-08-29 23:37:20 +0200 (Tue, 29 Aug 2006) | 2 lines
Changed paths:
   A /trunk/modules/gui/qt4/components/streaming
   A /trunk/modules/gui/qt4/ui/streampanel.ui

Some preliminary work for streaming stuff

------------------------------------------------------------------------
r16424 | hartman | 2006-08-29 23:05:40 +0200 (Tue, 29 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

* Fix an issue with DAR vs. Canvas size with matroska files

------------------------------------------------------------------------
r16423 | xtophe | 2006-08-29 21:34:50 +0200 (Tue, 29 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/http/rpn.c

hrm, compile before you commit

------------------------------------------------------------------------
r16422 | xtophe | 2006-08-29 21:24:59 +0200 (Tue, 29 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/http/rpn.c

Fix implicit pointer function. Patch by Dann Frazier. (ref debian #385192)

------------------------------------------------------------------------
r16421 | jpsaman | 2006-08-29 20:54:05 +0200 (Tue, 29 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/converter/mono.c

combine two channels into mono for the dowmix as last step.
------------------------------------------------------------------------
r16420 | damienf | 2006-08-29 18:31:39 +0200 (Tue, 29 Aug 2006) | 2 lines
Changed paths:
   M /trunk/mozilla/vlcshell.cpp

vlcshell.cpp: prevent browser from downloading SRC URL before passing it to plugin

------------------------------------------------------------------------
r16419 | zorglub | 2006-08-29 17:51:56 +0200 (Tue, 29 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/messages.cpp

Should fix the problem with messages insertion (new messages are inserted at selection point)

------------------------------------------------------------------------
r16418 | damienf | 2006-08-29 14:47:06 +0200 (Tue, 29 Aug 2006) | 3 lines
Changed paths:
   M /trunk/mozilla/control/npolibvlc.cpp
   M /trunk/mozilla/control/npolibvlc.h
   M /trunk/mozilla/control/nporuntime.h
   M /trunk/mozilla/control/npovlc.cpp
   M /trunk/mozilla/control/npovlc.h
   A /trunk/mozilla/test.html
   M /trunk/mozilla/vlcplugin.cpp

- more javascript fixes
- code cleanup

------------------------------------------------------------------------
r16417 | xtophe | 2006-08-29 14:31:06 +0200 (Tue, 29 Aug 2006) | 2 lines
Changed paths:
   M /trunk/vlc.win32.nsi.in

no longer need to delete the .xpt

------------------------------------------------------------------------
r16416 | xtophe | 2006-08-29 14:23:28 +0200 (Tue, 29 Aug 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Makefile.am: We no longer need a .xpt for the mozilla plugin

------------------------------------------------------------------------
r16415 | jpsaman | 2006-08-29 13:27:38 +0200 (Tue, 29 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/converter/mono.c

Cleanup
------------------------------------------------------------------------
r16414 | jpsaman | 2006-08-29 11:49:07 +0200 (Tue, 29 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/converter/mono.c

Resample audio channels when doing real stereo to mono.
------------------------------------------------------------------------
r16413 | jpsaman | 2006-08-29 11:14:57 +0200 (Tue, 29 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/channel_mixer/headphone.c

Lower priority of headphone channel_mixer
------------------------------------------------------------------------
r16412 | xtophe | 2006-08-29 11:14:34 +0200 (Tue, 29 Aug 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_intf_strings.h
   M /trunk/src/Makefile.am

Add include/vlc_intf_strings.h to tarball

------------------------------------------------------------------------
r16411 | jpsaman | 2006-08-29 10:50:20 +0200 (Tue, 29 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/demux/mjpeg.c
   M /trunk/modules/demux/mp4/drms.c
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/demux/playlist/xspf.h

Fix compiler warnings about signed - unsigned comparissons and wrong datatypes.

------------------------------------------------------------------------
r16410 | jpsaman | 2006-08-29 10:40:57 +0200 (Tue, 29 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/demux.c
   M /trunk/modules/codec/ffmpeg/encoder.c
   M /trunk/modules/codec/ffmpeg/video.c

Fix compiler warnings (mismatch in datatypes)
------------------------------------------------------------------------
r16409 | jpsaman | 2006-08-29 10:25:59 +0200 (Tue, 29 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/codec/dvbsub.c
   M /trunk/modules/codec/flac.c

Fix compiler warning about comparing signed and unsigned int.
------------------------------------------------------------------------
r16408 | jpsaman | 2006-08-29 10:20:19 +0200 (Tue, 29 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/access/rtsp/access.c
   M /trunk/modules/access/rtsp/real.c
   M /trunk/modules/access/rtsp/rtsp.c
   M /trunk/modules/access/rtsp/rtsp.h

Fix compiler warnings related to wrong datatypes.
------------------------------------------------------------------------
r16407 | jpsaman | 2006-08-29 10:09:16 +0200 (Tue, 29 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/access/mms/mmstu.c

Use correct formatting for message size_t
------------------------------------------------------------------------
r16406 | jpsaman | 2006-08-29 10:07:08 +0200 (Tue, 29 Aug 2006) | 1 line
Changed paths:
   M /trunk/src/playlist/control.c

Give i_skip a sensible value to start with.
------------------------------------------------------------------------
r16405 | jpsaman | 2006-08-29 10:05:15 +0200 (Tue, 29 Aug 2006) | 1 line
Changed paths:
   M /trunk/src/stream_output/profiles.c

Provide return statements in non-void function
------------------------------------------------------------------------
r16403 | damienf | 2006-08-29 00:50:30 +0200 (Tue, 29 Aug 2006) | 2 lines
Changed paths:
   M /trunk/mozilla/vlcshell.cpp

vlcshell.cpp:  no need for those printf() any more

------------------------------------------------------------------------
r16402 | damienf | 2006-08-29 00:48:57 +0200 (Tue, 29 Aug 2006) | 3 lines
Changed paths:
   M /trunk/mozilla/support/npmac.cpp
   M /trunk/mozilla/vlcshell.cpp

npmac.cpp: forgot one line from Charles Duffy OS X/Intel patch
vlcshell.cpp: improved FireFox/OSX support 

------------------------------------------------------------------------
r16401 | fkuehne | 2006-08-29 00:00:55 +0200 (Tue, 29 Aug 2006) | 1 line
Changed paths:
   M /trunk/src/stream_output/profiles.c

* GCC 2.x patch by Cian Duffy <myob87@gmail.com>. BTW. This method should return something but doesn't, so someone with more knowledge of this part might want to have a look at it ;)
------------------------------------------------------------------------
r16399 | xtophe | 2006-08-28 23:28:29 +0200 (Mon, 28 Aug 2006) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in
   M /trunk/po/ca.po
   M /trunk/po/cs.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/gl.po
   M /trunk/po/he.po
   M /trunk/po/hi.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ka.po
   M /trunk/po/ko.po
   M /trunk/po/nl.po
   M /trunk/po/oc.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

po/*: Fix make dist

------------------------------------------------------------------------
r16398 | dionoea | 2006-08-28 21:44:02 +0200 (Mon, 28 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components/simple_preferences.cpp
   A /trunk/modules/gui/qt4/ui/sprefs_interface.ui

Begin simple prefs interface panel.

------------------------------------------------------------------------
r16395 | damienf | 2006-08-28 20:38:33 +0200 (Mon, 28 Aug 2006) | 3 lines
Changed paths:
   M /trunk/mozilla/control/npolibvlc.cpp
   M /trunk/mozilla/control/npolibvlc.h
   M /trunk/mozilla/control/nporuntime.cpp
   M /trunk/mozilla/control/nporuntime.h
   M /trunk/mozilla/control/npovlc.cpp
   M /trunk/mozilla/control/npovlc.h

- formating 
- javascript fixes

------------------------------------------------------------------------
r16394 | zorglub | 2006-08-28 20:31:00 +0200 (Mon, 28 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/ts.c

Don't output debug on fprintf by default (Refs Debian #385008)

------------------------------------------------------------------------
r16393 | courmisch | 2006-08-28 20:24:34 +0200 (Mon, 28 Aug 2006) | 2 lines
Changed paths:
   M /trunk/src/network/rootwrap.c

Work-around to not use IPv6 for braindead unusable IPv6 implementations

------------------------------------------------------------------------
r16392 | hartman | 2006-08-28 19:02:52 +0200 (Mon, 28 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/subtitle.c

* Fix the microdvd subs. i forgot that framerate != frameduration :D

------------------------------------------------------------------------
r16391 | hartman | 2006-08-28 18:16:33 +0200 (Mon, 28 Aug 2006) | 3 lines
Changed paths:
   M /trunk/modules/demux/subtitle.c

* Use the microdvd framerate when available
* avoid the error on sub-original-fps

------------------------------------------------------------------------
r16390 | jpsaman | 2006-08-28 14:27:59 +0200 (Mon, 28 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

Try to reopen the audio encoder when channels dimensions have changed.
------------------------------------------------------------------------
r16389 | jpsaman | 2006-08-28 13:45:18 +0200 (Mon, 28 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/converter/mono.c

Reenable channel selection for mono: -1 = stereo mix of both channels, 0 = left channel, 1 = right channel, etc.
------------------------------------------------------------------------
r16388 | jb | 2006-08-28 11:42:13 +0200 (Mon, 28 Aug 2006) | 4 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/live-osx.patch

Contrib : repair a problem with latest live555 for Mac



------------------------------------------------------------------------
r16387 | zorglub | 2006-08-28 10:34:52 +0200 (Mon, 28 Aug 2006) | 5 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/messages.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/qt4.cpp

Cosmetics:
* Add application icon
* Make interface a bit smaller in Windows
* Fix messages encoding and add header

------------------------------------------------------------------------
r16386 | zorglub | 2006-08-28 10:25:40 +0200 (Mon, 28 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp

People might perhaps maybe want to right-click anywhere

------------------------------------------------------------------------
r16385 | zorglub | 2006-08-28 10:19:38 +0200 (Mon, 28 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences.cpp

Re-enable custom fonts in preferences, without the crash

------------------------------------------------------------------------
r16384 | zorglub | 2006-08-28 09:37:17 +0200 (Mon, 28 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp

Fix Win32 preferences crash

------------------------------------------------------------------------
r16383 | dionoea | 2006-08-27 23:41:05 +0200 (Sun, 27 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/simple_preferences.cpp
   M /trunk/modules/gui/qt4/ui/sprefs_subtitles.ui

Add subtitles display effect to simple prefs panel

------------------------------------------------------------------------
r16382 | dionoea | 2006-08-27 23:37:15 +0200 (Sun, 27 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences_widgets.cpp
   M /trunk/modules/gui/qt4/components/preferences_widgets.hpp

Float, Float with range and Integer with range widgets.

------------------------------------------------------------------------
r16381 | dionoea | 2006-08-27 23:06:28 +0200 (Sun, 27 Aug 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences_widgets.cpp
   M /trunk/modules/gui/qt4/components/preferences_widgets.hpp
   M /trunk/modules/gui/qt4/components/simple_preferences.cpp

preferences_widgets.*: Bool prefs widget
simple_preferences.cpp: Audio simple preferences category

------------------------------------------------------------------------
r16380 | zorglub | 2006-08-27 22:50:54 +0200 (Sun, 27 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/video_widget.cpp

Fix crash

------------------------------------------------------------------------
r16379 | dionoea | 2006-08-27 22:35:11 +0200 (Sun, 27 Aug 2006) | 4 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences_widgets.cpp
   M /trunk/modules/gui/qt4/components/preferences_widgets.hpp
   M /trunk/modules/gui/qt4/components/simple_preferences.cpp
   M /trunk/modules/gui/qt4/ui/sprefs_subtitles.ui

Some more prefs fun:
 * preferences_widgets.cpp: implement string and int with choice list
 * other: simple prefs subtitles dialog

------------------------------------------------------------------------
r16378 | zorglub | 2006-08-27 22:27:09 +0200 (Sun, 27 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences.cpp
   M /trunk/modules/gui/qt4/components/video_widget.cpp
   M /trunk/modules/gui/qt4/components/video_widget.hpp
   M /trunk/modules/gui/qt4/res.qrc
   M /trunk/modules/gui/qt4/util/qvlcframe.hpp

Improved screen for qt-always-video

------------------------------------------------------------------------
r16377 | damienf | 2006-08-27 21:56:17 +0200 (Sun, 27 Aug 2006) | 2 lines
Changed paths:
   M /trunk/mozilla/vlcshell.cpp

vlcshell.cpp: more X11 fixes

------------------------------------------------------------------------
r16376 | damienf | 2006-08-27 21:26:50 +0200 (Sun, 27 Aug 2006) | 4 lines
Changed paths:
   M /trunk/mozilla/support/npmac.cpp
   M /trunk/mozilla/vlcplugin.cpp
   M /trunk/mozilla/vlcplugin.h
   M /trunk/mozilla/vlcshell.cpp

vlcplugin.cpp: removed hardcoded path
npmac.cpp: OSX Intel patch by Charles Duffy
vlcshell.cpp: fixed X11

------------------------------------------------------------------------
r16375 | dionoea | 2006-08-27 19:07:20 +0200 (Sun, 27 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/pls.c

Fix regression from 0.8.5 when parsing microsoft [Reference] type playlists. We need to check that nothing else was forgoten in the old playlist code.

------------------------------------------------------------------------
r16374 | bigben | 2006-08-27 19:06:30 +0200 (Sun, 27 Aug 2006) | 4 lines
Changed paths:
   M /trunk/modules/access/v4l2.c

* Some more probing
* The debug output from a v4l2 capable webcam with this would help...


------------------------------------------------------------------------
r16373 | zorglub | 2006-08-27 19:06:24 +0200 (Sun, 27 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/video_widget.cpp
   M /trunk/modules/gui/qt4/components/video_widget.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/ui/main_interface.ui

Add ability to put some background when there is no video

------------------------------------------------------------------------
r16372 | damienf | 2006-08-27 18:18:59 +0200 (Sun, 27 Aug 2006) | 6 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/include/vlc/libvlc.h
   M /trunk/modules/gui/macosx/voutgl.m
   M /trunk/mozilla/Makefile.am
   A /trunk/mozilla/control
   A /trunk/mozilla/control/npolibvlc.cpp
   A /trunk/mozilla/control/npolibvlc.h
   A /trunk/mozilla/control/nporuntime.cpp
   A /trunk/mozilla/control/nporuntime.h
   A /trunk/mozilla/control/npovlc.cpp
   A /trunk/mozilla/control/npovlc.h
   D /trunk/mozilla/vlcintf.idl
   D /trunk/mozilla/vlcpeer.cpp
   D /trunk/mozilla/vlcpeer.h
   M /trunk/mozilla/vlcplugin.cpp
   M /trunk/mozilla/vlcplugin.h
   D /trunk/mozilla/vlcruntime.cpp
   D /trunk/mozilla/vlcruntime.h
   M /trunk/mozilla/vlcshell.cpp
   M /trunk/src/control/video.c
   M /trunk/src/libvlc.c

all: rewrite of mozilla plugin
- added a couple of support APIs in libvlc
- retired XPCOM interface, all scripting now goes through NPObject apis
- new APIs using libvlc (roughly similar to java bindings)


------------------------------------------------------------------------
r16371 | dionoea | 2006-08-27 18:19:00 +0200 (Sun, 27 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/simple_preferences.cpp
   M /trunk/modules/gui/qt4/components/simple_preferences.hpp
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.cpp

Fix default category selection

------------------------------------------------------------------------
r16370 | dionoea | 2006-08-27 18:07:10 +0200 (Sun, 27 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components/simple_preferences.cpp
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.cpp
   M /trunk/modules/gui/qt4/ui/sprefs_audio.ui
   M /trunk/modules/gui/qt4/ui/sprefs_playlist.ui
   M /trunk/modules/gui/qt4/ui/sprefs_subtitles.ui
   M /trunk/modules/gui/qt4/ui/sprefs_video.ui

Bind simple prefs forms to corresponding simple prefs categories

------------------------------------------------------------------------
r16369 | zorglub | 2006-08-27 17:34:52 +0200 (Sun, 27 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/menus.cpp

Fix a bug with menu items selection

------------------------------------------------------------------------
r16368 | dionoea | 2006-08-27 17:34:02 +0200 (Sun, 27 Aug 2006) | 2 lines
Changed paths:
   A /trunk/modules/gui/qt4/ui/sprefs_audio.ui
   A /trunk/modules/gui/qt4/ui/sprefs_playlist.ui
   A /trunk/modules/gui/qt4/ui/sprefs_subtitles.ui
   A /trunk/modules/gui/qt4/ui/sprefs_video.ui

Start some simple prefs panels. Different kinds of layouts used (ie audio vs video panel). This will have to be standardized (i beleive that the video panel is better).

------------------------------------------------------------------------
r16367 | dionoea | 2006-08-27 16:50:39 +0200 (Sun, 27 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/simple_preferences.cpp
   A /trunk/modules/gui/qt4/pixmaps/advanced_50x50.xpm
   A /trunk/modules/gui/qt4/pixmaps/audio_50x50.xpm
   A /trunk/modules/gui/qt4/pixmaps/input_and_codecs_50x50.xpm
   A /trunk/modules/gui/qt4/pixmaps/interface_50x50.xpm
   A /trunk/modules/gui/qt4/pixmaps/playlist_50x50.xpm
   A /trunk/modules/gui/qt4/pixmaps/subtitles_50x50.xpm
   A /trunk/modules/gui/qt4/pixmaps/video_50x50.xpm

Simple prefs left hand side stuff (categories). Icons will of course be changed in the future :)

------------------------------------------------------------------------
r16366 | zorglub | 2006-08-27 16:40:22 +0200 (Sun, 27 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences.cpp
   M /trunk/modules/gui/qt4/components/preferences_widgets.cpp
   M /trunk/modules/gui/qt4/components/preferences_widgets.hpp

Improved layout for preferences

------------------------------------------------------------------------
r16365 | zorglub | 2006-08-27 15:09:16 +0200 (Sun, 27 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs_provider.cpp

Fix "All files"

------------------------------------------------------------------------
r16364 | zorglub | 2006-08-27 15:05:51 +0200 (Sun, 27 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp

Ensure minimum spacing between the status bar and the text

------------------------------------------------------------------------
r16363 | zorglub | 2006-08-27 14:50:32 +0200 (Sun, 27 Aug 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences_widgets.cpp
   M /trunk/modules/gui/qt4/components/preferences_widgets.hpp
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp

Fix play/pause icons
Implement integer config control

------------------------------------------------------------------------
r16362 | zorglub | 2006-08-27 14:41:54 +0200 (Sun, 27 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/util/directslider.hpp
   M /trunk/modules/gui/qt4/util/input_slider.cpp

Fix a bug with slider positionning

------------------------------------------------------------------------
r16361 | zorglub | 2006-08-27 13:01:22 +0200 (Sun, 27 Aug 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/input_manager.hpp
   M /trunk/modules/gui/qt4/menus.cpp
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/modules/gui/qt4/qt4.cpp

Fix a refcount issue
Start using media library

------------------------------------------------------------------------
r16360 | zorglub | 2006-08-27 12:34:35 +0200 (Sun, 27 Aug 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_playlist.h
   M /trunk/src/input/item.c
   M /trunk/src/playlist/control.c
   M /trunk/src/playlist/engine.c
   M /trunk/src/playlist/item.c

Fix for deletion of current item

------------------------------------------------------------------------
r16359 | zorglub | 2006-08-27 01:24:23 +0200 (Sun, 27 Aug 2006) | 3 lines
Changed paths:
   M /trunk/include/vlc_intf_strings.h
   M /trunk/modules/gui/qt4/components/preferences_widgets.cpp
   M /trunk/modules/gui/qt4/components/simple_preferences.cpp
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.cpp

Implement basic panel change
Forgot this file

------------------------------------------------------------------------
r16358 | zorglub | 2006-08-27 01:11:37 +0200 (Sun, 27 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components/preferences.cpp
   M /trunk/modules/gui/qt4/components/preferences_widgets.cpp
   M /trunk/modules/gui/qt4/components/preferences_widgets.hpp
   A /trunk/modules/gui/qt4/components/simple_preferences.cpp
   A /trunk/modules/gui/qt4/components/simple_preferences.hpp
   M /trunk/modules/gui/qt4/dialogs/playlist.cpp
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.cpp
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.hpp
   A /trunk/modules/gui/qt4/ui/sprefs_trivial.ui

Skeleton for simple prefs

------------------------------------------------------------------------
r16357 | zorglub | 2006-08-26 23:33:56 +0200 (Sat, 26 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp
   M /trunk/modules/gui/qt4/dialogs/playlist.cpp
   M /trunk/modules/gui/qt4/playlist_model.cpp

Cosmetics

------------------------------------------------------------------------
r16356 | zorglub | 2006-08-26 23:30:49 +0200 (Sat, 26 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components/playlist/panels.hpp
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/modules/gui/qt4/playlist_model.hpp
   A /trunk/modules/gui/qt4/util/customwidgets.cpp
   A /trunk/modules/gui/qt4/util/customwidgets.hpp

Find as you type

------------------------------------------------------------------------
r16355 | zorglub | 2006-08-26 21:16:09 +0200 (Sat, 26 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp

Volume control

------------------------------------------------------------------------
r16354 | zorglub | 2006-08-26 20:03:08 +0200 (Sat, 26 Aug 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/modules/gui/qt4/playlist_model.hpp

* Sorting
* Fix a memory leak / crasher

------------------------------------------------------------------------
r16353 | zorglub | 2006-08-26 19:06:27 +0200 (Sat, 26 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/playlist/selector.cpp
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp
   M /trunk/modules/gui/qt4/dialogs/playlist.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/menus.cpp

Cosmetics + Enable menu in playlist

------------------------------------------------------------------------
r16352 | zorglub | 2006-08-26 18:51:55 +0200 (Sat, 26 Aug 2006) | 3 lines
Changed paths:
   M /trunk/include/vlc_input.h
   A /trunk/include/vlc_intf_strings.h
   M /trunk/include/vlc_playlist.h
   M /trunk/include/vlc_symbols.h
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/modules/services_discovery/shout.c
   M /trunk/src/input/item.c
   M /trunk/src/playlist/tree.c

* Allow service discoveries to state whether they prefer being displayed as tree
* Start putting together all interface strings (Refs:#703)

------------------------------------------------------------------------
r16351 | zorglub | 2006-08-26 17:36:45 +0200 (Sat, 26 Aug 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components/playlist/panels.hpp
   M /trunk/modules/gui/qt4/components/playlist/selector.cpp
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/modules/gui/qt4/playlist_model.hpp
   M /trunk/modules/gui/qt4/util/directslider.hpp
   A /trunk/modules/gui/qt4/util/views.hpp

* Popups
* Fix a nasty playlist crash

------------------------------------------------------------------------
r16350 | dionoea | 2006-08-26 00:11:33 +0200 (Sat, 26 Aug 2006) | 3 lines
Changed paths:
   M /trunk/modules/control/rc.c

 * Add atrack, vtrack and strack commands. Those can be use to display/change audio, video and subtitle tracks.
 * Fix compile warning in enqueue command.

------------------------------------------------------------------------
r16349 | thresh | 2006-08-25 23:27:56 +0200 (Fri, 25 Aug 2006) | 2 lines
Changed paths:
   M /trunk/include/libvlc_internal.h

remove unneeded include

------------------------------------------------------------------------
r16348 | zorglub | 2006-08-25 23:10:10 +0200 (Fri, 25 Aug 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences.cpp
   M /trunk/modules/gui/qt4/components/preferences.hpp
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.cpp

Fix flickering of panels in preferences


------------------------------------------------------------------------
r16347 | zorglub | 2006-08-25 17:54:38 +0200 (Fri, 25 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.cpp
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.hpp

Improve Qt preferences layout handling

------------------------------------------------------------------------
r16346 | fkuehne | 2006-08-25 17:47:46 +0200 (Fri, 25 Aug 2006) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/keyedobjects.nib

* set the autoSaveName for the main playlist view, so re-arranged column orders are saved
------------------------------------------------------------------------
r16345 | sam | 2006-08-25 14:59:00 +0200 (Fri, 25 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/demux/playlist/asx.c

  * modules/demux/playlist/asx.c modules/demux/mp4/mp4.c: add missing includes.

------------------------------------------------------------------------
r16344 | sam | 2006-08-25 14:54:14 +0200 (Fri, 25 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/playlist/xspf.c

  * modules/misc/playlist/xspf.c: fix warnings that are bugs on amd64.

------------------------------------------------------------------------
r16343 | sam | 2006-08-25 14:19:34 +0200 (Fri, 25 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/xspf.c

  * modules/demux/playlist/xspf.c: fix warnings that are bugs on amd64.

------------------------------------------------------------------------
r16342 | zorglub | 2006-08-24 22:47:22 +0200 (Thu, 24 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp

Multiple selection

------------------------------------------------------------------------
r16341 | jpsaman | 2006-08-24 21:50:23 +0200 (Thu, 24 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/converter/mono.c

Fake the mono stream by duplicating it in both channels
------------------------------------------------------------------------
r16340 | zorglub | 2006-08-24 21:45:08 +0200 (Thu, 24 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/profile_parser.c

compile fix

------------------------------------------------------------------------
r16339 | zorglub | 2006-08-24 20:39:25 +0200 (Thu, 24 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/profile_parser.c

Stupid platforms

------------------------------------------------------------------------
r16338 | zorglub | 2006-08-24 20:00:28 +0200 (Thu, 24 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/playlist/panels.hpp
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp
   M /trunk/modules/gui/qt4/menus.cpp
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/modules/gui/qt4/playlist_model.hpp

Preliminary deletion support

------------------------------------------------------------------------
r16337 | zorglub | 2006-08-24 19:52:35 +0200 (Thu, 24 Aug 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_streaming.h
   M /trunk/modules/misc/Modules.am
   A /trunk/modules/misc/profile_parser.c
   M /trunk/src/stream_output/profiles.c

Template for profile parser 

------------------------------------------------------------------------
r16336 | jb | 2006-08-24 18:57:39 +0200 (Thu, 24 Aug 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs_provider.cpp

Qt: Small fix on the filters for simpleOpenFile


------------------------------------------------------------------------
r16335 | sam | 2006-08-24 18:08:31 +0200 (Thu, 24 Aug 2006) | 2 lines
Changed paths:
   M /trunk/doc/Makefile.am

  * doc/Makefile.am: added missing ChangeLog-2005.

------------------------------------------------------------------------
r16334 | bigben | 2006-08-24 08:39:20 +0200 (Thu, 24 Aug 2006) | 3 lines
Changed paths:
   M /trunk/modules/access/v4l2.c

* Some more debug


------------------------------------------------------------------------
r16333 | hartman | 2006-08-24 03:20:43 +0200 (Thu, 24 Aug 2006) | 3 lines
Changed paths:
   M /trunk/modules/packetizer/mpeg4video.c

* Also pass along the USER DATA of mpeg4
  This should help identify the producing encoder and fix some issues with codec specific problems

------------------------------------------------------------------------
r16332 | hartman | 2006-08-24 03:17:58 +0200 (Thu, 24 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/packetizer/h264.c

* Handle Dicas AVC FOURCC

------------------------------------------------------------------------
r16331 | thresh | 2006-08-24 01:40:13 +0200 (Thu, 24 Aug 2006) | 2 lines
Changed paths:
   M /trunk/include/libvlc_internal.h

this should be ifdeffed in a proper way

------------------------------------------------------------------------
r16330 | titer | 2006-08-24 01:32:29 +0200 (Thu, 24 Aug 2006) | 2 lines
Changed paths:
   M /trunk/include/libvlc_internal.h
   M /trunk/modules/codec/ffmpeg/mux.c
   M /trunk/modules/demux/playlist/gvp.c
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/src/playlist/item.c

BeOS / gcc 2.x fixes, patch by Cian Duffy

------------------------------------------------------------------------
r16329 | jpsaman | 2006-08-24 00:11:28 +0200 (Thu, 24 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/stream_out/mosaic_bridge.c
   M /trunk/modules/stream_out/switcher.c

Fix bugs in loading of audio transcoding filters.exit
------------------------------------------------------------------------
r16328 | jpsaman | 2006-08-23 23:59:47 +0200 (Wed, 23 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/converter/mono.c

put mono audio in both (left/right) channels. For some reason AOUT_CHAN_CENTER doesn't work. Somebody explain this to me, please.
------------------------------------------------------------------------
r16327 | hartman | 2006-08-23 23:47:53 +0200 (Wed, 23 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

* Fix the extradata with mkv native MPEG4 SP/ASP/AP

------------------------------------------------------------------------
r16326 | bigben | 2006-08-23 22:20:58 +0200 (Wed, 23 Aug 2006) | 7 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/access/Modules.am
   A /trunk/modules/access/v4l2.c

* Very first beginning of a v4l2 access-demux
* Does nothing useful at the moment (only useless device probing)
* The purpose would be to make an access-demux and an access sub-module reusing part of the code
* Access to a webcam or an analog card without an encoder (bt878) would help the development



------------------------------------------------------------------------
r16325 | jpsaman | 2006-08-23 22:03:48 +0200 (Wed, 23 Aug 2006) | 1 line
Changed paths:
   M /trunk/include/vlc_es.h

Cosmetic
------------------------------------------------------------------------
r16324 | jpsaman | 2006-08-23 22:01:21 +0200 (Wed, 23 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/channel_mixer/headphone.c

Remove debug that shouldn't be there.
------------------------------------------------------------------------
r16323 | bigben | 2006-08-23 15:25:22 +0200 (Wed, 23 Aug 2006) | 2 lines
Changed paths:
   M /trunk/AUTHORS

* change my email address

------------------------------------------------------------------------
r16322 | sam | 2006-08-23 13:57:43 +0200 (Wed, 23 Aug 2006) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in

  * Fixed make dist by updating POTFILES.in.

------------------------------------------------------------------------
r16321 | fkuehne | 2006-08-23 11:44:27 +0200 (Wed, 23 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/access/dshow/dshow.cpp

* compilation fix
------------------------------------------------------------------------
r16319 | fkuehne | 2006-08-23 01:22:14 +0200 (Wed, 23 Aug 2006) | 8 lines
Changed paths:
   M /trunk/modules/access/cdda/access.c
   M /trunk/modules/access/dshow/dshow.cpp
   M /trunk/modules/access/dvb/access.c
   M /trunk/modules/access/dvdnav.c
   M /trunk/modules/access/dvdread.c
   M /trunk/modules/access/file.c
   M /trunk/modules/access/ftp.c
   M /trunk/modules/access/rtsp/access.c
   M /trunk/modules/audio_output/alsa.c
   M /trunk/modules/audio_output/auhal.c
   M /trunk/modules/codec/ffmpeg/encoder.c
   M /trunk/modules/demux/asf/asf.c
   M /trunk/modules/stream_out/es.c
   M /trunk/modules/video_filter/crop.c
   M /trunk/src/audio_output/filters.c
   M /trunk/src/input/decoder.c

* browsed through all code files starting with A to F and added non-blocking intf_UserFatal calls next to msg_err where I think that it is necessary.
I tried to select the most important msg_errs. If I missed your favourite, feel free to add it.
Feedback on the wording and the placement of the interaction calls is strongly welcomed.

For the records: I'm using some general topics for most of the dialogues to produce less work for the translators. The current ones go like this:
"Audio output failed", "Network interaction failed", "Streaming / Transcoding failed", "Audio filtering failed", "File reading failed", "Playback failure"

More to come.
------------------------------------------------------------------------
r16318 | gbazin | 2006-08-22 21:03:20 +0200 (Tue, 22 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/mux.c

* modules/codec/ffmpeg/mux.c: libavformat is much more happy with timestamps which start from 0.
------------------------------------------------------------------------
r16317 | gbazin | 2006-08-22 20:24:57 +0200 (Tue, 22 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/packetizer/h264.c

* modules/packetizer/h264.c: fixed insertion of SPS/PPS.
------------------------------------------------------------------------
r16316 | jpsaman | 2006-08-22 16:31:40 +0200 (Tue, 22 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/converter/mono.c

Downmix stereo to mono channel and choose with --sout-mono-channel <n> the destination channel.
------------------------------------------------------------------------
r16315 | gbazin | 2006-08-21 09:26:31 +0200 (Mon, 21 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/Modules.am
   M /trunk/modules/codec/ffmpeg/demux.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.h
   A /trunk/modules/codec/ffmpeg/mux.c

* modules/codec/ffmpeg: experimental muxer using ffmpeg's libavformat.
------------------------------------------------------------------------
r16314 | jpsaman | 2006-08-21 00:11:27 +0200 (Mon, 21 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/converter/mono.c

cosmetic
------------------------------------------------------------------------
r16313 | zorglub | 2006-08-21 00:03:18 +0200 (Mon, 21 Aug 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/messages.cpp

Fix messages layout bug
Ensure we scroll correctly

------------------------------------------------------------------------
r16312 | jpsaman | 2006-08-20 23:10:17 +0200 (Sun, 20 Aug 2006) | 1 line
Changed paths:
   M /trunk/configure.ac

enable plugin mono audio filter 2
------------------------------------------------------------------------
r16311 | jpsaman | 2006-08-20 23:00:34 +0200 (Sun, 20 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/channel_mixer/headphone.c

Make headphone also an audio_filter2
------------------------------------------------------------------------
r16310 | jpsaman | 2006-08-20 22:56:33 +0200 (Sun, 20 Aug 2006) | 1 line
Changed paths:
   M /trunk/src/osd/osd_parser.c

use memset
------------------------------------------------------------------------
r16309 | jpsaman | 2006-08-20 22:51:56 +0200 (Sun, 20 Aug 2006) | 6 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/Modules.am
   A /trunk/modules/audio_filter/converter/mono.c

First part of a new mono for audio filter 2. You can select the channel you want to hear all other channels are silenced.

TODO:
- stereo_to_mono downmix


------------------------------------------------------------------------
r16308 | jpsaman | 2006-08-20 22:48:35 +0200 (Sun, 20 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/converter/mpgatofixed32.c

Remove some whitespace
------------------------------------------------------------------------
r16307 | jpsaman | 2006-08-20 22:47:57 +0200 (Sun, 20 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/converter/a52tofloat32.c

Remove some whitespace
------------------------------------------------------------------------
r16306 | jpsaman | 2006-08-20 22:46:40 +0200 (Sun, 20 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

Don't force s16l as fourcc but let that depend on the stream chain
------------------------------------------------------------------------
r16305 | jb | 2006-08-20 14:57:07 +0200 (Sun, 20 Aug 2006) | 4 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/messages.cpp
   M /trunk/modules/gui/qt4/dialogs/messages.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp

* First implementation of the simpleOpenFile Dialog for Qt4
* Cosmetic fixes in messages.


------------------------------------------------------------------------
r16304 | gbazin | 2006-08-20 13:53:35 +0200 (Sun, 20 Aug 2006) | 1 line
Changed paths:
   M /trunk/configure.ac

* configure.ac: fixed compilation when shoutcast module is enabled.
------------------------------------------------------------------------
r16303 | ipkiss | 2006-08-20 11:14:00 +0200 (Sun, 20 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/top_window.cpp

 * skins2/src/top_window.cpp: Hide the tooltip when the string to display becomes empty

------------------------------------------------------------------------
r16302 | ipkiss | 2006-08-20 10:48:53 +0200 (Sun, 20 Aug 2006) | 5 lines
Changed paths:
   M /trunk/modules/gui/skins2/parser/interpreter.cpp
   M /trunk/modules/gui/skins2/win32/win32_dragdrop.cpp

 * skins2/win32/win32_dragdrop.cpp: Added a missing encoding conversion
 * skins2/parser/interpreter.cpp: playtree.del() is now a synonym of
    playlist.del(), as it is already in use in some skins...
    Same thing for playtree.sort().

------------------------------------------------------------------------
r16301 | fkuehne | 2006-08-20 00:54:18 +0200 (Sun, 20 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

* also forward the mouse events to super if no vout is present
------------------------------------------------------------------------
r16300 | fkuehne | 2006-08-20 00:46:47 +0200 (Sun, 20 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/video_output/opengl.c

* fixed stupid typo (fixes the highlighting of DVD menu entries)
------------------------------------------------------------------------
r16299 | fkuehne | 2006-08-19 23:39:06 +0200 (Sat, 19 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

* always forward the clicks to OSX's core
------------------------------------------------------------------------
r16298 | Trax | 2006-08-19 23:32:19 +0200 (Sat, 19 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/codec/x264.c

* modules/codec/x264.c: cosmetics and added SSIM stats computation option.
------------------------------------------------------------------------
r16297 | ipkiss | 2006-08-19 19:51:41 +0200 (Sat, 19 Aug 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_slider.cpp

 * skins2/controls/ctrl_slider.cpp: fixed 2 little offset problems, introduced
   by a previous commit

------------------------------------------------------------------------
r16296 | zorglub | 2006-08-19 18:19:56 +0200 (Sat, 19 Aug 2006) | 3 lines
Changed paths:
   A /trunk/test/NativeAlgoTest.py
   A /trunk/test/native/algo.c
   M /trunk/test/native/gc.c
   M /trunk/test/native/init.c
   M /trunk/test/native/tests.h
   M /trunk/test/native/url.c
   M /trunk/test/pyunit.h
   M /trunk/test/setup.py
   M /trunk/test/test.py
   M /trunk/test/test.sh

* Tests for previous commit
* Improve test output

------------------------------------------------------------------------
r16295 | zorglub | 2006-08-19 18:19:31 +0200 (Sat, 19 Aug 2006) | 3 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/Makefile.am
   M /trunk/src/input/item.c
   A /trunk/src/misc/dict.c (from /trunk/src/misc/hashtables.c:16248)
   D /trunk/src/misc/hashtables.c

* B-search macro
* Redo dictionnary handling to remove recursion and bugs

------------------------------------------------------------------------
r16294 | jb | 2006-08-19 15:08:04 +0200 (Sat, 19 Aug 2006) | 7 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   A /trunk/modules/gui/qt4/dialogs/messages.cpp
   A /trunk/modules/gui/qt4/dialogs/messages.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp

* First implementation of the messages dialog for qt4. 
  It works but it is not finished.
  - The changing verbosity does not work yet.
  - Too many messages are displayed ?



------------------------------------------------------------------------
r16293 | ipkiss | 2006-08-19 00:00:04 +0200 (Sat, 19 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/parser/interpreter.cpp

 * skins2/parser/interpreter.cpp: Restored action names modified in [15629]

------------------------------------------------------------------------
r16291 | ipkiss | 2006-08-18 20:58:16 +0200 (Fri, 18 Aug 2006) | 9 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/theme.cpp

 * skins2/src/theme.cpp: Improved the saving/loading of skins config
   - the format of the skins2-config variable has changed (not backwards-compatible)
   - the active layout and its size are now restored
   - the windows and layouts are now identified by their id, instead of their
     order in the XML file; this fixes problems of disappearing windows
     when editing a skin (commenting a Window for example)
   - it should now be impossible to have all windows hidden at the same time
     (but there is no check that the windows are on screen)

------------------------------------------------------------------------
r16290 | damienf | 2006-08-18 17:11:02 +0200 (Fri, 18 Aug 2006) | 2 lines
Changed paths:
   M /trunk/activex/utils.cpp

- minor fixes

------------------------------------------------------------------------
r16289 | damienf | 2006-08-18 17:10:21 +0200 (Fri, 18 Aug 2006) | 2 lines
Changed paths:
   M /trunk/bootstrap
   M /trunk/src/Makefile.am

- fixed Cygwin issue when linking/building shared libvlc.dll

------------------------------------------------------------------------
r16288 | fkuehne | 2006-08-18 16:05:45 +0200 (Fri, 18 Aug 2006) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/keyedobjects.nib
   M /trunk/modules/gui/macosx/intf.m

* finish the vout menu (cloeses #302)
------------------------------------------------------------------------
r16287 | hartman | 2006-08-18 03:27:00 +0200 (Fri, 18 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/live555.cpp

* Fix a RTSP crash

------------------------------------------------------------------------
r16286 | gbazin | 2006-08-17 22:53:27 +0200 (Thu, 17 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/src/input/decoder.c

* modules/demux/mp4/mp4.c, src/input/decoder.c: support for cropping in quicktime files with H263 video.
------------------------------------------------------------------------
r16285 | gbazin | 2006-08-17 22:14:14 +0200 (Thu, 17 Aug 2006) | 1 line
Changed paths:
   M /trunk/src/input/input.c
   M /trunk/src/misc/messages.c

* src/misc/messages.c, src/input/input.c: revert 16279 and use OBJECT_FLAGS_QUIET instead when preparsing.
------------------------------------------------------------------------
r16284 | gbazin | 2006-08-17 22:07:13 +0200 (Thu, 17 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

* modules/stream_out/transcode.c: couple of small fixes.
------------------------------------------------------------------------
r16283 | zorglub | 2006-08-17 20:16:09 +0200 (Thu, 17 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/util/qvlcframe.hpp
   M /trunk/src/interface/interaction.c
   M /trunk/test/native/gc.c

Fix interaction locking

------------------------------------------------------------------------
r16282 | gbazin | 2006-08-16 23:45:56 +0200 (Wed, 16 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs/playlist.cpp

* modules/gui/wxwidgets/dialogs/playlist.cpp: remove fprintf()s and compilation warnings.
------------------------------------------------------------------------
r16281 | Trax | 2006-08-16 23:36:26 +0200 (Wed, 16 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/access_output/shout.c

* modules/access_output/shout.c: changed 'no bitrate information' warning to be used for both icecast and shoutcast.
------------------------------------------------------------------------
r16280 | gbazin | 2006-08-16 23:19:15 +0200 (Wed, 16 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

* modules/codec/ffmpeg/ffmpeg.c: print AV_LOG_DEBUG messages if they were requested.
------------------------------------------------------------------------
r16279 | gbazin | 2006-08-16 22:59:04 +0200 (Wed, 16 Aug 2006) | 1 line
Changed paths:
   M /trunk/src/misc/messages.c

* src/misc/messages.c: if OBJECT_FLAGS_NODBG is specified, don't output any messages at all. That avoids flooding the console with useless messages when preparsing.
------------------------------------------------------------------------
r16278 | gbazin | 2006-08-16 22:48:06 +0200 (Wed, 16 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

* modules/demux/mkv.cpp: remove useless printf()s
------------------------------------------------------------------------
r16277 | gbazin | 2006-08-16 22:30:04 +0200 (Wed, 16 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/demux/live555.cpp

* modules/demux/live555.cpp: fixed segfault
------------------------------------------------------------------------
r16276 | ipkiss | 2006-08-16 09:03:52 +0200 (Wed, 16 Aug 2006) | 4 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_image.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_slider.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_slider.hpp

 * skins2/controls/ctrl_image.cpp: Allow resizing to a width of 1 now that the
   bug in ScaledBitmap is fixed
 * skins2/controls/ctrl_slider.*: Support resizing of the SliderBackground control

------------------------------------------------------------------------
r16275 | Trax | 2006-08-16 01:13:46 +0200 (Wed, 16 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/access_output/shout.c

* modules/access_output/shout.c: removed protocol selection and set it to automaticly try shoutcast protocol if icecast fails. added options for stream info settings, genre, url and public (yellow pages).
------------------------------------------------------------------------
r16274 | asmax | 2006-08-16 00:38:49 +0200 (Wed, 16 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/scaled_bitmap.cpp

* scaled_bitmap.cpp: better fix than [16273] ...

------------------------------------------------------------------------
r16273 | asmax | 2006-08-16 00:25:27 +0200 (Wed, 16 Aug 2006) | 4 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/scaled_bitmap.cpp

* scaled_bitmap.cpp: - fixed an infinite loop when width=1
   + fixed a huge bug in horizontal scaling (btw, TODO: use bresenham for
   vertical scaling too)

------------------------------------------------------------------------
r16272 | gbazin | 2006-08-16 00:10:37 +0200 (Wed, 16 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/skins2/src/vlcproc.cpp
   M /trunk/modules/gui/wxwidgets/video.cpp
   M /trunk/modules/video_output/x11/xcommon.c

* modules/video_output/x11/xcommon.c, modules/gui/wxwidgets/video.cpp, modules/gui/skins2/src/vlcproc.cpp: fixed crash on exit, introduced in changelist 16148 (unix VOUT_REPARENT).
------------------------------------------------------------------------
r16271 | ipkiss | 2006-08-15 22:57:56 +0200 (Tue, 15 Aug 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_image.cpp

 * skins2/controls/ctrl_image.cpp: Avoid a crash when resizing a Image control
   to a very small size, in scaling mode

------------------------------------------------------------------------
r16270 | ipkiss | 2006-08-15 20:59:40 +0200 (Tue, 15 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_move.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_move.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_resize.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_resize.hpp

 * skins2/controls/*: forward the onResize() method to the decorated controls

------------------------------------------------------------------------
r16269 | hartman | 2006-08-15 18:17:59 +0200 (Tue, 15 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/mux/mp4.c

* Get and write the correct profile_compat_byte

------------------------------------------------------------------------
r16268 | hartman | 2006-08-15 18:12:44 +0200 (Tue, 15 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/rtp.c

* provide the SPS and PPS in the SDP when doing h264 packetization (sprop-parameters)

------------------------------------------------------------------------
r16264 | ipkiss | 2006-08-15 13:04:13 +0200 (Tue, 15 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/skin_main.cpp

 * skins2/src/skin_main.cpp: Fixed a crash in the preferences, reported by Trax

------------------------------------------------------------------------
r16263 | ipkiss | 2006-08-15 12:43:00 +0200 (Tue, 15 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/interaction.hpp
   M /trunk/modules/gui/qt4/main_interface.hpp

 * qt4: Added a few forward declarations and includes

------------------------------------------------------------------------
r16262 | hartman | 2006-08-15 01:37:28 +0200 (Tue, 15 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/packetizer/h264.c

* first sps, then pps 

------------------------------------------------------------------------
r16261 | gbazin | 2006-08-15 00:16:07 +0200 (Tue, 15 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/packetizer/h264.c

* modules/packetizer/h264.c: insert an SPS and PPS before each keyframe.
------------------------------------------------------------------------
r16260 | hartman | 2006-08-14 23:46:13 +0200 (Mon, 14 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/live555.cpp

* Set the SPS and PPS properly in the extradata when we receive RTP h264

------------------------------------------------------------------------
r16259 | hartman | 2006-08-14 23:45:19 +0200 (Mon, 14 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/x264.c

* set extradata of the x264 encoder.

------------------------------------------------------------------------
r16258 | hartman | 2006-08-14 23:44:15 +0200 (Mon, 14 Aug 2006) | 4 lines
Changed paths:
   M /trunk/modules/packetizer/h264.c

* Victory at last. The h264 packetizer is fixed. Thx to Haali and gibalou for the insights.
  - manage private data properly
  - use 4 byte startcodes

------------------------------------------------------------------------
r16257 | Trax | 2006-08-14 00:23:33 +0200 (Mon, 14 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/access_output/shout.c

* shout.c: add support for protocol selection (icy for shoutcast and http for icecast)
------------------------------------------------------------------------
r16256 | xtophe | 2006-08-13 21:33:16 +0200 (Sun, 13 Aug 2006) | 2 lines
Changed paths:
   M /trunk/bindings/java/Makefile.am
   M /trunk/bindings/java/src/Makefile.am

Distribute the java bindings in the tarball

------------------------------------------------------------------------
r16255 | courmisch | 2006-08-13 20:48:17 +0200 (Sun, 13 Aug 2006) | 2 lines
Changed paths:
   M /trunk/bindings/java/Makefile.am
   M /trunk/bindings/java/src/Makefile.am

Attempt to remove all the non standard GNU/make stuff

------------------------------------------------------------------------
r16254 | jpsaman | 2006-08-13 16:31:02 +0200 (Sun, 13 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/converter/a52tofloat32.c

Fix memory leak
------------------------------------------------------------------------
r16253 | ipkiss | 2006-08-13 14:34:37 +0200 (Sun, 13 Aug 2006) | 2 lines
Changed paths:
   M /trunk/doc/skins/skins2-howto.xml

 * doc/skins/skins2-howto.xml: xkeepratio and ykeepratio are available since VLC 0.8.6 only.

------------------------------------------------------------------------
r16252 | hartman | 2006-08-12 22:08:08 +0200 (Sat, 12 Aug 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   D /trunk/extras/contrib/src/Patches/ffmpeg-install.patch
   D /trunk/extras/contrib/src/Patches/ffmpeg-svn-mactel.patch

* all macintel patches have been fixed upstream now. Also remove outdated ffmpeg prefix patch

------------------------------------------------------------------------
r16251 | hartman | 2006-08-12 16:24:54 +0200 (Sat, 12 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/live555.cpp

* fix the getlength. It needs to be after the SETUP, so that liveMedia can correct Windows Media Servers.

------------------------------------------------------------------------
r16250 | hartman | 2006-08-12 02:10:37 +0200 (Sat, 12 Aug 2006) | 17 lines
Changed paths:
   M /trunk/modules/demux/live555.cpp

* refactoring of live555 module.
  - less code duplication
  - automaticly try HTTP tunneling if describe fails
  - upon authentication failure, ask for a new user/passwd and try again (untested due to lack of a rtsp source)
  - fix a bug with adding tracks introduced in [16114]
  - fix a bug closing the RTSPClient
  - disabled the QT VoD detection because it's unreliable like hell.

  TODO:
  - test with a WMS RTSP session
  - test against a paswd. protected RTSP session
  - find a better way for error communication with live (parsing random strings is so 1990)
  - find a way to relay Control() calls to a subdemux (for time/pos in TS)
  - add the HREF support of the 0.8.5-href branch
  - better flushing etc. during the PAUSE (ideas anyone?)


------------------------------------------------------------------------
r16249 | xtophe | 2006-08-12 01:30:02 +0200 (Sat, 12 Aug 2006) | 2 lines
Changed paths:
   M /trunk/src/control/mediacontrol_core.c

Should fix compilation. Not tested

------------------------------------------------------------------------
r16248 | zorglub | 2006-08-11 15:32:42 +0200 (Fri, 11 Aug 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_playlist.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/playlist/item.c

Add functions to use the media library

------------------------------------------------------------------------
r16247 | zorglub | 2006-08-11 08:23:56 +0200 (Fri, 11 Aug 2006) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

Gah, forgot to commit this: fix a potential crash in stats

------------------------------------------------------------------------
r16246 | hartman | 2006-08-10 23:28:56 +0200 (Thu, 10 Aug 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/ffmpeg-svn-mactel.patch

* nop part of ffmpeg patch was fixed upstream

------------------------------------------------------------------------
r16245 | dionoea | 2006-08-10 21:21:25 +0200 (Thu, 10 Aug 2006) | 2 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/modules/control/rc.c

Add "enqueue" command. Original patch by Greg Farell

------------------------------------------------------------------------
r16244 | ipkiss | 2006-08-10 20:26:18 +0200 (Thu, 10 Aug 2006) | 2 lines
Changed paths:
   M /trunk/doc/skins/skins2-howto.xml

 * doc/skins/skins2-howto.xml: Updated copyright year

------------------------------------------------------------------------
r16243 | ipkiss | 2006-08-10 19:25:30 +0200 (Thu, 10 Aug 2006) | 3 lines
Changed paths:
   M /trunk/doc/skins/skins2-howto.xml

 * doc/skins/skins2-howto.xml: Changed the structure of the sections, for a
   nicer output

------------------------------------------------------------------------
r16242 | courmisch | 2006-08-10 16:27:28 +0200 (Thu, 10 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/upnp_intel.cpp

Partial UPnP fix from Christian Henz, from Ralf Huvendiek.

------------------------------------------------------------------------
r16241 | hartman | 2006-08-10 14:51:53 +0200 (Thu, 10 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/logo.c
   M /trunk/modules/video_filter/marq.c
   M /trunk/modules/video_filter/time.c

* p_input->p_libvlc == p_filter->p_libvlc: remove p_input dependancy here.

------------------------------------------------------------------------
r16240 | hartman | 2006-08-10 13:46:19 +0200 (Thu, 10 Aug 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/ffmpeg-svn-mactel.patch

* Part of the Intel patches are now fixed upstream

------------------------------------------------------------------------
r16239 | jpsaman | 2006-08-09 20:09:34 +0200 (Wed, 09 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/encoder.c

Fix comments
------------------------------------------------------------------------
r16238 | hartman | 2006-08-08 22:39:12 +0200 (Tue, 08 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/cdda/access.c

* Fix an #ifdef hidden error in cddax 

------------------------------------------------------------------------
r16237 | zorglub | 2006-08-07 19:26:02 +0200 (Mon, 07 Aug 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_playlist.h
   M /trunk/include/vlc_symbols.h
   M /trunk/modules/control/http/macro.c
   M /trunk/modules/control/rc.c
   M /trunk/modules/gui/macosx/playlist.m
   M /trunk/src/playlist/sort.c

Fix sort by artist

------------------------------------------------------------------------
r16236 | fkuehne | 2006-08-07 18:36:57 +0200 (Mon, 07 Aug 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/gui/macosx/AppleRemote.h
   M /trunk/modules/gui/macosx/AppleRemote.m

* configure.ac: enabled Obj-C exceptions in the OBJCFLAGS (they're currently used by AppleRemote only, but we should extend them to further classes)
* AppleRemote.*: added svn id and proper notes about the MIT-style and GPL dual licensing
------------------------------------------------------------------------
r16235 | zorglub | 2006-08-06 19:12:01 +0200 (Sun, 06 Aug 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/playlist/panels.hpp
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp
   M /trunk/modules/gui/qt4/dialogs/playlist.cpp
   M /trunk/modules/gui/qt4/dialogs/playlist.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/menus.cpp
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/modules/gui/qt4/playlist_model.hpp
   M /trunk/modules/gui/qt4/util/qvlcframe.hpp

* Add random/loop buttons
* Improve hilighting

------------------------------------------------------------------------
r16234 | ipkiss | 2006-08-06 18:36:30 +0200 (Sun, 06 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_text.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_text.hpp

 * skins2: Fixed resizing of the Text control

------------------------------------------------------------------------
r16233 | zorglub | 2006-08-06 18:14:56 +0200 (Sun, 06 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/m3u.c
   M /trunk/modules/demux/playlist/shoutcast.c
   M /trunk/modules/services_discovery/shout.c
   M /trunk/src/playlist/item.c

Fix deletion of items when changing them to nodes

------------------------------------------------------------------------
r16232 | fkuehne | 2006-08-06 18:10:19 +0200 (Sun, 06 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

* fix compilation warnings by adding _defaultTableHeader*SortImage to NSOutlineView's interface
------------------------------------------------------------------------
r16231 | ipkiss | 2006-08-06 17:49:56 +0200 (Sun, 06 Aug 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/parser/builder.cpp

 * skins2: fixed the xkeepratio/ykeepratio attributes for controls not tied to
   the top left corner of the layout

------------------------------------------------------------------------
r16230 | jpsaman | 2006-08-06 17:07:47 +0200 (Sun, 06 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

Oops use VLC_ error messages
------------------------------------------------------------------------
r16229 | zorglub | 2006-08-06 15:53:58 +0200 (Sun, 06 Aug 2006) | 2 lines
Changed paths:
   M /trunk/src/input/item.c

Oh look ! Bananas !

------------------------------------------------------------------------
r16228 | jpsaman | 2006-08-06 15:43:18 +0200 (Sun, 06 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

sanity checking
------------------------------------------------------------------------
r16227 | jpsaman | 2006-08-06 15:40:11 +0200 (Sun, 06 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

enabled check for p_sys->i_channels>2 again for mp3 audio. It was wrongly disabled.
------------------------------------------------------------------------
r16226 | jpsaman | 2006-08-06 15:27:58 +0200 (Sun, 06 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

Implement afilter transcode filters and renamed vfilter to ufilter (userfilter) so only one extra entry in sout_stream_id_t is needed and not one for every ES type.
------------------------------------------------------------------------
r16225 | jpsaman | 2006-08-06 15:25:05 +0200 (Sun, 06 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/video_filter/mosaic.c

ifdef away compiler warning
------------------------------------------------------------------------
r16224 | jpsaman | 2006-08-06 15:24:29 +0200 (Sun, 06 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/services_discovery/podcast.c

Remove unused variable
------------------------------------------------------------------------
r16223 | jpsaman | 2006-08-06 15:24:11 +0200 (Sun, 06 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/video_filter/psychedelic.c

Fix double free bug in psychedelic filter
------------------------------------------------------------------------
r16222 | jpsaman | 2006-08-06 15:23:47 +0200 (Sun, 06 Aug 2006) | 1 line
Changed paths:
   M /trunk/src/misc/image.c

Put just deleted objects to NULL.
------------------------------------------------------------------------
r16221 | jpsaman | 2006-08-06 15:21:54 +0200 (Sun, 06 Aug 2006) | 1 line
Changed paths:
   M /trunk/include/vlc_es.h

Use NULL iso 0 (is more portable)
------------------------------------------------------------------------
r16220 | jpsaman | 2006-08-06 15:21:36 +0200 (Sun, 06 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/mux/mp4.c

Remove some whitespace
------------------------------------------------------------------------
r16219 | jpsaman | 2006-08-06 15:11:49 +0200 (Sun, 06 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/resampler/bandlimited.c

Use C-style comments
------------------------------------------------------------------------
r16218 | jpsaman | 2006-08-06 15:11:04 +0200 (Sun, 06 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/resampler/linear.c

Cleanup whitespace
------------------------------------------------------------------------
r16217 | jpsaman | 2006-08-06 15:10:27 +0200 (Sun, 06 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/demux/mpeg/m4v.c

Remove unused variable.
------------------------------------------------------------------------
r16216 | jpsaman | 2006-08-06 15:09:42 +0200 (Sun, 06 Aug 2006) | 1 line
Changed paths:
   M /trunk/src/stream_output/stream_output.c

Fix compiler warning on uninitialized variable.
------------------------------------------------------------------------
r16215 | jpsaman | 2006-08-06 15:09:24 +0200 (Sun, 06 Aug 2006) | 1 line
Changed paths:
   M /trunk/src/input/stream.c

Fix compiler warning on uninitialized variable.
------------------------------------------------------------------------
r16214 | zorglub | 2006-08-06 14:25:52 +0200 (Sun, 06 Aug 2006) | 2 lines
Changed paths:
   M /trunk/src/input/input.c
   M /trunk/src/misc/stats.c

This should fix the locking problems with stats

------------------------------------------------------------------------
r16213 | jpsaman | 2006-08-06 12:30:30 +0200 (Sun, 06 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/access/cdda/access.c

Coding Style fixes
------------------------------------------------------------------------
r16212 | zorglub | 2006-08-06 12:07:35 +0200 (Sun, 06 Aug 2006) | 6 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/playlist/panels.hpp
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp
   M /trunk/modules/gui/qt4/dialogs/playlist.cpp
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.cpp
   M /trunk/modules/gui/qt4/menus.cpp
   M /trunk/modules/gui/qt4/menus.hpp
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/modules/gui/qt4/playlist_model.hpp

Qt4:
* Hilight playing item
* Partial removal support, not yet correct
* Reduce critical section when rebuilding playlist
* Beginning of menu support

------------------------------------------------------------------------
r16211 | pengvado | 2006-08-06 02:48:05 +0200 (Sun, 06 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/x264.c

oops in r16209

------------------------------------------------------------------------
r16210 | ipkiss | 2006-08-05 15:37:06 +0200 (Sat, 05 Aug 2006) | 6 lines
Changed paths:
   M /trunk/doc/skins/skins2-howto.xml
   M /trunk/modules/gui/skins2/parser/builder.cpp
   M /trunk/modules/gui/skins2/parser/builder.hpp
   M /trunk/modules/gui/skins2/parser/builder_data.def
   M /trunk/modules/gui/skins2/parser/builder_data.hpp
   M /trunk/modules/gui/skins2/parser/skin_parser.cpp
   M /trunk/modules/gui/skins2/utils/position.cpp
   M /trunk/modules/gui/skins2/utils/position.hpp
   M /trunk/share/skins2/skin.dtd

 * skins2: new "xkeepratio" and "ykeepratio" attributes, common to all the
   controls. When set to "true", the behaviour of the resizing is changed
   (cf. documentation). The main use for these attributes is to keep a
   a control centered in the layout (horizontally, vertically or both) without
   resizing the control.

------------------------------------------------------------------------
r16209 | pengvado | 2006-08-04 20:14:40 +0200 (Fri, 04 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/x264.c

fix the crf option to reflect x264's API change in its revision 537

------------------------------------------------------------------------
r16208 | jpsaman | 2006-08-04 17:17:15 +0200 (Fri, 04 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

Some cleanup of whitespace
------------------------------------------------------------------------
r16207 | zorglub | 2006-08-04 00:24:42 +0200 (Fri, 04 Aug 2006) | 2 lines
Changed paths:
   M /trunk/src/input/item.c

This dichotomy code apparently still is buggy. Todo: redo it

------------------------------------------------------------------------
r16206 | gbazin | 2006-08-03 23:57:58 +0200 (Thu, 03 Aug 2006) | 1 line
Changed paths:
   M /trunk/modules/access/directory.c
   M /trunk/modules/access/file.c

* modules/access/file.c, directory.c: bug and memory leak fixes
------------------------------------------------------------------------
r16205 | zorglub | 2006-08-03 19:03:26 +0200 (Thu, 03 Aug 2006) | 2 lines
Changed paths:
   M /trunk/bindings/java/src

Fix svn:ignore

------------------------------------------------------------------------
r16204 | zorglub | 2006-08-03 18:58:10 +0200 (Thu, 03 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/http/macro.c
   M /trunk/modules/control/http/rpn.c
   M /trunk/modules/demux/mp4/libmp4.c
   M /trunk/modules/demux/mp4/libmp4.h
   M /trunk/modules/demux/playlist/dvb.c
   M /trunk/modules/demux/playlist/gvp.c
   M /trunk/modules/demux/playlist/shoutcast.c
   M /trunk/modules/misc/freetype.c
   M /trunk/modules/misc/logger.c
   M /trunk/modules/misc/rtsp.c
   M /trunk/modules/video_chroma/i420_rgb8.c

Fix a bunch of warnings and errors

------------------------------------------------------------------------
r16203 | zorglub | 2006-08-03 17:34:08 +0200 (Thu, 03 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/dvb/dvb.h
   M /trunk/modules/access/dvb/http.c
   M /trunk/modules/access/mms/mms.h
   M /trunk/modules/access/mms/mmstu.c
   M /trunk/modules/access/vcdx/access.c
   M /trunk/modules/access_output/http.c
   M /trunk/modules/codec/cinepak.c
   M /trunk/modules/demux/asf/libasf.c
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/demux/mp4/libmp4.c
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/demux/playlist/asx.c
   M /trunk/modules/demux/playlist/b4s.c
   M /trunk/modules/demux/playlist/qtl.c
   M /trunk/modules/demux/playlist/shoutcast.c
   M /trunk/modules/gui/wxwidgets/dialogs/interaction.cpp
   M /trunk/modules/mux/ogg.c
   M /trunk/modules/services_discovery/sap.c
   M /trunk/modules/stream_out/es.c
   M /trunk/modules/video_filter/logo.c
   M /trunk/modules/video_output/image.c
   M /trunk/src/misc/vlm.c
   M /trunk/src/stream_output/announce.c
   M /trunk/src/stream_output/sap.c
   M /trunk/src/stream_output/stream_output.c

Fix duplicate definitions of FREE

------------------------------------------------------------------------
r16202 | zorglub | 2006-08-03 17:27:19 +0200 (Thu, 03 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/interaction.cpp
   M /trunk/modules/gui/qt4/dialogs/interaction.hpp
   M /trunk/modules/gui/qt4/menus.cpp

Handle blocking errors, fix layout for login

------------------------------------------------------------------------
r16201 | jb | 2006-08-03 10:46:47 +0200 (Thu, 03 Aug 2006) | 4 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/x264-svn-win32.patch


Yet another x264 contrib patch for win32


------------------------------------------------------------------------
r16200 | jb | 2006-08-03 09:48:55 +0200 (Thu, 03 Aug 2006) | 4 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   D /trunk/extras/contrib/src/Patches/ffmpeg-vc1.patch
   M /trunk/extras/contrib/src/packages.mak

* Some small updates in the contribs
* FFMpeg reactivated the WM3-codec. The patch is now useless


------------------------------------------------------------------------
r16199 | zorglub | 2006-08-03 08:10:57 +0200 (Thu, 03 Aug 2006) | 4 lines
Changed paths:
   M /trunk/extras/make.pl
   M /trunk/include/vlc_interaction.h
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/demux/avi/libavi.c
   M /trunk/modules/gui/qt4/dialogs/interaction.cpp
   M /trunk/modules/gui/qt4/util/qvlcframe.hpp
   M /trunk/modules/gui/wxwidgets/dialogs/interaction.cpp
   M /trunk/src/interface/interaction.c

* Some Qt interaction stuff
* More useless interaction cleanup
* Small fix for make beautifier

------------------------------------------------------------------------
r16198 | zorglub | 2006-08-02 23:52:28 +0200 (Wed, 02 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/gvp.c

Fix crash with GVP, if it breaks it, yell and provide samples so we can put tests for them

------------------------------------------------------------------------
r16197 | zorglub | 2006-08-02 21:51:46 +0200 (Wed, 02 Aug 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_interaction.h
   M /trunk/include/vlc_symbols.h
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/services_discovery/shout.c
   M /trunk/src/interface/interaction.c
   M /trunk/src/misc/update.c

Interaction cleanup, remove some unused functions, factorize some code, ...

------------------------------------------------------------------------
r16196 | littlejohn | 2006-08-02 16:11:17 +0200 (Wed, 02 Aug 2006) | 3 lines
Changed paths:
   M /trunk/bindings/java/Makefile.am
   M /trunk/bindings/java/VLCExample.java
   A /trunk/bindings/java/org/videolan/jvlc/Audio.java
   A /trunk/bindings/java/org/videolan/jvlc/Input.java
   M /trunk/bindings/java/org/videolan/jvlc/InputIntf.java
   M /trunk/bindings/java/org/videolan/jvlc/JVLC.java
   M /trunk/bindings/java/org/videolan/jvlc/JVLCCanvas.java
   M /trunk/bindings/java/org/videolan/jvlc/Playlist.java
   M /trunk/bindings/java/org/videolan/jvlc/PlaylistIntf.java
   D /trunk/bindings/java/org/videolan/jvlc/Status.java
   A /trunk/bindings/java/org/videolan/jvlc/VLM.java
   M /trunk/bindings/java/org/videolan/jvlc/VLMIntf.java
   A /trunk/bindings/java/org/videolan/jvlc/Video.java
   M /trunk/bindings/java/org/videolan/jvlc/VideoIntf.java
   A /trunk/bindings/java/src
   A /trunk/bindings/java/src/Makefile.am
   A /trunk/bindings/java/src/audio-jni.cc
   A /trunk/bindings/java/src/core-jni.cc
   A /trunk/bindings/java/src/graphics-jni.cc
   A /trunk/bindings/java/src/input-jni.cc
   A /trunk/bindings/java/src/playlist-jni.cc
   A /trunk/bindings/java/src/utils.cc
   A /trunk/bindings/java/src/utils.h
   A /trunk/bindings/java/src/video-jni.cc
   A /trunk/bindings/java/src/vlm-jni.cc
   D /trunk/bindings/java/vlc-graphics-jni.cc
   D /trunk/bindings/java/vlc-libvlc-jni.cc
   M /trunk/configure.ac

Java Bindings synched with lastest version.


------------------------------------------------------------------------
r16195 | jb | 2006-08-02 00:09:34 +0200 (Wed, 02 Aug 2006) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/speex-BeOS.patch
   A /trunk/extras/contrib/src/Patches/twolame-BeOS.patch

* Some work for BeOS Contrib's should repair some of'em


------------------------------------------------------------------------
r16194 | zorglub | 2006-08-01 17:23:46 +0200 (Tue, 01 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/interaction.hpp

Remove references to deprecated files

------------------------------------------------------------------------
r16193 | courmisch | 2006-08-01 17:11:33 +0200 (Tue, 01 Aug 2006) | 2 lines
Changed paths:
   M /trunk/src/interface/interaction.c

Apparently, someone does not about "make".

------------------------------------------------------------------------
r16192 | courmisch | 2006-08-01 17:00:50 +0200 (Tue, 01 Aug 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_access.h

Syntax error

------------------------------------------------------------------------
r16191 | courmisch | 2006-08-01 16:54:54 +0200 (Tue, 01 Aug 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Cosmetic: Don't leak internal error to the console.

------------------------------------------------------------------------
r16190 | zorglub | 2006-08-01 15:12:48 +0200 (Tue, 01 Aug 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_interaction.h
   M /trunk/include/vlc_symbols.h
   M /trunk/modules/gui/macosx/interaction.m
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/dialogs/interaction.cpp
   M /trunk/modules/gui/qt4/dialogs/interaction.hpp
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/modules/gui/qt4/ui/logindialog.ui
   D /trunk/modules/gui/qt4/ui/okcanceldialog.ui
   D /trunk/modules/gui/qt4/ui/yesnocanceldialog.ui
   M /trunk/modules/gui/qt4/util/qvlcframe.hpp

Improve Qt interaction stuff

------------------------------------------------------------------------
r16189 | littlejohn | 2006-08-01 12:30:31 +0200 (Tue, 01 Aug 2006) | 3 lines
Changed paths:
   M /trunk/src/control/playlist.c

Fixed a missing assert.h inclusion.


------------------------------------------------------------------------
r16188 | zorglub | 2006-08-01 11:22:35 +0200 (Tue, 01 Aug 2006) | 2 lines
Changed paths:
   M /trunk/include/libvlc_internal.h
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/audio.c
   M /trunk/src/control/core.c
   M /trunk/src/control/input.c
   M /trunk/src/control/playlist.c

src/control: a bit of cleanup here and there

------------------------------------------------------------------------
r16187 | fkuehne | 2006-08-01 00:51:43 +0200 (Tue, 01 Aug 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/interaction.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/src/interface/interaction.c

* interaction.c: always show errors through the interaction framework, even if the user disabled its usage
* macosx/*: minor clean-up
------------------------------------------------------------------------
r16186 | fkuehne | 2006-08-01 00:21:00 +0200 (Tue, 01 Aug 2006) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/InteractionErrorPanel.nib/keyedobjects.nib

* fix layout
------------------------------------------------------------------------
r16185 | fkuehne | 2006-08-01 00:15:13 +0200 (Tue, 01 Aug 2006) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/InteractionErrorPanel.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/InteractionErrorPanel.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/InteractionErrorPanel.nib/keyedobjects.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/keyedobjects.nib
   M /trunk/modules/gui/macosx/interaction.h
   M /trunk/modules/gui/macosx/interaction.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m

* removed the old panel which used to show msg_err completely (hopefully) and added a new menu entry to show the collective errors/warnings panel by hand. Additionally, this panel got a details button now. (thanks to thedj for the idea)
------------------------------------------------------------------------
r16184 | dionoea | 2006-07-31 23:07:17 +0200 (Mon, 31 Jul 2006) | 2 lines
Changed paths:
   M /trunk/share/http/index.html

This was missing to have backwards compatibility with scripts using the old intf.

------------------------------------------------------------------------
r16183 | jb | 2006-07-31 22:13:08 +0200 (Mon, 31 Jul 2006) | 4 lines
Changed paths:
   M /trunk/include/vlc_symbols.h

- Reverting the previous commit.
  Something went bad. Sorry.


------------------------------------------------------------------------
r16182 | jb | 2006-07-31 21:49:19 +0200 (Mon, 31 Jul 2006) | 5 lines
Changed paths:
   M /trunk/include/vlc_symbols.h

- Should remove all the references to intf_UserOkayCancel,
removed in r16159 by fkuehne and fix the nightlies.



------------------------------------------------------------------------
r16181 | gbazin | 2006-07-31 20:09:49 +0200 (Mon, 31 Jul 2006) | 1 line
Changed paths:
   M /trunk/modules/demux/ps.c

* modules/demux/ps.c: fixed breakage
------------------------------------------------------------------------
r16180 | hartman | 2006-07-31 17:36:36 +0200 (Mon, 31 Jul 2006) | 3 lines
Changed paths:
   M /trunk/modules/demux/mp4/mp4.c

* Fix support for QT ref files. this close #700
 - this dupes some code from the playlist demux (FindItem).

------------------------------------------------------------------------
r16179 | littlejohn | 2006-07-31 14:11:51 +0200 (Mon, 31 Jul 2006) | 5 lines
Changed paths:
   M /trunk/bindings/java/Makefile.am
   M /trunk/configure.ac

Some Java checks on --enable-java-bindings:
 * JAVA_HOME is set
 * a java compiler compiles


------------------------------------------------------------------------
r16178 | littlejohn | 2006-07-31 11:31:35 +0200 (Mon, 31 Jul 2006) | 3 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/input.c

New input_set_(time|position) in libvlc.


------------------------------------------------------------------------
r16177 | littlejohn | 2006-07-31 09:09:53 +0200 (Mon, 31 Jul 2006) | 5 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/modules/stream_out/bridge.c
   M /trunk/src/control/video.c

Video resize function added in libvlc.

Typo fix in modules/stream_out/bridge.c


------------------------------------------------------------------------
r16176 | hartman | 2006-07-31 01:21:58 +0200 (Mon, 31 Jul 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

* gnutls needs -lintl ldflag with newer versions. It's so nice if packages keep track of what libs they use....... hint hint

------------------------------------------------------------------------
r16175 | hartman | 2006-07-31 00:40:08 +0200 (Mon, 31 Jul 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/ffmpeg-vc1.patch

* the ffmpeg api version id was updated

------------------------------------------------------------------------
r16174 | fkuehne | 2006-07-31 00:35:04 +0200 (Mon, 31 Jul 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/skins2/commands/cmd_dialogs.hpp

* compilation fix
------------------------------------------------------------------------
r16173 | fkuehne | 2006-07-31 00:11:36 +0200 (Mon, 31 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/wxwidgets/dialogs/interaction.cpp

osx/intf.m: don't show msg_err's in the OSX GUI anymore. Localised errors/warnings are shown by the interaction framework now.
wx/interaction.cpp: another WX compilation fix
------------------------------------------------------------------------
r16172 | fkuehne | 2006-07-31 00:03:56 +0200 (Mon, 31 Jul 2006) | 1 line
Changed paths:
   M /trunk/src/input/input.c
   M /trunk/src/misc/update.c

* forgot these in the previous commit (updated to current API)
------------------------------------------------------------------------
r16171 | fkuehne | 2006-07-31 00:00:44 +0200 (Mon, 31 Jul 2006) | 7 lines
Changed paths:
   M /trunk/Makefile.am
   A /trunk/extras/MacOSX/Resources/English.lproj/InteractionErrorPanel.nib
   A /trunk/extras/MacOSX/Resources/English.lproj/InteractionErrorPanel.nib/classes.nib
   A /trunk/extras/MacOSX/Resources/English.lproj/InteractionErrorPanel.nib/info.nib
   A /trunk/extras/MacOSX/Resources/English.lproj/InteractionErrorPanel.nib/keyedobjects.nib
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/include/vlc_interaction.h
   M /trunk/modules/gui/macosx/interaction.h
   M /trunk/modules/gui/macosx/interaction.m
   M /trunk/modules/gui/wxwidgets/dialogs/interaction.cpp
   M /trunk/modules/gui/wxwidgets/interface.cpp
   M /trunk/src/interface/interaction.c

* additional interaction enhancements
    - intf_UserFatal takes an addition bool-argument now to set whether the error message will be blocking in the interface or not (so TRUE = blocking)
    - intf_UserWarn is always non-blocking and is used to check important, localised warnings to the user
* wx: a compilation fix, but no update to the current API
* osx: complete implementation of the interaction framework using some Carbon (!) functions, because the needed icons aren't accessible through Cocoa. Regrettably, I had to add yet another nib-file to keep the code clean and readable.

The Error-dialogue is no longer re-usable (so the specific ID was removed). The interface needs to keep track of the reported errors and warnings. Thus, it may discard them as requested by the user and doesn't need to care about the core.
------------------------------------------------------------------------
r16170 | zorglub | 2006-07-30 23:19:38 +0200 (Sun, 30 Jul 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_input.h

Forgot this

------------------------------------------------------------------------
r16169 | zorglub | 2006-07-30 22:28:59 +0200 (Sun, 30 Jul 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences_widgets.cpp
   M /trunk/modules/gui/qt4/components/video_widget.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/menus.cpp
   A /trunk/modules/gui/qt4/pixmaps/type_afile.xpm
   A /trunk/modules/gui/qt4/pixmaps/type_card.xpm
   A /trunk/modules/gui/qt4/pixmaps/type_cdda.xpm
   A /trunk/modules/gui/qt4/pixmaps/type_directory.xpm
   A /trunk/modules/gui/qt4/pixmaps/type_disc.xpm
   A /trunk/modules/gui/qt4/pixmaps/type_node.xpm
   A /trunk/modules/gui/qt4/pixmaps/type_unknown.xpm
   A /trunk/modules/gui/qt4/pixmaps/type_vfile.xpm
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/modules/gui/qt4/playlist_model.hpp
   M /trunk/modules/gui/qt4/util/qvlcframe.hpp

Icons support
Misc fprintf cleanup

------------------------------------------------------------------------
r16168 | zorglub | 2006-07-30 18:41:20 +0200 (Sun, 30 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/playlist/panels.hpp
   M /trunk/modules/gui/qt4/components/playlist/selector.cpp
   M /trunk/modules/gui/qt4/components/playlist/selector.hpp
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp
   M /trunk/modules/gui/qt4/dialogs/playlist.cpp
   M /trunk/modules/gui/qt4/dialogs/playlist.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/modules/gui/qt4/playlist_model.hpp
   M /trunk/modules/gui/qt4/qt4.cpp

Qt4 playlist dialog base stuff

------------------------------------------------------------------------
r16167 | ipkiss | 2006-07-30 16:34:21 +0200 (Sun, 30 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_generic.hpp
   M /trunk/modules/gui/skins2/src/generic_layout.hpp

 * skins2/*: fixed some doxygen comments

------------------------------------------------------------------------
r16166 | ipkiss | 2006-07-30 15:04:27 +0200 (Sun, 30 Jul 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/generic_layout.cpp

 * skins2/src/generic_layout.cpp: refresh the area of the Video control when it
   is not visible

------------------------------------------------------------------------
r16165 | asmax | 2006-07-30 14:22:00 +0200 (Sun, 30 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/visualization/galaktos/plugin.c

* fixed galaktos plugin which was broken for a very long time

------------------------------------------------------------------------
r16164 | ipkiss | 2006-07-30 14:07:45 +0200 (Sun, 30 Jul 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/commands/cmd_change_skin.cpp
   M /trunk/modules/gui/skins2/src/window_manager.cpp
   M /trunk/modules/gui/skins2/src/window_manager.hpp

 * skins2: when restoring the previous skin because a new one failed to load,
   show only the windows that were visible before

------------------------------------------------------------------------
r16163 | damienf | 2006-07-30 01:32:05 +0200 (Sun, 30 Jul 2006) | 4 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/modules/video_output/x11/xcommon.c
   M /trunk/src/control/core.c
   M /trunk/src/control/video.c

few fixes in libvlc APis
- allow for libvlc_exception_t to be NULL in APIs
- remove X11 references from libvlc, as it breaks MacOS X

------------------------------------------------------------------------
r16162 | hartman | 2006-07-30 00:58:49 +0200 (Sun, 30 Jul 2006) | 7 lines
Changed paths:
   M /trunk/modules/demux/playlist/asx.c
   M /trunk/modules/demux/playlist/m3u.c
   M /trunk/modules/demux/playlist/pls.c

* Allow the asx module to peek instead on relying on file extension
* Added the QuickTime RTSPtext redirect system. uses m3u, even though they are not related.
* Added the WM Server [Reference] redirects to the pls playlist demux. it's also INI based.

This fixes #690


------------------------------------------------------------------------
r16161 | fkuehne | 2006-07-29 17:47:08 +0200 (Sat, 29 Jul 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs/interaction.cpp
   M /trunk/src/interface/interaction.c

* minor core cleanup and WX compilation fix
------------------------------------------------------------------------
r16160 | fkuehne | 2006-07-29 17:32:30 +0200 (Sat, 29 Jul 2006) | 1 line
Changed paths:
   M /trunk/AUTHORS
   M /trunk/src/input/input.c
   M /trunk/src/misc/update.c

* improved some error messages
------------------------------------------------------------------------
r16159 | fkuehne | 2006-07-29 17:07:42 +0200 (Sat, 29 Jul 2006) | 5 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/Interaction.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Interaction.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Interaction.nib/keyedobjects.nib
   M /trunk/include/vlc_interaction.h
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/gui/macosx/interaction.h
   M /trunk/modules/gui/macosx/interaction.m
   M /trunk/modules/services_discovery/shout.c
   M /trunk/src/interface/interaction.c
   M /trunk/src/misc/update.c

* enhanced the interaction core with some method additions/changes
- intf_UserProgress* takes an additional argument now. use it to provide the time to go (in sec) until the process will be finished. Provide 0, if you don't have such info. The interface will hide the respective text-field.
- intf_UserProgressIsCancelled can be called by the module which triggered the interaction dialogue on a regular interval, to check if the user cancelled the dialogue or not. This is for dialogues with an optional cancel-button only (like the modal progress panel), so it doesn't replace p_dialog->i_return = DIALOG_CANCELLED which is for yes/no-style dialogues
- intf_UserOkayCancel was removed in favour of an enhanced intf_UserYesNo
- intf_UserYesNo takes 3 additional arguments now to get the custom captions of the default (~Yes), alternate(~No) and one optional button(~Cancel). This provides a better interface experience for the user and is more compliant with OSX's HIGL. The interface automatically hides the 3rd button, if NULL is given.
------------------------------------------------------------------------
r16158 | xtophe | 2006-07-29 16:38:38 +0200 (Sat, 29 Jul 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/Patches/ffmpeg-vc1.patch
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

fix breakqge introduce in [16152]

------------------------------------------------------------------------
r16157 | zorglub | 2006-07-29 15:32:12 +0200 (Sat, 29 Jul 2006) | 2 lines
Changed paths:
   M /trunk/test/native/gc.c
   M /trunk/test/native/i18n.c
   M /trunk/test/native/init.c
   M /trunk/test/native/libvlc.c
   M /trunk/test/native/profiles.c
   M /trunk/test/native/stats.c
   M /trunk/test/native/url.c

svn ids and stuff

------------------------------------------------------------------------
r16156 | zorglub | 2006-07-29 15:31:48 +0200 (Sat, 29 Jul 2006) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

One more

------------------------------------------------------------------------
r16155 | zorglub | 2006-07-29 15:31:32 +0200 (Sat, 29 Jul 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_messages.h
   M /trunk/src/misc/stats.c

Some old stats fixes

------------------------------------------------------------------------
r16154 | djc | 2006-07-29 15:01:52 +0200 (Sat, 29 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

Add Ctrl+clic to handle one button mice

------------------------------------------------------------------------
r16153 | zorglub | 2006-07-29 14:25:13 +0200 (Sat, 29 Jul 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_streaming.h
   M /trunk/src/stream_output/profiles.c

Simplify transcode handling

------------------------------------------------------------------------
r16152 | fkuehne | 2006-07-29 14:18:48 +0200 (Sat, 29 Jul 2006) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/ffmpeg-vc1.patch
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

* enabled ffmpeg's beta WMV3/VC1-support
------------------------------------------------------------------------
r16151 | xtophe | 2006-07-28 21:34:03 +0200 (Fri, 28 Jul 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src
   M /trunk/m4
   M /trunk/src/stream_output/profiles.c

Cosmetics

------------------------------------------------------------------------
r16150 | xtophe | 2006-07-28 21:05:04 +0200 (Fri, 28 Jul 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/libpng-darwin-mactel.patch

Update png patch for mactel. Thanks to Jean-Baptiste Kempf

------------------------------------------------------------------------
r16149 | thresh | 2006-07-28 17:28:31 +0200 (Fri, 28 Jul 2006) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am

reverted erroneous part of 16030 commit (this will fix libtool builds)

------------------------------------------------------------------------
r16148 | littlejohn | 2006-07-28 17:24:07 +0200 (Fri, 28 Jul 2006) | 10 lines
Changed paths:
   M /trunk/include/libvlc_internal.h
   M /trunk/include/vlc/libvlc.h
   M /trunk/modules/video_output/x11/xcommon.c
   M /trunk/src/control/video.c

Real VOUT_REPARENT (UNIX only ATM).

if (vout_Control VOUT_REPARENT is called giving a Drawable in args)
then 
     that Drawable is used as new parent
otherwise
     DefaultRootWindow will be the parent
     


------------------------------------------------------------------------
r16147 | zorglub | 2006-07-28 15:28:08 +0200 (Fri, 28 Jul 2006) | 3 lines
Changed paths:
   M /trunk/include/vlc_common.h
   A /trunk/include/vlc_streaming.h
   M /trunk/include/vlc_strings.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/Makefile.am
   A /trunk/src/stream_output/profiles.c
   A /trunk/test/NativeProfilesTest.py
   M /trunk/test/native/gc.c
   M /trunk/test/native/init.c
   A /trunk/test/native/profiles.c
   M /trunk/test/native/tests.h
   M /trunk/test/native/url.c
   M /trunk/test/pyunit.h
   M /trunk/test/setup.py

Some initial work for streaming profiles
+ some misc test cleanup

------------------------------------------------------------------------
r16146 | zorglub | 2006-07-28 13:58:58 +0200 (Fri, 28 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/playlist_model.cpp

Check type before cast

------------------------------------------------------------------------
r16145 | zorglub | 2006-07-28 13:45:52 +0200 (Fri, 28 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/playlist_model.cpp

WTF isn't QEvent a QObject ?

------------------------------------------------------------------------
r16144 | zorglub | 2006-07-28 13:16:49 +0200 (Fri, 28 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/playlist_model.cpp

Don't use RTTI

------------------------------------------------------------------------
r16143 | damienf | 2006-07-28 02:01:15 +0200 (Fri, 28 Jul 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Makefile: fix cross compiling broken by my previous commit

------------------------------------------------------------------------
r16142 | xtophe | 2006-07-28 00:53:41 +0200 (Fri, 28 Jul 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   D /trunk/extras/contrib/src/Patches/libpng-1.2.8-makefile.patch
   A /trunk/extras/contrib/src/Patches/libpng-darwin-mactel.patch
   A /trunk/extras/contrib/src/Patches/libpng-makefile.patch (from /trunk/extras/contrib/src/Patches/libpng-1.2.8-makefile.patch:16140)
   M /trunk/extras/contrib/src/Patches/libpng-osx.patch

Update the libpng patches

------------------------------------------------------------------------
r16141 | damienf | 2006-07-28 00:46:48 +0200 (Fri, 28 Jul 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/libgpg-error.patch

patch for libgpg-error when NLS is disabled

------------------------------------------------------------------------
r16140 | zorglub | 2006-07-27 22:12:41 +0200 (Thu, 27 Jul 2006) | 3 lines
Changed paths:
   M /trunk/modules/demux/mp4/libmp4.c
   M /trunk/src/libvlc.h

Add --france / --no-france option to disable DRM playback.
CSS is not yet disabled as it is hidden from us by libdvdnav/libdvdplay

------------------------------------------------------------------------
r16139 | damienf | 2006-07-27 21:51:57 +0200 (Thu, 27 Jul 2006) | 4 lines
Changed paths:
   M /trunk/extras/contrib/bootstrap
   M /trunk/extras/contrib/src/Makefile

miscellaneous fixes when building contribs on Cygwin
- boostrap: make configure.ac happy when detecting contribs build on Cygwin
- Makefile: cleanup, fixed extraction of files containing invalid characters (on DOS LFN), gpg-error compiling

------------------------------------------------------------------------
r16138 | littlejohn | 2006-07-27 16:51:22 +0200 (Thu, 27 Jul 2006) | 3 lines
Changed paths:
   M /trunk/bindings/java/vlc-graphics-jni.cc

This was overwritten by mistake. Backported to revision 15898.


------------------------------------------------------------------------
r16137 | titer | 2006-07-27 00:48:34 +0200 (Thu, 27 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_chroma/i420_yuy2.c
   M /trunk/modules/video_chroma/i420_yuy2.h

Make I420_UYVY/MMX support widths non multiple of 8

------------------------------------------------------------------------
r16136 | xtophe | 2006-07-27 00:01:37 +0200 (Thu, 27 Jul 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

use pic on amd64. should fix the amd64 moz plugin

------------------------------------------------------------------------
r16135 | xtophe | 2006-07-26 23:59:13 +0200 (Wed, 26 Jul 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

add qvlc to the summary

------------------------------------------------------------------------
r16134 | dionoea | 2006-07-26 23:21:48 +0200 (Wed, 26 Jul 2006) | 2 lines
Changed paths:
   M /trunk/src/video_output/vout_intf.c

Use 5 digits for snapshot numbering when in sequential mode (padd with 0s)

------------------------------------------------------------------------
r16133 | littlejohn | 2006-07-26 17:13:47 +0200 (Wed, 26 Jul 2006) | 3 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/vlm.c

More vlm functions added in libvlc (to play, pause and stop a broadcast)


------------------------------------------------------------------------
r16132 | littlejohn | 2006-07-26 16:15:08 +0200 (Wed, 26 Jul 2006) | 3 lines
Changed paths:
   M /trunk/bindings/java/Makefile.am
   M /trunk/bindings/java/VLCExample.java
   M /trunk/bindings/java/VlcClient.java
   M /trunk/bindings/java/org/videolan/jvlc/AudioIntf.java
   M /trunk/bindings/java/org/videolan/jvlc/InputIntf.java
   M /trunk/bindings/java/org/videolan/jvlc/JLibVLC.java
   M /trunk/bindings/java/org/videolan/jvlc/JVLC.java
   M /trunk/bindings/java/org/videolan/jvlc/Playlist.java
   M /trunk/bindings/java/org/videolan/jvlc/PlaylistIntf.java
   A /trunk/bindings/java/org/videolan/jvlc/VLCException.java
   M /trunk/bindings/java/org/videolan/jvlc/VLMIntf.java
   M /trunk/bindings/java/org/videolan/jvlc/VideoIntf.java
   M /trunk/bindings/java/vlc-graphics-jni.cc
   M /trunk/bindings/java/vlc-libvlc-jni.cc

Sync bindings/java with jvlc head (release is close ;).


------------------------------------------------------------------------
r16131 | xtophe | 2006-07-26 15:49:56 +0200 (Wed, 26 Jul 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/speex.patch

Contrib: fix speex patch. Thanks to JB Kempf

------------------------------------------------------------------------
r16130 | xtophe | 2006-07-26 14:04:25 +0200 (Wed, 26 Jul 2006) | 2 lines
Changed paths:
   M /trunk/po/de.po

Protect the email address

------------------------------------------------------------------------
r16129 | xtophe | 2006-07-26 12:56:30 +0200 (Wed, 26 Jul 2006) | 5 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   D /trunk/extras/contrib/src/Patches/ffmpeg-svn-win32.patch
   D /trunk/extras/contrib/src/Patches/ffmpeg-svn.patch

ffmpeg contribs:
    .pc hqve been fixed upstream
    delete empty win32 patch
    temporarly disable install patch. it works fine without on debian and macOSX. FC4 to be investigated

------------------------------------------------------------------------
r16128 | zorglub | 2006-07-26 00:56:37 +0200 (Wed, 26 Jul 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak

New Qt Contrib

------------------------------------------------------------------------
r16127 | ipkiss | 2006-07-25 23:23:01 +0200 (Tue, 25 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/skin_common.hpp

 * skins2/src/skin_common.hpp: Added missing header

------------------------------------------------------------------------
r16126 | xtophe | 2006-07-25 14:41:29 +0200 (Tue, 25 Jul 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/libpng-osx.patch

Upgrade patch for png on osx. Thanks to Jean-Baptiste Kempf

------------------------------------------------------------------------
r16125 | xtophe | 2006-07-25 11:37:31 +0200 (Tue, 25 Jul 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/po/POTFILES.in
   M /trunk/po/ca.po
   M /trunk/po/cs.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/gl.po
   M /trunk/po/he.po
   M /trunk/po/hi.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ka.po
   M /trunk/po/ko.po
   M /trunk/po/nl.po
   M /trunk/po/oc.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Don't include opie/ in the gettext stuff as it's not in the tarball.

------------------------------------------------------------------------
r16124 | xtophe | 2006-07-25 01:00:57 +0200 (Tue, 25 Jul 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/po/POTFILES.in
   M /trunk/po/ca.po
   M /trunk/po/cs.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/gl.po
   M /trunk/po/he.po
   M /trunk/po/hi.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ka.po
   M /trunk/po/ko.po
   M /trunk/po/nl.po
   M /trunk/po/oc.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Grrrr, silly qt4 build system

------------------------------------------------------------------------
r16123 | xtophe | 2006-07-25 00:56:44 +0200 (Tue, 25 Jul 2006) | 2 lines
Changed paths:
   A /trunk/extras/contrib/src/Patches/libogg-1.1.3.patch
   A /trunk/extras/contrib/src/Patches/theora-1.0a7.patch

Oups miss that in previous commit

------------------------------------------------------------------------
r16122 | xtophe | 2006-07-25 00:45:26 +0200 (Tue, 25 Jul 2006) | 2 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/Patches/ffmpeg-svn-win32.patch
   M /trunk/extras/contrib/src/Patches/ffmpeg-svn.patch
   M /trunk/extras/contrib/src/Patches/gnutls-win32.patch
   M /trunk/extras/contrib/src/Patches/libogg-1.1-win32.patch
   M /trunk/extras/contrib/src/Patches/libogg-1.1.patch
   M /trunk/extras/contrib/src/Patches/libpng-1.2.8-makefile.patch
   M /trunk/extras/contrib/src/Patches/libpng-win32.patch
   M /trunk/extras/contrib/src/Patches/libvorbis-1.1.patch
   M /trunk/extras/contrib/src/Patches/speex.patch
   M /trunk/extras/contrib/src/Patches/theora.patch
   M /trunk/extras/contrib/src/Patches/x264-svn-win32.patch
   M /trunk/extras/contrib/src/packages.mak

Use newer version of libraries in extras/contrib. Patch courtesy of Jean-Baptiste Kempf

------------------------------------------------------------------------
r16121 | xtophe | 2006-07-24 23:45:56 +0200 (Mon, 24 Jul 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/ui/file_open.ui
   M /trunk/modules/gui/qt4/ui/input_stats.ui
   M /trunk/modules/gui/qt4/ui/inputdialog.ui
   M /trunk/modules/gui/qt4/ui/logindialog.ui
   M /trunk/modules/gui/qt4/ui/main_interface.ui
   M /trunk/modules/gui/qt4/ui/okcanceldialog.ui
   M /trunk/modules/gui/qt4/ui/progressdialog.ui
   M /trunk/modules/gui/qt4/ui/yesnocanceldialog.ui
   M /trunk/po/POTFILES.in
   M /trunk/po/ca.po
   M /trunk/po/cs.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/gl.po
   M /trunk/po/he.po
   M /trunk/po/hi.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ka.po
   M /trunk/po/ko.po
   M /trunk/po/nl.po
   M /trunk/po/oc.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Localized the stings inside the .ui  and update the po files.

------------------------------------------------------------------------
r16120 | ipkiss | 2006-07-24 22:09:22 +0200 (Mon, 24 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/dialogs.cpp

 * skins2/src/dialogs.cpp: more encoding fixes

------------------------------------------------------------------------
r16119 | fkuehne | 2006-07-24 19:55:28 +0200 (Mon, 24 Jul 2006) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Patches/ffmpeg-svn.patch

libavutil/common.h was re-worked, so it doesn't need to be patched anymore
------------------------------------------------------------------------
r16118 | ipkiss | 2006-07-24 00:19:46 +0200 (Mon, 24 Jul 2006) | 4 lines
Changed paths:
   M /trunk/modules/gui/skins2/parser/builder.cpp
   M /trunk/modules/gui/skins2/src/skin_common.hpp
   M /trunk/modules/gui/skins2/src/theme_loader.cpp
   M /trunk/modules/gui/skins2/src/theme_loader.hpp

 * skins2: fixed several encoding issues. In particular, it should now be
   possible to load a skin on Windows when logged with an account containing
   non-english characters.

------------------------------------------------------------------------
r16117 | jpsaman | 2006-07-23 20:10:04 +0200 (Sun, 23 Jul 2006) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/ffmpeg-install.patch

Fix installation of ffmpeg-svn version
------------------------------------------------------------------------
r16115 | jpsaman | 2006-07-23 19:51:07 +0200 (Sun, 23 Jul 2006) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Revert revision 16112
------------------------------------------------------------------------
r16114 | jpsaman | 2006-07-23 18:21:35 +0200 (Sun, 23 Jul 2006) | 1 line
Changed paths:
   M /trunk/modules/demux/live555.cpp

Forward port of revision 16113. Fixes a bug in live555 module, that made audio packets (only for audio types that are not supported) being sent to the video decoder. This caused artefacts and segmentation faults in the decoder. VLC core handles the case for codec being not supported just fine, so removed the check for undefined codec.
------------------------------------------------------------------------
r16112 | jpsaman | 2006-07-23 13:04:13 +0200 (Sun, 23 Jul 2006) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Forward port of revision 16111
------------------------------------------------------------------------
r16110 | dionoea | 2006-07-22 17:41:38 +0200 (Sat, 22 Jul 2006) | 2 lines
Changed paths:
   M /trunk/src/libvlc.h

Oops

------------------------------------------------------------------------
r16109 | dionoea | 2006-07-22 17:33:03 +0200 (Sat, 22 Jul 2006) | 2 lines
Changed paths:
   M /trunk/src/libvlc.h
   M /trunk/src/video_output/vout_intf.c

add --snapshot-prefix and --snapshot-sequential options. --snapshot-prefix lets you choose the filename's prefix (default it "vlcsnap-"). --snapshot-sequential numbers the snapshot starting with 1 and incrementing every time.

------------------------------------------------------------------------
r16108 | dionoea | 2006-07-22 16:45:25 +0200 (Sat, 22 Jul 2006) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_output.c

Some more vfilter2 stuff

------------------------------------------------------------------------
r16107 | xtophe | 2006-07-21 23:14:35 +0200 (Fri, 21 Jul 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

oups missed that

------------------------------------------------------------------------
r16106 | fkuehne | 2006-07-21 22:36:29 +0200 (Fri, 21 Jul 2006) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* minor layout improvement
------------------------------------------------------------------------
r16105 | xtophe | 2006-07-21 17:19:35 +0200 (Fri, 21 Jul 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak

contribs: Rename the qt tarball to indicate it's a win32 binaries

------------------------------------------------------------------------
r16104 | zorglub | 2006-07-21 11:42:43 +0200 (Fri, 21 Jul 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Qt4 contrib fixes

------------------------------------------------------------------------
r16103 | zorglub | 2006-07-21 00:16:10 +0200 (Fri, 21 Jul 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak

Add Qt4 to contrib

------------------------------------------------------------------------
r16102 | fkuehne | 2006-07-20 21:45:51 +0200 (Thu, 20 Jul 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/AppleRemote.m

* some minor fixes (signed vs unsigned ints, removed an always ignored pragma, fixed an if)
------------------------------------------------------------------------
r16101 | fkuehne | 2006-07-20 21:30:39 +0200 (Thu, 20 Jul 2006) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* compile before you commit
------------------------------------------------------------------------
r16100 | fkuehne | 2006-07-20 21:26:33 +0200 (Thu, 20 Jul 2006) | 1 line
Changed paths:
   D /trunk/extras/contrib/src/Patches/ffmpeg-configure.patch
   A /trunk/extras/contrib/src/Patches/ffmpeg-svn.patch (from /trunk/extras/contrib/src/Patches/ffmpeg-configure.patch:16098)

* another patch for ffmpeg, so make up a new ffmpeg patch-file and ditch the previous configure-specific one
------------------------------------------------------------------------
r16099 | fkuehne | 2006-07-20 21:16:52 +0200 (Thu, 20 Jul 2006) | 3 lines
Changed paths:
   M /trunk/modules/codec/x264.c

* compilation fix to reflect x264's API change in its revision 537 (x264 build 48)

It would be nice if someone with more x264-knowledge could review this.
------------------------------------------------------------------------
r16098 | fkuehne | 2006-07-20 21:06:18 +0200 (Thu, 20 Jul 2006) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/ffmpeg-configure.patch

* yet another patch for ffmpeg: its configure script doesn't recognise that (at least on OSX) variables' names are case-sensitive
------------------------------------------------------------------------
r16097 | xtophe | 2006-07-20 20:54:26 +0200 (Thu, 20 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/util/directslider.hpp

Compile fix. gcc doesn't like foo=foo();

------------------------------------------------------------------------
r16096 | zorglub | 2006-07-20 17:25:02 +0200 (Thu, 20 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/util/directslider.hpp
   M /trunk/modules/gui/qt4/util/qvlcframe.hpp

Fix a bunch of bugs

------------------------------------------------------------------------
r16095 | xtophe | 2006-07-20 15:44:04 +0200 (Thu, 20 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_output/directx/direct3d.c

Cosmetic: svn properties, Id, copyright dates

------------------------------------------------------------------------
r16094 | damienf | 2006-07-20 15:21:16 +0200 (Thu, 20 Jul 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/video_output/directx/Modules.am
   A /trunk/modules/video_output/directx/direct3d.c
   M /trunk/modules/video_output/directx/directx.c
   M /trunk/modules/video_output/directx/events.c
   M /trunk/modules/video_output/directx/glwin32.c
   M /trunk/modules/video_output/directx/vout.h

- direct3d: new video output module using Direct3D 9 APIs

------------------------------------------------------------------------
r16093 | xtophe | 2006-07-20 10:59:14 +0200 (Thu, 20 Jul 2006) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in
   M /trunk/po/ca.po
   M /trunk/po/cs.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/gl.po
   M /trunk/po/he.po
   M /trunk/po/hi.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ka.po
   M /trunk/po/ko.po
   M /trunk/po/nl.po
   M /trunk/po/oc.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Run update-po. Fix make dist

------------------------------------------------------------------------
r16092 | dionoea | 2006-07-20 00:38:25 +0200 (Thu, 20 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/gradient.c

Add some "const" where relevant

------------------------------------------------------------------------
r16091 | dionoea | 2006-07-20 00:08:38 +0200 (Thu, 20 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/gradient.c

Make code less readable and (hopefully) faster for gradient and edge modes.

------------------------------------------------------------------------
r16090 | zorglub | 2006-07-19 17:17:23 +0200 (Wed, 19 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components/preferences.cpp
   M /trunk/modules/gui/qt4/dialogs/interaction.cpp
   M /trunk/modules/gui/qt4/dialogs/interaction.hpp
   M /trunk/modules/gui/qt4/qt4.cpp
   A /trunk/modules/gui/qt4/ui/inputdialog.ui
   A /trunk/modules/gui/qt4/ui/logindialog.ui
   A /trunk/modules/gui/qt4/ui/progressdialog.ui
   A /trunk/modules/gui/qt4/ui/yesnocanceldialog.ui

Some more Qt interaction support

------------------------------------------------------------------------
r16089 | oaubert | 2006-07-19 14:55:04 +0200 (Wed, 19 Jul 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

configure.ac: the svg module now needs a librsvg2 >= 2.9.0

------------------------------------------------------------------------
r16088 | oaubert | 2006-07-19 14:54:13 +0200 (Wed, 19 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/svg.c

modules/misc/svg.c: fix SVG rendering

------------------------------------------------------------------------
r16087 | zorglub | 2006-07-19 13:53:51 +0200 (Wed, 19 Jul 2006) | 2 lines
Changed paths:
   M /trunk/include/modules_inner.h
   M /trunk/modules/LIST
   M /trunk/modules/audio_filter/channel_mixer/headphone.c
   M /trunk/modules/gui/qt4/components/preferences.cpp

Add support for modules help strings (Closes:#413)

------------------------------------------------------------------------
r16086 | zorglub | 2006-07-19 13:53:18 +0200 (Wed, 19 Jul 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/modules/demux/playlist/podcast.c

Remove some code duplication

------------------------------------------------------------------------
r16085 | jpsaman | 2006-07-19 12:59:30 +0200 (Wed, 19 Jul 2006) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Don't use Patches/goom2k4-0-nommx.patch when building for MacOS X
------------------------------------------------------------------------
r16084 | zorglub | 2006-07-19 11:45:02 +0200 (Wed, 19 Jul 2006) | 3 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/access/Modules.am
   D /trunk/modules/access/pvr
   A /trunk/modules/access/pvr.c (from /trunk/modules/access/pvr/pvr.c:16077)
   D /trunk/modules/access/v4l
   A /trunk/modules/access/v4l.c (from /trunk/modules/access/v4l/v4l.c:16077)
   A /trunk/modules/access/videodev2.h (from /trunk/modules/access/pvr/videodev2.h:16077)
   A /trunk/modules/access/videodev_mjpeg.h (from /trunk/modules/access/v4l/videodev_mjpeg.h:16077)

Move v4l and pvr into the main access directory.
No need for a separate directory for 1 file

------------------------------------------------------------------------
r16083 | zorglub | 2006-07-19 11:33:41 +0200 (Wed, 19 Jul 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_access.h
   M /trunk/include/vlc_demux.h
   M /trunk/modules/access/cdda.c
   M /trunk/modules/access/dv.c
   M /trunk/modules/access/dvdnav.c
   M /trunk/modules/access/dvdread.c
   M /trunk/modules/access/fake.c
   M /trunk/modules/access/file.c
   M /trunk/modules/access/ftp.c
   M /trunk/modules/access/gnomevfs.c
   M /trunk/modules/access/http.c
   M /trunk/modules/access/smb.c
   M /trunk/modules/access/tcp.c
   M /trunk/modules/access/udp.c
   M /trunk/modules/demux/a52.c
   M /trunk/modules/demux/dts.c
   M /trunk/modules/demux/mpeg/h264.c
   M /trunk/modules/demux/mpeg/m4a.c
   M /trunk/modules/demux/mpeg/m4v.c
   M /trunk/modules/demux/mpeg/mpga.c
   M /trunk/modules/demux/mpeg/mpgv.c

Some more demux and access code factorization

------------------------------------------------------------------------
r16080 | oaubert | 2006-07-19 11:01:15 +0200 (Wed, 19 Jul 2006) | 2 lines
Changed paths:
   M /trunk/bindings/mediacontrol-python/vlcglue.c

bindings/mediacontrol-python/vlcglue.c: bind get_/set_rate and get_/set_fullscreen

------------------------------------------------------------------------
r16079 | oaubert | 2006-07-19 11:00:32 +0200 (Wed, 19 Jul 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc/mediacontrol.h
   M /trunk/src/control/mediacontrol_audio_video.c

include/vlc/mediacontrol.h, src/control/mediacontrol_audio_video.c: implement get_/set_rate and get_/set_fullscreen

------------------------------------------------------------------------
r16078 | oaubert | 2006-07-19 10:59:26 +0200 (Wed, 19 Jul 2006) | 3 lines
Changed paths:
   M /trunk/bindings/mediacontrol-python/setup.py

bindings/mediacontrol-python/setup.py: deactivate PIC support for
linux also (I do no quite know the current status, but it works for me this way at the moment).

------------------------------------------------------------------------
r16077 | zorglub | 2006-07-19 01:20:06 +0200 (Wed, 19 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   A /trunk/modules/gui/qt4/components/playlist/selector.cpp
   M /trunk/modules/gui/qt4/components/playlist/selector.hpp
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp
   M /trunk/modules/gui/qt4/components/preferences.cpp
   M /trunk/modules/gui/qt4/components/preferences_widgets.cpp
   M /trunk/modules/gui/qt4/dialogs/playlist.cpp
   M /trunk/modules/gui/qt4/dialogs/playlist.hpp
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.cpp
   M /trunk/modules/gui/qt4/menus.cpp
   M /trunk/modules/gui/qt4/qt4.hpp

A bunch of various fixes (encoding, refcount, layout)

------------------------------------------------------------------------
r16076 | zorglub | 2006-07-18 23:29:05 +0200 (Tue, 18 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/video_widget.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp
   M /trunk/modules/gui/qt4/ui/main_interface.ui

Layout improvements

------------------------------------------------------------------------
r16075 | xtophe | 2006-07-18 23:25:14 +0200 (Tue, 18 Jul 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_es.h

Fix compilation

------------------------------------------------------------------------
r16074 | jpsaman | 2006-07-18 23:00:19 +0200 (Tue, 18 Jul 2006) | 1 line
Changed paths:
   A /trunk/extras/contrib/src/Patches/libpng-1.2.8-makefile.patch

Fix libpng properly (forgot this in a previous commit).
------------------------------------------------------------------------
r16073 | zorglub | 2006-07-18 20:57:19 +0200 (Tue, 18 Jul 2006) | 3 lines
Changed paths:
   M /trunk/bootstrap
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/menus.cpp
   M /trunk/modules/gui/qt4/qt4.hpp

* Fix a number of encoding bugs
* add "make nice" in modules to call ./compile

------------------------------------------------------------------------
r16072 | zorglub | 2006-07-18 19:19:10 +0200 (Tue, 18 Jul 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_demux.h
   M /trunk/modules/demux/a52.c
   M /trunk/modules/demux/dts.c
   M /trunk/modules/demux/flac.c
   M /trunk/modules/demux/mpeg/m4a.c
   M /trunk/modules/demux/mpeg/mpgv.c

Better packetizer helpers

------------------------------------------------------------------------
r16071 | zorglub | 2006-07-18 19:08:18 +0200 (Tue, 18 Jul 2006) | 8 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_demux.h
   M /trunk/modules/demux/a52.c
   M /trunk/modules/demux/aiff.c
   M /trunk/modules/demux/au.c
   M /trunk/modules/demux/dts.c
   M /trunk/modules/demux/playlist/asx.c
   M /trunk/modules/demux/playlist/b4s.c
   M /trunk/modules/demux/playlist/dvb.c
   M /trunk/modules/demux/playlist/gvp.c
   M /trunk/modules/demux/playlist/m3u.c
   M /trunk/modules/demux/playlist/old.c
   M /trunk/modules/demux/playlist/pls.c
   M /trunk/modules/demux/playlist/podcast.c
   M /trunk/modules/demux/playlist/qtl.c
   M /trunk/modules/demux/playlist/sgimb.c
   M /trunk/modules/demux/playlist/shoutcast.c
   M /trunk/modules/demux/playlist/xspf.c
   M /trunk/modules/demux/playlist/xspf.h
   M /trunk/src/playlist/item.c

Add a bunch of helper functions/macros and start using them:
* malloc with NULL check
* file extension check
* check if a demux was forced
* try peeking, and check what we poke
* init standard demuxer fields
* create packetizers

------------------------------------------------------------------------
r16070 | oaubert | 2006-07-18 16:45:24 +0200 (Tue, 18 Jul 2006) | 2 lines
Changed paths:
   M /trunk/bindings/mediacontrol-python/vlcwrapper.py

bindings/mediacontrol-python/vlcwrapper.py: make the tree() method return a string rather than print it.

------------------------------------------------------------------------
r16069 | zorglub | 2006-07-18 16:33:18 +0200 (Tue, 18 Jul 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/input_manager.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp
   M /trunk/modules/gui/qt4/menus.cpp
   M /trunk/modules/gui/qt4/menus.hpp
   M /trunk/modules/gui/qt4/qt4.hpp

* compiles-but-untested complete implementation of menus and popups
* handle play/pause status

------------------------------------------------------------------------
r16068 | damienf | 2006-07-18 11:10:24 +0200 (Tue, 18 Jul 2006) | 2 lines
Changed paths:
   M /trunk/activex/connectioncontainer.cpp
   M /trunk/activex/connectioncontainer.h
   M /trunk/activex/dataobject.h
   M /trunk/activex/objectsafety.h
   M /trunk/activex/olecontrol.h
   M /trunk/activex/oleinplaceactiveobject.h
   M /trunk/activex/oleinplaceobject.h
   M /trunk/activex/oleobject.h
   M /trunk/activex/persistpropbag.h
   M /trunk/activex/persiststorage.h
   M /trunk/activex/persiststreaminit.cpp
   M /trunk/activex/persiststreaminit.h
   M /trunk/activex/plugin.cpp
   M /trunk/activex/provideclassinfo.h
   M /trunk/activex/utils.h
   M /trunk/activex/viewobject.h
   M /trunk/activex/vlccontrol.h

- all: fixed object interfaces queries and other fixes as reported by Jacob Lewallen

------------------------------------------------------------------------
r16067 | sigmunau | 2006-07-18 10:48:53 +0200 (Tue, 18 Jul 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_es.h
   M /trunk/modules/demux/ts.c
   M /trunk/modules/mux/mpeg/ts.c

support muxing and demuxing of dual mono mpeg ts streams if libdvbpsi is up to date

------------------------------------------------------------------------
r16065 | fkuehne | 2006-07-17 14:59:46 +0200 (Mon, 17 Jul 2006) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/Extended.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Extended.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Extended.nib/keyedobjects.nib
   M /trunk/modules/gui/macosx/extended.h
   M /trunk/modules/gui/macosx/extended.m
   M /trunk/src/video_output/video_output.c

* adapted the extended panel to the latest video filter changes and re-designed the interface a bit (by introducing some additional strings and moving the invert-option to the adjust image section, etc.)
* src/video_output/video_output.c: small fix to insert filters on the fly
------------------------------------------------------------------------
r16064 | littlejohn | 2006-07-17 10:37:09 +0200 (Mon, 17 Jul 2006) | 3 lines
Changed paths:
   M /trunk/bindings/java/FAQ

Report in the FAQ that --enable-java-bindings works in win32.


------------------------------------------------------------------------
r16063 | dionoea | 2006-07-16 23:22:31 +0200 (Sun, 16 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/scale.c

Don't show the scale filter in the preferences

------------------------------------------------------------------------
r16062 | dionoea | 2006-07-16 23:02:33 +0200 (Sun, 16 Jul 2006) | 2 lines
Changed paths:
   M /trunk/NEWS

Add (verbose) NEWS

------------------------------------------------------------------------
r16061 | dionoea | 2006-07-16 22:57:09 +0200 (Sun, 16 Jul 2006) | 4 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/src/libvlc.h
   M /trunk/src/video_output/video_output.c

Make "video filter2" filters selectable on the vout level.
Exemple: --video-filter "adjust{hue=180}:wave"
For the moment, the video filter2 filters are applied *before* subpicture filters.

------------------------------------------------------------------------
r16060 | courmisch | 2006-07-16 21:58:46 +0200 (Sun, 16 Jul 2006) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in

(Partial?) fix for make dist

------------------------------------------------------------------------
r16059 | courmisch | 2006-07-16 21:37:56 +0200 (Sun, 16 Jul 2006) | 6 lines
Changed paths:
   M /trunk/m4
   M /trunk/m4/Makefile.am
   D /trunk/m4/libtool.m4
   D /trunk/m4/ltoptions.m4
   D /trunk/m4/ltsugar.m4
   D /trunk/m4/ltversion.m4

Revert commit that breaks bootstrap/aclocal (v2.60, latest release).
That has been annoying quite a bunch of users[1] including buildbots
and myself.

[1] http://forum.videolan.org/viewtopic.php?t=21059

------------------------------------------------------------------------
r16058 | courmisch | 2006-07-16 21:16:48 +0200 (Sun, 16 Jul 2006) | 2 lines
Changed paths:
   M /trunk/bootstrap

Don't duplicate check for automake 1.7

------------------------------------------------------------------------
r16052 | courmisch | 2006-07-16 20:10:22 +0200 (Sun, 16 Jul 2006) | 2 lines
Changed paths:
   M /trunk/po/fr.po

Use nice apostrophe

------------------------------------------------------------------------
r16051 | sam | 2006-07-16 18:06:29 +0200 (Sun, 16 Jul 2006) | 1 line
Changed paths:
   M /trunk/src/libvlc.c

  * src/libvlc.c: fixed comment.
------------------------------------------------------------------------
r16050 | fkuehne | 2006-07-15 21:50:58 +0200 (Sat, 15 Jul 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

* removed useless include
------------------------------------------------------------------------
r16049 | fkuehne | 2006-07-15 21:47:29 +0200 (Sat, 15 Jul 2006) | 6 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/keyedobjects.nib
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/vout.m

* implemented a ctrl-click menu for the vouts (refs #302)
- currently loaded through rightMouseUp because rightMouseDown, etc. don't register any NSRightMouseDowns. If anybody got an idea why, I would be willing to change this of cause, since the current way is quite slower in the user's experience.
- the Snapshot item doesn't work yet (it triggers the fullscreen-event)
- localisation support is complete

Any comments and wanteds for further items are welcome :)
------------------------------------------------------------------------
r16044 | dionoea | 2006-07-15 16:53:58 +0200 (Sat, 15 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/adjust.c
   M /trunk/modules/video_filter/gradient.c
   M /trunk/modules/video_filter/invert.c
   M /trunk/modules/video_filter/psychedelic.c
   M /trunk/modules/video_filter/ripple.c
   M /trunk/modules/video_filter/wave.c

check that p_pic->pf_release != NULL before calling it

------------------------------------------------------------------------
r16043 | dionoea | 2006-07-15 00:58:41 +0200 (Sat, 15 Jul 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/video_filter/Modules.am
   D /trunk/modules/video_filter/distort.c
   A /trunk/modules/video_filter/gradient.c (from /trunk/modules/video_filter/distort.c:16041)
   A /trunk/modules/video_filter/psychedelic.c (from /trunk/modules/video_filter/distort.c:16041)
   A /trunk/modules/video_filter/ripple.c (from /trunk/modules/video_filter/distort.c:16041)
   A /trunk/modules/video_filter/wave.c (from /trunk/modules/video_filter/distort.c:16041)

Split the distort video filter module into several video filter2 modules.

------------------------------------------------------------------------
r16042 | dionoea | 2006-07-15 00:06:57 +0200 (Sat, 15 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/invert.c

Remove unneeded include

------------------------------------------------------------------------
r16041 | sam | 2006-07-14 23:36:11 +0200 (Fri, 14 Jul 2006) | 2 lines
Changed paths:
   M /trunk/m4
   M /trunk/m4/Makefile.am
   A /trunk/m4/libtool.m4
   A /trunk/m4/ltoptions.m4
   A /trunk/m4/ltsugar.m4
   A /trunk/m4/ltversion.m4

  * m4: added libtool macro files. Na.

------------------------------------------------------------------------
r16040 | dionoea | 2006-07-14 23:33:23 +0200 (Fri, 14 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/invert.c

Invert is now a "video filter2"

------------------------------------------------------------------------
r16039 | dionoea | 2006-07-14 23:32:43 +0200 (Fri, 14 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/adjust.c

Adjust is now a "video filter2"

------------------------------------------------------------------------
r16037 | jpsaman | 2006-07-14 13:18:29 +0200 (Fri, 14 Jul 2006) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Remove double .gnutls from HAVE_WIN32 and UNIX targets
------------------------------------------------------------------------
r16034 | xtophe | 2006-07-14 00:41:07 +0200 (Fri, 14 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am

Fix dist

------------------------------------------------------------------------
r16033 | xtophe | 2006-07-13 22:47:49 +0200 (Thu, 13 Jul 2006) | 2 lines
Changed paths:
   M /trunk/m4/Makefile.am

Revert [16011] until someone svn add the concerned files.

------------------------------------------------------------------------
r16031 | jpsaman | 2006-07-13 17:31:29 +0200 (Thu, 13 Jul 2006) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Really fix goom for fc4
------------------------------------------------------------------------
r16030 | sam | 2006-07-13 17:25:56 +0200 (Thu, 13 Jul 2006) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am

  * src/Makefile.am: made the dist rule independent of --enable-libtool.

------------------------------------------------------------------------
r16029 | jpsaman | 2006-07-13 17:22:58 +0200 (Thu, 13 Jul 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/goom2k4-0-nommx.patch

Disable MMX support goom for now since it doesn't compile and is probably broken.

------------------------------------------------------------------------
r16027 | jpsaman | 2006-07-13 17:13:10 +0200 (Thu, 13 Jul 2006) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Fix live555 compilation in contrib
------------------------------------------------------------------------
r16026 | courmisch | 2006-07-13 16:29:00 +0200 (Thu, 13 Jul 2006) | 2 lines
Changed paths:
   M /trunk/loader/loader.h

Another extra boilerplate

------------------------------------------------------------------------
r16025 | courmisch | 2006-07-13 16:19:35 +0200 (Thu, 13 Jul 2006) | 2 lines
Changed paths:
   M /trunk/src/network/tcp.c

Work-around for Winsock

------------------------------------------------------------------------
r16024 | xtophe | 2006-07-13 15:51:05 +0200 (Thu, 13 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components/infopanels.cpp
   M /trunk/modules/gui/qt4/components/infopanels.hpp
   M /trunk/modules/gui/qt4/components/open.cpp
   M /trunk/modules/gui/qt4/components/open.hpp
   M /trunk/modules/gui/qt4/components/playlist/panels.hpp
   M /trunk/modules/gui/qt4/components/playlist/selector.hpp
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp
   M /trunk/modules/gui/qt4/components/preferences.cpp
   M /trunk/modules/gui/qt4/components/preferences.hpp
   M /trunk/modules/gui/qt4/components/preferences_widgets.cpp
   M /trunk/modules/gui/qt4/components/preferences_widgets.hpp
   M /trunk/modules/gui/qt4/components/video_widget.cpp
   M /trunk/modules/gui/qt4/components/video_widget.hpp
   M /trunk/modules/gui/qt4/dialogs/interaction.cpp
   M /trunk/modules/gui/qt4/dialogs/interaction.hpp
   M /trunk/modules/gui/qt4/dialogs/playlist.cpp
   M /trunk/modules/gui/qt4/dialogs/playlist.hpp
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.cpp
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.hpp
   M /trunk/modules/gui/qt4/dialogs/streaminfo.cpp
   M /trunk/modules/gui/qt4/dialogs/streaminfo.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/input_manager.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp
   M /trunk/modules/gui/qt4/menus.cpp
   M /trunk/modules/gui/qt4/menus.hpp
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/modules/gui/qt4/playlist_model.hpp
   M /trunk/modules/gui/qt4/qt4.cpp
   M /trunk/modules/gui/qt4/qt4.hpp
   M /trunk/modules/gui/qt4/res.qrc
   M /trunk/modules/gui/qt4/ui/file_open.ui
   M /trunk/modules/gui/qt4/ui/input_stats.ui
   M /trunk/modules/gui/qt4/ui/main_interface.ui
   M /trunk/modules/gui/qt4/ui/okcanceldialog.ui
   M /trunk/modules/gui/qt4/util/directslider.hpp
   M /trunk/modules/gui/qt4/util/input_slider.cpp
   M /trunk/modules/gui/qt4/util/input_slider.hpp
   M /trunk/modules/gui/qt4/util/qvlcframe.hpp

qt4/*: buildsytem fix + cosmetic+ copyright dates + svn Id

------------------------------------------------------------------------
r16023 | sam | 2006-07-13 15:41:54 +0200 (Thu, 13 Jul 2006) | 2 lines
Changed paths:
   M /trunk/src/audio_output
   M /trunk/src/control
   M /trunk/src/extras
   M /trunk/src/input
   M /trunk/src/interface
   M /trunk/src/misc
   M /trunk/src/network
   M /trunk/src/osd
   M /trunk/src/playlist
   M /trunk/src/stream_output
   M /trunk/src/video_output

  * Added SVN ignore flags to src/ subdirectories.

------------------------------------------------------------------------
r16022 | fkuehne | 2006-07-13 14:06:22 +0200 (Thu, 13 Jul 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/interaction.m

* implement the error panel correctly (for the records: not < 10.3 compatible)
------------------------------------------------------------------------
r16021 | sam | 2006-07-13 13:48:47 +0200 (Thu, 13 Jul 2006) | 2 lines
Changed paths:
   M /trunk/bootstrap

  * bootstrap: strip library version from modules.

------------------------------------------------------------------------
r16020 | zorglub | 2006-07-13 13:21:23 +0200 (Thu, 13 Jul 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   A /trunk/modules/gui/qt4/menus.cpp
   A /trunk/modules/gui/qt4/menus.hpp
   M /trunk/modules/gui/qt4/qt4.hpp

Beginning of menus implementation
Fix a make dist bug

------------------------------------------------------------------------
r16019 | sam | 2006-07-13 12:32:06 +0200 (Thu, 13 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/hotkeys.c

  * modules/control/hotkeys.c: nawak.

------------------------------------------------------------------------
r16018 | jpsaman | 2006-07-12 20:49:35 +0200 (Wed, 12 Jul 2006) | 1 line
Changed paths:
   M /trunk/modules/misc/freetype.c

Removed unused variable pi_gamma
------------------------------------------------------------------------
r16017 | jpsaman | 2006-07-12 20:48:21 +0200 (Wed, 12 Jul 2006) | 1 line
Changed paths:
   M /trunk/THANKS
   M /trunk/include/vlc_vod.h
   M /trunk/modules/misc/rtsp.c
   M /trunk/src/misc/vlm.c

RTSP rewind and fastforward support (Scale option). Almost entirely rewritten a patch from K. Staring <Qdk _at_ quickdekay dot net>.
------------------------------------------------------------------------
r16016 | thresh | 2006-07-12 17:49:13 +0200 (Wed, 12 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/open.cpp

get rid of unresolved symbols

------------------------------------------------------------------------
r16015 | sam | 2006-07-12 17:38:08 +0200 (Wed, 12 Jul 2006) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am

  * src/Makefile.am: fixed sed commands.

------------------------------------------------------------------------
r16014 | sam | 2006-07-12 17:01:55 +0200 (Wed, 12 Jul 2006) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am

  * src/Makefile.am: reverted addition of vlc_devices.h, it was already done.

------------------------------------------------------------------------
r16013 | sam | 2006-07-12 15:54:29 +0200 (Wed, 12 Jul 2006) | 2 lines
Changed paths:
   M /trunk/ChangeLog

  * Updated changelog.

------------------------------------------------------------------------
r16012 | sam | 2006-07-12 15:51:51 +0200 (Wed, 12 Jul 2006) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am

  * src/Makefile.am: yay, another missing file in Makefile.am (vlc_devices.h).

------------------------------------------------------------------------
r16011 | sam | 2006-07-12 15:23:26 +0200 (Wed, 12 Jul 2006) | 2 lines
Changed paths:
   M /trunk/m4/Makefile.am

  * m4/Makefile.am: added more missing files. olleh buglroz!

------------------------------------------------------------------------
r16010 | sam | 2006-07-12 15:04:37 +0200 (Wed, 12 Jul 2006) | 2 lines
Changed paths:
   M /trunk/m4/Makefile.am

  * m4/Makefile.am: added missing files to the distribution. happy bootstrap.

------------------------------------------------------------------------
r16009 | sam | 2006-07-12 14:34:07 +0200 (Wed, 12 Jul 2006) | 2 lines
Changed paths:
   M /trunk/src/audio_output/common.c

  * src/audio_output/common.c: moved message around so that it compiles.

------------------------------------------------------------------------
r16008 | sam | 2006-07-12 14:27:06 +0200 (Wed, 12 Jul 2006) | 2 lines
Changed paths:
   M /trunk/src/audio_output/common.c

  * src/audio_output/common.c: added error message upon invalid initialisation.

------------------------------------------------------------------------
r16007 | zorglub | 2006-07-12 13:29:30 +0200 (Wed, 12 Jul 2006) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am

Missing header in EXTRA_DIST

------------------------------------------------------------------------
r16006 | bigben | 2006-07-11 21:12:18 +0200 (Tue, 11 Jul 2006) | 5 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/modules/access/dvb/linux_dvb.c

* Patch to add ATSC support by Dennis Lou
* This is untested, but shouldn't have any adverse effect at least
* Any feedback much welcomed


------------------------------------------------------------------------
r16005 | fkuehne | 2006-07-11 12:49:50 +0200 (Tue, 11 Jul 2006) | 1 line
Changed paths:
   M /trunk/po/POTFILES.in

* fix make dist
------------------------------------------------------------------------
r16004 | fkuehne | 2006-07-10 23:30:31 +0200 (Mon, 10 Jul 2006) | 1 line
Changed paths:
   M /trunk/modules/demux/playlist/qtl.c
   M /trunk/po/POTFILES.in
   M /trunk/po/ca.po
   M /trunk/po/cs.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/gl.po
   M /trunk/po/he.po
   M /trunk/po/hi.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ka.po
   M /trunk/po/ko.po
   M /trunk/po/nl.po
   M /trunk/po/oc.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po
   M /trunk/src/libvlc.h

* updated the po-files, started some work on the German translation, a minor string fix and removal of an untranslatable string
------------------------------------------------------------------------
r16003 | hartman | 2006-07-10 22:52:57 +0200 (Mon, 10 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/ps.c
   M /trunk/modules/demux/ps.h

* when possible use the PTS for GET_TIME and GET_LENGTH. Note that this isn't always reliable. If you want you can disable it.

------------------------------------------------------------------------
r16002 | fkuehne | 2006-07-10 20:46:46 +0200 (Mon, 10 Jul 2006) | 1 line
Changed paths:
   M /trunk/po/de.po

* fixed typo pointed out by Dirk Stegemann on the forum
------------------------------------------------------------------------
r16001 | dionoea | 2006-07-09 17:01:13 +0200 (Sun, 09 Jul 2006) | 2 lines
Changed paths:
   M /trunk/include/configuration.h
   M /trunk/include/vlc_config_cat.h
   M /trunk/modules/stream_out/transcode.c
   M /trunk/modules/video_filter/scale.c

#transcode{vfilter=...} only works with video filter2 filters.

------------------------------------------------------------------------
r16000 | xtophe | 2006-07-08 23:42:12 +0200 (Sat, 08 Jul 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Have a module_string less confusing

------------------------------------------------------------------------
r15999 | xtophe | 2006-07-08 23:20:00 +0200 (Sat, 08 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

Clean up

------------------------------------------------------------------------
r15998 | xtophe | 2006-07-08 23:19:17 +0200 (Sat, 08 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/commands/cmd_playlist.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/playlist.cpp

Fix compilation. It inserts the playlist only in tree view local.

------------------------------------------------------------------------
r15997 | fkuehne | 2006-07-08 21:13:50 +0200 (Sat, 08 Jul 2006) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/Interaction.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Interaction.nib/keyedobjects.nib
   M /trunk/modules/gui/macosx/interaction.h
   M /trunk/modules/gui/macosx/interaction.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m

* complete clean-up
------------------------------------------------------------------------
r15996 | fkuehne | 2006-07-08 21:12:11 +0200 (Sat, 08 Jul 2006) | 1 line
Changed paths:
   M /trunk/modules/demux/avi/avi.c

* unified the GUI-presented string
------------------------------------------------------------------------
r15995 | xtophe | 2006-07-08 21:11:05 +0200 (Sat, 08 Jul 2006) | 2 lines
Changed paths:
   M /trunk/src/audio_output/dec.c

Fix stats collecting

------------------------------------------------------------------------
r15994 | fkuehne | 2006-07-08 20:32:41 +0200 (Sat, 08 Jul 2006) | 1 line
Changed paths:
   M /trunk/modules/demux/avi/avi.c

* use intf_IntfProgress instead of intf_UserProgress to test the interaction-implementations. Additionally, it's nicer here IMO, so we might keep it this way.
------------------------------------------------------------------------
r15993 | zorglub | 2006-07-08 19:28:51 +0200 (Sat, 08 Jul 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_playlist.h
   M /trunk/include/vlc_symbols.h
   M /trunk/modules/control/rc.c
   M /trunk/modules/demux/playlist/xspf.c
   M /trunk/src/playlist/item.c
   M /trunk/src/playlist/loadsave.c
   M /trunk/src/playlist/search.c

Some infrastructure work for playlist autoload/autosave

------------------------------------------------------------------------
r15992 | fkuehne | 2006-07-08 18:30:21 +0200 (Sat, 08 Jul 2006) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj

* added the Google Video Playlist file-type
------------------------------------------------------------------------
r15991 | adn | 2006-07-08 14:51:10 +0200 (Sat, 08 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components/video_widget.cpp

cosmetic changes + compilation fixes

------------------------------------------------------------------------
r15990 | zorglub | 2006-07-08 13:16:46 +0200 (Sat, 08 Jul 2006) | 4 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components/video_widget.cpp
   M /trunk/modules/gui/qt4/components/video_widget.hpp
   A /trunk/modules/gui/qt4/dialogs/interaction.cpp
   A /trunk/modules/gui/qt4/dialogs/interaction.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp
   M /trunk/modules/gui/qt4/qt4.cpp
   M /trunk/modules/gui/qt4/ui/main_interface.ui
   A /trunk/modules/gui/qt4/ui/okcanceldialog.ui
   M /trunk/modules/gui/qt4/util/qvlcframe.hpp

Improve embedded video output
Skeleton for interaction
Fix window settings save

------------------------------------------------------------------------
r15989 | zorglub | 2006-07-08 13:16:20 +0200 (Sat, 08 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/transcode.c
   M /trunk/src/misc/stats.c

Fix some crashes

------------------------------------------------------------------------
r15988 | courmisch | 2006-07-08 11:31:56 +0200 (Sat, 08 Jul 2006) | 3 lines
Changed paths:
   M /trunk/loader/afl.c
   M /trunk/loader/driver.c
   M /trunk/loader/kludge.c
   M /trunk/loader/ldt_keeper.c
   M /trunk/loader/module.c
   M /trunk/loader/pe_image.c
   M /trunk/loader/pe_resource.c
   M /trunk/loader/registry.c
   M /trunk/loader/resource.c
   M /trunk/loader/vfl.c
   M /trunk/loader/win32.c

Some legal boilerplate.
Some files missing.

------------------------------------------------------------------------
r15987 | dionoea | 2006-07-07 23:27:14 +0200 (Fri, 07 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.hpp

Fix segfault (thanks to zorglub for the hint)

------------------------------------------------------------------------
r15986 | dionoea | 2006-07-07 22:24:11 +0200 (Fri, 07 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/Modules.am
   A /trunk/modules/demux/playlist/gvp.c
   M /trunk/modules/demux/playlist/playlist.c
   M /trunk/modules/demux/playlist/playlist.h

Add Google Video Playlist parsing support (stuff like http://video.google.com/videogvp?docid=... )

------------------------------------------------------------------------
r15985 | xtophe | 2006-07-07 01:23:59 +0200 (Fri, 07 Jul 2006) | 3 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/include/configuration.h
   M /trunk/include/modules_inner.h
   M /trunk/src/libvlc.h

Add a b_restart flag to indicate this option take effect only after a restart.
Break binary compatibility

------------------------------------------------------------------------
r15984 | damienf | 2006-07-07 01:19:12 +0200 (Fri, 07 Jul 2006) | 4 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m

vout.m: change in fullscreen behaviour
- toggle fullscreen mode when double clicking on video.
- allow menu autoshow/autohide when moving cursor in or out the menu area while in fullscreen mode

------------------------------------------------------------------------
r15983 | hartman | 2006-07-06 22:43:21 +0200 (Thu, 06 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

* Fix SDP file parsing of the SAP module.

------------------------------------------------------------------------
r15982 | zorglub | 2006-07-06 13:15:31 +0200 (Thu, 06 Jul 2006) | 2 lines
Changed paths:
   M /trunk/doc/ChangeLog-2005

Fix 2005 changelog

------------------------------------------------------------------------
r15981 | sam | 2006-07-06 12:26:39 +0200 (Thu, 06 Jul 2006) | 2 lines
Changed paths:
   M /trunk/doc/fortunes.txt

  * doc/fortunes.txt: Fixed layout. We need quality quotes.

------------------------------------------------------------------------
r15980 | adn | 2006-07-06 12:09:47 +0200 (Thu, 06 Jul 2006) | 3 lines
Changed paths:
   M /trunk/po/ar.po

partial Arabic translation.
Courtesy from Zayed Al-Saidi <zayed ?\195?\183 alsaidi ?\195?\151 gmail ?\195?\183 com>.

------------------------------------------------------------------------
r15979 | zorglub | 2006-07-05 20:12:55 +0200 (Wed, 05 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/playlist.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp
   M /trunk/modules/gui/qt4/util/qvlcframe.hpp

[Untested] Save interface position

------------------------------------------------------------------------
r15978 | xtophe | 2006-07-05 13:12:06 +0200 (Wed, 05 Jul 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/unicode.c

unicode.c: Fix MB2MB() by removing spurious ';'. Thanks to ericx on IRC.

------------------------------------------------------------------------
r15977 | thresh | 2006-07-04 17:23:04 +0200 (Tue, 04 Jul 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

link visual plugin against math library

------------------------------------------------------------------------
r15976 | sam | 2006-07-04 16:06:44 +0200 (Tue, 04 Jul 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/control/Modules.am
   A /trunk/modules/control/motion.c

  * modules/control/motion.c: control VLC with laptop built-in motion sensors.

------------------------------------------------------------------------
r15975 | sam | 2006-07-04 14:55:43 +0200 (Tue, 04 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

  * modules/demux/mkv.cpp: fixed a pointer cast bug.

------------------------------------------------------------------------
r15974 | sam | 2006-07-04 14:28:23 +0200 (Tue, 04 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/transcode.c

  * modules/stream_out/transcode.c: improve error message verbosity.

------------------------------------------------------------------------
r15973 | sam | 2006-07-04 14:26:08 +0200 (Tue, 04 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/transform.c

  * modules/video_filter/transform.c: minor coding improvement.

------------------------------------------------------------------------
r15972 | fkuehne | 2006-07-03 13:20:02 +0200 (Mon, 03 Jul 2006) | 1 line
Changed paths:
   M /trunk/include/vlc_interaction.h

* you didn't see anything
------------------------------------------------------------------------
r15971 | fkuehne | 2006-07-03 12:38:09 +0200 (Mon, 03 Jul 2006) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/keyedobjects.nib
   M /trunk/include/vlc_interaction.h
   M /trunk/modules/gui/macosx/interaction.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/src/interface/interaction.c

* implemented a non-blocking progress-bar in the main interface; needs testing (closes #475)
------------------------------------------------------------------------
r15970 | dionoea | 2006-07-02 19:47:26 +0200 (Sun, 02 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/qtl.c

s/Shoutcast/QTL/

------------------------------------------------------------------------
r15969 | dionoea | 2006-07-02 19:28:15 +0200 (Sun, 02 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/Modules.am
   M /trunk/modules/demux/playlist/playlist.c
   M /trunk/modules/demux/playlist/playlist.h
   A /trunk/modules/demux/playlist/qtl.c (from /trunk/modules/demux/playlist/shoutcast.c:15967)

Add QuickTime Media Link parsing. FIXME: Optional attributes (like fullscreen, volume, quitwhendone ...) are parsed but aren't used.

------------------------------------------------------------------------
r15968 | zorglub | 2006-07-02 11:22:05 +0200 (Sun, 02 Jul 2006) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_output.c

make sure that we don't use deleted objects

------------------------------------------------------------------------
r15967 | hartman | 2006-07-01 21:23:39 +0200 (Sat, 01 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/Modules.am
   M /trunk/modules/demux/playlist/Modules.am
   M /trunk/modules/demux/playlist/asx.c
   M /trunk/modules/demux/playlist/playlist.c
   M /trunk/modules/demux/playlist/playlist.h
   A /trunk/modules/demux/playlist/sgimb.c (from /trunk/modules/demux/sgimb.c:15965)
   D /trunk/modules/demux/sgimb.c

* Move sgimb demux to the playlist demux, and port it to the new playlist API

------------------------------------------------------------------------
r15966 | zorglub | 2006-07-01 20:34:03 +0200 (Sat, 01 Jul 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   A /trunk/modules/gui/qt4/components/video_widget.cpp
   A /trunk/modules/gui/qt4/components/video_widget.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/modules/gui/qt4/qt4.cpp
   M /trunk/modules/gui/qt4/qt4.hpp
   M /trunk/modules/gui/qt4/ui/main_interface.ui

Preliminary embedded vout implementation

------------------------------------------------------------------------
r15965 | thresh | 2006-07-01 12:13:13 +0200 (Sat, 01 Jul 2006) | 3 lines
Changed paths:
   M /trunk/include/main.h
   M /trunk/src/libvlc.c

fix indentation and memory leak introduced in 19564.
do not use vlc_t to store psz_pidfile

------------------------------------------------------------------------
r15964 | thresh | 2006-06-30 18:34:46 +0200 (Fri, 30 Jun 2006) | 3 lines
Changed paths:
   M /trunk/include/main.h
   M /trunk/src/libvlc.c
   M /trunk/src/libvlc.h

support for creating pid files when going daemon mode.
Someone should really review it as it is my first experience in C.

------------------------------------------------------------------------
r15963 | hartman | 2006-06-30 00:04:35 +0200 (Fri, 30 Jun 2006) | 5 lines
Changed paths:
   M /trunk/src/input/stream.c

* fix an issue with stats on inputstreams (this fixes the check for update crash)
- also fixed a similar potential issue on subtitles.
- lesson for today: Be careful when you use p_parent of an object.
- i chose not to use vlc_object_find, but yield/release instead because of the speed implications.

------------------------------------------------------------------------
r15962 | hartman | 2006-06-29 22:52:30 +0200 (Thu, 29 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/png.c

* MPNG support

------------------------------------------------------------------------
r15961 | Trax | 2006-06-29 22:15:57 +0200 (Thu, 29 Jun 2006) | 1 line
Changed paths:
   M /trunk/modules/codec/dmo/dmo.c

* modules/codec/dmo/dmo.c: if an aspect ratio was specified in the input format then force it
------------------------------------------------------------------------
r15960 | sigmunau | 2006-06-29 19:55:14 +0200 (Thu, 29 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/dvb/access.c

Fix a regression in r15404 causing people to experience artefacts and lost lock

------------------------------------------------------------------------
r15959 | sigmunau | 2006-06-29 19:31:28 +0200 (Thu, 29 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/Modules.am
   D /trunk/modules/demux/m3u.c

Finnally got rid of the old m3u module. RIP

------------------------------------------------------------------------
r15957 | hartman | 2006-06-29 17:27:26 +0200 (Thu, 29 Jun 2006) | 6 lines
Changed paths:
   M /trunk/modules/demux/playlist/Modules.am
   A /trunk/modules/demux/playlist/asx.c
   M /trunk/modules/demux/playlist/m3u.c
   M /trunk/modules/demux/playlist/playlist.c
   M /trunk/modules/demux/playlist/playlist.h
   M /trunk/modules/demux/playlist/podcast.c

* New ASX parser
  - some elements are not yet supported.
  - it could perhaps use a little bit more cleaning.

In the basics. It just works :D

------------------------------------------------------------------------
r15956 | hartman | 2006-06-29 15:55:23 +0200 (Thu, 29 Jun 2006) | 3 lines
Changed paths:
   M /trunk/modules/access/http.c

* HTTP 1.0 is not seekable
* Set Connection:Close for HTTP 1.1 streams that are not continious 

------------------------------------------------------------------------
r15955 | xtophe | 2006-06-29 00:11:36 +0200 (Thu, 29 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/res.qrc

add the volume icons

------------------------------------------------------------------------
r15954 | zorglub | 2006-06-28 23:50:59 +0200 (Wed, 28 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/qt4.cpp

various fixes

------------------------------------------------------------------------
r15953 | hartman | 2006-06-28 22:03:15 +0200 (Wed, 28 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

* Fix a potential buffer overflow, UTF-8'ify session name in a previous unhandled case.

------------------------------------------------------------------------
r15952 | hartman | 2006-06-28 21:02:37 +0200 (Wed, 28 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

* Fix some sap SD memleaks. more to follow

------------------------------------------------------------------------
r15951 | xtophe | 2006-06-28 20:57:20 +0200 (Wed, 28 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am

fix compile for builddir != srcdir

------------------------------------------------------------------------
r15949 | zorglub | 2006-06-28 17:16:23 +0200 (Wed, 28 Jun 2006) | 2 lines
Changed paths:
   M /trunk/src/input/es_out.c

Compile fix

------------------------------------------------------------------------
r15948 | zorglub | 2006-06-28 16:36:39 +0200 (Wed, 28 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/asf/asf.c
   M /trunk/modules/demux/gme.cpp

Mostly fix GME meta

------------------------------------------------------------------------
r15947 | zorglub | 2006-06-28 16:24:22 +0200 (Wed, 28 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/ts.c
   M /trunk/src/input/es_out.c

Gra. Fix most of TS meta

------------------------------------------------------------------------
r15946 | zorglub | 2006-06-28 16:22:04 +0200 (Wed, 28 Jun 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/demux/ts.c
   M /trunk/src/input/es_out.c

Forgot that for Qt

------------------------------------------------------------------------
r15945 | zorglub | 2006-06-28 15:16:45 +0200 (Wed, 28 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components/playlist
   M /trunk/modules/gui/qt4/main_interface.cpp
   A /trunk/modules/gui/qt4/pixmaps/next.png
   A /trunk/modules/gui/qt4/pixmaps/play.png
   A /trunk/modules/gui/qt4/pixmaps/previous.png
   A /trunk/modules/gui/qt4/pixmaps/stop.png
   A /trunk/modules/gui/qt4/pixmaps/volume-high.png
   A /trunk/modules/gui/qt4/pixmaps/volume-low.png
   A /trunk/modules/gui/qt4/res.qrc
   M /trunk/modules/gui/qt4/ui/main_interface.ui

Icons

------------------------------------------------------------------------
r15943 | jpsaman | 2006-06-27 15:32:30 +0200 (Tue, 27 Jun 2006) | 1 line
Changed paths:
   M /trunk/THANKS
   M /trunk/modules/codec/theora.c

Theora framesize calculation patch by Kevin H. Patterson (kevpatt at khptech dot com)
------------------------------------------------------------------------
r15942 | sigmunau | 2006-06-27 12:14:58 +0200 (Tue, 27 Jun 2006) | 6 lines
Changed paths:
   M /trunk/modules/access/dvb/en50221.c

Attempt to support international charsets in mmi menus according to ETS 
300 468 Annex A. Please test

TODO: This convertion should be done on strings received from SDT and 
EIT (and possibly others) in the TS demux as well.

------------------------------------------------------------------------
r15941 | zorglub | 2006-06-26 23:11:38 +0200 (Mon, 26 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/playlist/panels.hpp
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp
   M /trunk/modules/gui/qt4/dialogs/playlist.cpp
   M /trunk/modules/gui/qt4/dialogs/playlist.hpp
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/modules/gui/qt4/playlist_model.hpp

Some more Qt playlist code

------------------------------------------------------------------------
r15940 | zorglub | 2006-06-26 08:26:45 +0200 (Mon, 26 Jun 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components/playlist/panels.hpp
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp
   M /trunk/modules/gui/qt4/dialogs/playlist.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/modules/gui/qt4/playlist_model.hpp

Some more playlist code
Fix makefile

------------------------------------------------------------------------
r15939 | courmisch | 2006-06-25 19:05:52 +0200 (Sun, 25 Jun 2006) | 3 lines
Changed paths:
   M /trunk/modules/misc/network/ipv6.c

- Work-around for IPv6 SSM with Winsock 2 from Olivier Levon
- Remove old kludges (get yourself a decently recent Mingw32 or die)

------------------------------------------------------------------------
r15938 | zorglub | 2006-06-25 18:29:49 +0200 (Sun, 25 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components/open.hpp
   A /trunk/modules/gui/qt4/playlist_model.cpp
   A /trunk/modules/gui/qt4/playlist_model.hpp

Playlist model

------------------------------------------------------------------------
r15937 | zorglub | 2006-06-22 15:45:38 +0200 (Thu, 22 Jun 2006) | 2 lines
Changed paths:
   A /trunk/src/misc/devices.c

Bah, who really needs this ?

------------------------------------------------------------------------
r15936 | zorglub | 2006-06-22 12:03:32 +0200 (Thu, 22 Jun 2006) | 3 lines
Changed paths:
   M /trunk/include/main.h
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_devices.h
   M /trunk/modules/misc/probe/hal.c
   M /trunk/src/Makefile.am

* Create new types for device probing
* Beginning of core implementation

------------------------------------------------------------------------
r15935 | hartman | 2006-06-21 16:32:21 +0200 (Wed, 21 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

* update the ffmpeg VC-1 fourcc info. Hopefully it can be enabled soon now.

------------------------------------------------------------------------
r15934 | zorglub | 2006-06-21 16:22:22 +0200 (Wed, 21 Jun 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_devices.h
   M /trunk/modules/misc/probe
   A /trunk/modules/misc/probe/Modules.am
   M /trunk/modules/misc/probe/hal.c

HAL probing module

------------------------------------------------------------------------
r15933 | yoann | 2006-06-21 02:09:19 +0200 (Wed, 21 Jun 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/input_manager.cpp

* wxwidgets: repair slider dragging.
  my algorithm is still not perfect: it should take account of the "thumb length"

------------------------------------------------------------------------
r15932 | zorglub | 2006-06-20 22:54:16 +0200 (Tue, 20 Jun 2006) | 2 lines
Changed paths:
   A /trunk/include/vlc_devices.h
   A /trunk/modules/misc/probe
   A /trunk/modules/misc/probe/hal.c (from /trunk/modules/services_discovery/hal.c:15925)

Non-working general declarations for disc probing (Refs:#565)

------------------------------------------------------------------------
r15931 | yoann | 2006-06-20 20:57:13 +0200 (Tue, 20 Jun 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/input_manager.cpp
   M /trunk/modules/gui/wxwidgets/input_manager.hpp

* wxwidgets: try to implement a go-where-you-click slider
  but I don't have a real video/audio file to test it...

------------------------------------------------------------------------
r15930 | yoann | 2006-06-20 17:51:23 +0200 (Tue, 20 Jun 2006) | 2 lines
Changed paths:
   M /trunk/vlc.win32.nsi.in

* vlc.win32.nsi.in: set "Recommended" as the default installation type

------------------------------------------------------------------------
r15929 | courmisch | 2006-06-20 16:37:45 +0200 (Tue, 20 Jun 2006) | 4 lines
Changed paths:
   M /trunk/src/network/getaddrinfo.c

Use the not so broken getaddrinfo implementation from ws2_32.dll
instead of the painfully braindead one from wship6 that we'd rather
flatly ignore

------------------------------------------------------------------------
r15928 | courmisch | 2006-06-20 16:33:48 +0200 (Tue, 20 Jun 2006) | 4 lines
Changed paths:
   M /trunk/src/misc/win32_specific.c

There is no such a thing as Winsock 2.0. Use version 2.2 instead.
Microsoft was probably too much afraid that developpers would request
version 0.2 instead of 2.0 so they switched straight from 1.1 to 2.2.

------------------------------------------------------------------------
r15927 | jpsaman | 2006-06-20 14:51:29 +0200 (Tue, 20 Jun 2006) | 1 line
Changed paths:
   M /trunk/extras/contrib/bootstrap

Add another test for MacOS X 10.4.0 with Darwin ports installed
------------------------------------------------------------------------
r15926 | zorglub | 2006-06-20 08:04:43 +0200 (Tue, 20 Jun 2006) | 2 lines
Changed paths:
   A /trunk/modules/gui/qt4/components/playlist/panels.hpp
   A /trunk/modules/gui/qt4/components/playlist/selector.hpp
   A /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp

Some skeleton files for playlist

------------------------------------------------------------------------
r15925 | xtophe | 2006-06-19 20:33:11 +0200 (Mon, 19 Jun 2006) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

src/innput/input.c: Compile fix

------------------------------------------------------------------------
r15924 | zorglub | 2006-06-19 19:46:20 +0200 (Mon, 19 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/avi/avi.c

Use a tristate for avi index (fix / don't fix / ask). Closes:#679

------------------------------------------------------------------------
r15923 | zorglub | 2006-06-19 19:33:43 +0200 (Mon, 19 Jun 2006) | 2 lines
Changed paths:
   M /trunk/src/input/input.c
   M /trunk/src/misc/stats.c

Small stats improvements

------------------------------------------------------------------------
r15922 | yoann | 2006-06-17 20:42:29 +0200 (Sat, 17 Jun 2006) | 2 lines
Changed paths:
   M /trunk/src/input/subtitles.c

* input/subtitles.c: fix another bug in subtitle autodetection

------------------------------------------------------------------------
r15921 | xtophe | 2006-06-17 16:16:51 +0200 (Sat, 17 Jun 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/stats.c

src/misc/stats.c: avoid buffer underflow.

------------------------------------------------------------------------
r15918 | yoann | 2006-06-17 06:13:04 +0200 (Sat, 17 Jun 2006) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

* src/input/input.c: don't clean twice the read_bytes counter

------------------------------------------------------------------------
r15917 | xtophe | 2006-06-17 00:42:00 +0200 (Sat, 17 Jun 2006) | 2 lines
Changed paths:
   M /trunk/src/input/input.c
   M /trunk/src/misc/stats.c

Fix a bunch of segfaults. It may be heavy handed and breaking other stuffs. zorglub to review

------------------------------------------------------------------------
r15916 | yoann | 2006-06-16 21:05:55 +0200 (Fri, 16 Jun 2006) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

* If we are passed a SUB file as subtitle, just open the IDX instead, if there is one. (Closes: #681)

------------------------------------------------------------------------
r15915 | zorglub | 2006-06-15 23:22:35 +0200 (Thu, 15 Jun 2006) | 2 lines
Changed paths:
   M /trunk/include/main.h
   M /trunk/include/vlc_httpd.h
   M /trunk/include/vlc_input.h
   M /trunk/include/vlc_messages.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/audio_output/dec.c
   M /trunk/src/audio_output/input.c
   M /trunk/src/input/decoder.c
   M /trunk/src/input/es_out.c
   M /trunk/src/input/input.c
   M /trunk/src/input/stream.c
   M /trunk/src/libvlc.c
   M /trunk/src/misc/objects.c
   M /trunk/src/misc/stats.c
   M /trunk/src/network/httpd.c
   M /trunk/src/playlist/control.c
   M /trunk/src/playlist/thread.c
   M /trunk/src/stream_output/stream_output.c
   M /trunk/src/video_output/video_output.c

Partial rewrite of stats to avoid lookups (Closes:#693)

------------------------------------------------------------------------
r15914 | damienf | 2006-06-15 00:49:57 +0200 (Thu, 15 Jun 2006) | 4 lines
Changed paths:
   M /trunk/modules/gui/macosx/voutgl.m
   M /trunk/modules/video_output/opengl.c

fixes for crash in Safari plugin when terminating (it actually locks the computer completely on some occasion)
- opengl.c: let End destroy elements created by Init, DestroyVout for CreateVout
- voutgl.m: set context to NULL on exit

------------------------------------------------------------------------
r15913 | yoann | 2006-06-14 22:15:23 +0200 (Wed, 14 Jun 2006) | 3 lines
Changed paths:
   M /trunk/modules/demux/playlist/xspf.c

* playlist/xspf.c: upgrade to new structure
  inputs are not yet added to the playlist

------------------------------------------------------------------------
r15912 | zorglub | 2006-06-14 22:09:51 +0200 (Wed, 14 Jun 2006) | 3 lines
Changed paths:
   M /trunk/include/vlc_playlist.h
   M /trunk/src/libvlc.h
   M /trunk/src/playlist/engine.c

* Add a "media-library" option to enable/disable ML
* Add a "playlist-tree" option to force onelevel/catgory mode

------------------------------------------------------------------------
r15911 | yoann | 2006-06-14 20:31:45 +0200 (Wed, 14 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/http/rpn.c
   M /trunk/share/http/dialogs/main
   A /trunk/share/http/images/snapshot.png
   M /trunk/share/http/js/functions.js
   M /trunk/share/http/requests/status.xml

* web interface: add a snapshot button

------------------------------------------------------------------------
r15910 | ipkiss | 2006-06-14 20:25:51 +0200 (Wed, 14 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/parser/interpreter.cpp

 * skins2/parser/interpreter.cpp: Check the VarMAnager first before trying to parse the action. This fixes a bug with dvd.isActive and LayoutID.isActive

------------------------------------------------------------------------
r15909 | yoann | 2006-06-14 16:48:32 +0200 (Wed, 14 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/playlist/xspf.c

* playlist/xspf.c: handles empty nodes

------------------------------------------------------------------------
r15908 | yoann | 2006-06-14 14:05:39 +0200 (Wed, 14 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/http/util.c

* control/http: fix "pl.current"

------------------------------------------------------------------------
r15907 | yoann | 2006-06-14 06:43:47 +0200 (Wed, 14 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/xspf.c
   M /trunk/modules/demux/playlist/xspf.h

* demux/playlist/xspf: skeleton for XSPF tree playlist import

------------------------------------------------------------------------
r15906 | yoann | 2006-06-14 04:00:42 +0200 (Wed, 14 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/playlist/xspf.c

* xpsf.c: ...but <playlist> has... grmbl

------------------------------------------------------------------------
r15905 | yoann | 2006-06-14 03:51:05 +0200 (Wed, 14 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/playlist/xspf.c

* xspf.c: <trackList> has no <location> or <title> element

------------------------------------------------------------------------
r15904 | yoann | 2006-06-14 03:46:17 +0200 (Wed, 14 Jun 2006) | 3 lines
Changed paths:
   M /trunk/modules/demux/playlist/xspf.c

* demux/playlist/xspf.c: fix a bug introduced by [15757]
  + cosmetic changes

------------------------------------------------------------------------
r15903 | yoann | 2006-06-14 02:43:00 +0200 (Wed, 14 Jun 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs/playlist.cpp
   M /trunk/modules/misc/playlist/xspf.c
   M /trunk/modules/misc/playlist/xspf.h

* Tree playlist XSPF export
  Kids, don't try this at home...

------------------------------------------------------------------------
r15902 | fkuehne | 2006-06-13 23:36:37 +0200 (Tue, 13 Jun 2006) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/SFilters.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/SFilters.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/SFilters.nib/keyedobjects.nib
   M /trunk/modules/gui/macosx/sfilters.h
   M /trunk/modules/gui/macosx/sfilters.m

* code and GUI improvements
------------------------------------------------------------------------
r15901 | littlejohn | 2006-06-13 17:34:27 +0200 (Tue, 13 Jun 2006) | 3 lines
Changed paths:
   M /trunk/bindings/java/Makefile.am

Java bindings Makefile tested and working on both GNU and Windows.


------------------------------------------------------------------------
r15900 | littlejohn | 2006-06-13 15:35:49 +0200 (Tue, 13 Jun 2006) | 5 lines
Changed paths:
   M /trunk/bindings/java/Makefile.am

10 PRINT "Remember to include a final endif at the end of Makefile.am."
20 GOTO 10



------------------------------------------------------------------------
r15899 | littlejohn | 2006-06-13 15:19:46 +0200 (Tue, 13 Jun 2006) | 3 lines
Changed paths:
   M /trunk/bindings/java/Makefile.am

make buildbot (and ppl) happy with java Makefile.am .


------------------------------------------------------------------------
r15898 | littlejohn | 2006-06-13 15:09:37 +0200 (Tue, 13 Jun 2006) | 3 lines
Changed paths:
   M /trunk/bindings/java/Makefile.am
   M /trunk/bindings/java/vlc-graphics-jni.cc

another attempt to make java bindings win32 friendly.


------------------------------------------------------------------------
r15897 | littlejohn | 2006-06-13 12:40:26 +0200 (Tue, 13 Jun 2006) | 3 lines
Changed paths:
   M /trunk/bindings/java/Makefile.am

Corrections in the java bindings Makefile


------------------------------------------------------------------------
r15896 | littlejohn | 2006-06-13 11:58:56 +0200 (Tue, 13 Jun 2006) | 3 lines
Changed paths:
   M /trunk/bindings/java/Makefile.am

A first try in making the Makefile crossplatform (gnu/win32)


------------------------------------------------------------------------
r15895 | yoann | 2006-06-13 05:04:08 +0200 (Tue, 13 Jun 2006) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

* src/input/input.c: use input_AddSubtitles() and fix a bug with the autoselection of autodetected subtitles files.

------------------------------------------------------------------------
r15894 | damienf | 2006-06-13 01:29:31 +0200 (Tue, 13 Jun 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/x264-svn-win32.patch

- x264-svn-win32.patch: synchronized with latest on svn

------------------------------------------------------------------------
r15893 | damienf | 2006-06-13 01:26:38 +0200 (Tue, 13 Jun 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

- configure.ac: replaced 'av_add_i' with 'av_crc_init' when testing avutil as the former is no longer compiled in lib

------------------------------------------------------------------------
r15892 | damienf | 2006-06-13 01:14:44 +0200 (Tue, 13 Jun 2006) | 2 lines
Changed paths:
   M /trunk/mozilla/vlcshell.cpp

vlcshell.cpp: fixed plugin 'autoplay'

------------------------------------------------------------------------
r15891 | gbazin | 2006-06-12 22:41:22 +0200 (Mon, 12 Jun 2006) | 1 line
Changed paths:
   M /trunk/src/misc/stats.c

* src/misc/stats.c: don't forget to call vlc_object_release() after a stats_HandlerGet().
------------------------------------------------------------------------
r15889 | zorglub | 2006-06-12 21:56:25 +0200 (Mon, 12 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/cdda.c

Simplify the CDDA module. Split more between parse and play 

------------------------------------------------------------------------
r15888 | gbazin | 2006-06-12 21:51:14 +0200 (Mon, 12 Jun 2006) | 1 line
Changed paths:
   M /trunk/src/video_output/video_output.c

* src/video_output/video_output.c: avoid calling config_GetInt in the main loop.
------------------------------------------------------------------------
r15887 | Trax | 2006-06-12 21:32:00 +0200 (Mon, 12 Jun 2006) | 1 line
Changed paths:
   M /trunk/src/input/decoder.c

* typo consummed -> consumed
------------------------------------------------------------------------
r15886 | yoann | 2006-06-12 21:31:33 +0200 (Mon, 12 Jun 2006) | 3 lines
Changed paths:
   M /trunk/modules/video_output/image.c

* modules/video_output/image.c: add --image-width and --image-height to set the size of the image output module.
  Thanks to Menele from the forum for submitting a patch.

------------------------------------------------------------------------
r15885 | zorglub | 2006-06-12 21:21:01 +0200 (Mon, 12 Jun 2006) | 4 lines
Changed paths:
   M /trunk/src/input/item.c
   M /trunk/src/playlist/control.c
   M /trunk/src/playlist/item.c
   M /trunk/src/playlist/tree.c

* Fix skip in initial status
* Don't waste ids
* Fix a bug in services discoveries

------------------------------------------------------------------------
r15884 | thresh | 2006-06-12 16:47:01 +0200 (Mon, 12 Jun 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Second try: we should add *flags for mozilla plugin not only in the case of xulrunner.

------------------------------------------------------------------------
r15883 | gbazin | 2006-06-11 22:52:08 +0200 (Sun, 11 Jun 2006) | 1 line
Changed paths:
   M /trunk/modules/packetizer/mpeg4video.c

* modules/packetizer/mpeg4video.c: ts/ps muxers rely on VOL being present in the stream.
------------------------------------------------------------------------
r15882 | xtophe | 2006-06-11 21:21:30 +0200 (Sun, 11 Jun 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   D /trunk/extras/contrib/src/Patches/ffmpeg-svn-cross.patch

ffmpeg-svn-cross.patch has been applied upstream

------------------------------------------------------------------------
r15881 | zorglub | 2006-06-11 21:03:12 +0200 (Sun, 11 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   A /trunk/modules/gui/qt4/components/open.cpp
   A /trunk/modules/gui/qt4/components/open.hpp
   A /trunk/modules/gui/qt4/components/playlist
   A /trunk/modules/gui/qt4/ui/file_open.ui

Skeleton for open

------------------------------------------------------------------------
r15880 | gbazin | 2006-06-11 13:57:05 +0200 (Sun, 11 Jun 2006) | 1 line
Changed paths:
   M /trunk/src/audio_output/intf.c

* src/audio_output/intf.c: optimise aout_VolumeGet a bit.
------------------------------------------------------------------------
r15879 | gbazin | 2006-06-11 13:56:39 +0200 (Sun, 11 Jun 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwidgets/interface.cpp
   M /trunk/modules/gui/wxwidgets/interface.hpp

* modules/gui/wxwidgets: don't call aout_VolumeGet so often because it is MIPS intensive.
------------------------------------------------------------------------
r15878 | gbazin | 2006-06-11 13:21:59 +0200 (Sun, 11 Jun 2006) | 1 line
Changed paths:
   M /trunk/src/misc/stats.c

* src/misc/stats.c: fix no-stats mode.
------------------------------------------------------------------------
r15877 | fkuehne | 2006-06-11 11:43:20 +0200 (Sun, 11 Jun 2006) | 1 line
Changed paths:
   M /trunk/extras/contrib/bootstrap

* disable sdk-support on ppc-macs until it is fixed (refs #692)
------------------------------------------------------------------------
r15876 | xtophe | 2006-06-11 00:26:29 +0200 (Sun, 11 Jun 2006) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   D /trunk/extras/contrib/src/Patches/ffmpeg-cvs-beos.patch
   D /trunk/extras/contrib/src/Patches/ffmpeg-cvs-mactel.patch
   D /trunk/extras/contrib/src/Patches/ffmpeg-cvs-win32.patch
   D /trunk/extras/contrib/src/Patches/ffmpeg-cvs-wince.patch
   A /trunk/extras/contrib/src/Patches/ffmpeg-svn-beos.patch (from /trunk/extras/contrib/src/Patches/ffmpeg-cvs-beos.patch:15874)
   A /trunk/extras/contrib/src/Patches/ffmpeg-svn-cross.patch
   A /trunk/extras/contrib/src/Patches/ffmpeg-svn-mactel.patch (from /trunk/extras/contrib/src/Patches/ffmpeg-cvs-mactel.patch:15874)
   A /trunk/extras/contrib/src/Patches/ffmpeg-svn-win32.patch (from /trunk/extras/contrib/src/Patches/ffmpeg-cvs-win32.patch:15874)
   A /trunk/extras/contrib/src/Patches/ffmpeg-svn-wince.patch (from /trunk/extras/contrib/src/Patches/ffmpeg-cvs-wince.patch:15874)

* Patch ffmpeg configure to not use twice the cross prefix.
* CVS -> SVN

------------------------------------------------------------------------
r15875 | gbazin | 2006-06-11 00:21:37 +0200 (Sun, 11 Jun 2006) | 1 line
Changed paths:
   M /trunk/src/interface/interaction.c
   M /trunk/src/libvlc.h

* src/libvlc.h, src/interface/interaction.c: new config option to disable interaction mode. Default value is set to disable for now because this mode is currently broken.
------------------------------------------------------------------------
r15874 | xtophe | 2006-06-10 23:17:13 +0200 (Sat, 10 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/freetype.c

misc/freetype.c: Fix strings

------------------------------------------------------------------------
r15873 | xtophe | 2006-06-10 23:15:19 +0200 (Sat, 10 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/input_manager.cpp

qt4/input_manager.cpp: compile fix

------------------------------------------------------------------------
r15872 | littlejohn | 2006-06-10 20:13:46 +0200 (Sat, 10 Jun 2006) | 7 lines
Changed paths:
   M /trunk/bindings/java/Makefile.am
   A /trunk/bindings/java/VLCExample.java
   M /trunk/bindings/java/org/videolan/jvlc/InputIntf.java
   M /trunk/bindings/java/org/videolan/jvlc/JVLC.java
   M /trunk/bindings/java/org/videolan/jvlc/Playlist.java
   M /trunk/bindings/java/org/videolan/jvlc/VideoIntf.java
   M /trunk/bindings/java/vlc-libvlc-jni.cc

Java bindings update.

- a new java example shows general jvlc use
- more functions added in InputIntf (getInputFPS now works)
- a little potential problem fixed in Playlist


------------------------------------------------------------------------
r15871 | littlejohn | 2006-06-10 19:36:22 +0200 (Sat, 10 Jun 2006) | 3 lines
Changed paths:
   M /trunk/src/control/input.c

a vlc_object_release added


------------------------------------------------------------------------
r15870 | littlejohn | 2006-06-10 18:13:38 +0200 (Sat, 10 Jun 2006) | 3 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/input.c

Initial implementation of libvlc_get_input_fps.


------------------------------------------------------------------------
r15869 | littlejohn | 2006-06-10 17:34:32 +0200 (Sat, 10 Jun 2006) | 3 lines
Changed paths:
   M /trunk/src/control/audio.c

Muting and unmuting functions implemented in the control interface


------------------------------------------------------------------------
r15868 | littlejohn | 2006-06-10 15:58:03 +0200 (Sat, 10 Jun 2006) | 8 lines
Changed paths:
   M /trunk/bindings/java/Makefile.am
   M /trunk/bindings/java/THANKS
   A /trunk/bindings/java/org/videolan/jvlc/GenericVideoWidget.java
   M /trunk/bindings/java/org/videolan/jvlc/JVLC.java
   M /trunk/bindings/java/org/videolan/jvlc/Playlist.java
   M /trunk/bindings/java/org/videolan/jvlc/VideoIntf.java
   M /trunk/bindings/java/vlc-libvlc-jni.cc

Java bindings update.

* new JVLC.destroy() method to cleanup a JVLC object
* new GenericVideoWidget for general use (thx: Kuldipsingh Pabla)
* Status class removed
* new JVLC.isInputPlaying() and JVLC.hasVout() methods


------------------------------------------------------------------------
r15867 | littlejohn | 2006-06-10 15:15:15 +0200 (Sat, 10 Jun 2006) | 9 lines
Changed paths:
   M /trunk/src/video_output/vout_intf.c

New snapshot behaviour.

if the user specifies a directory in the snapshot-path variable, then vlc
behaves as before; 

if the user specifies a complete path (folder/filename) then the snapshot 
is named and saved after it.


------------------------------------------------------------------------
r15866 | gbazin | 2006-06-10 12:26:17 +0200 (Sat, 10 Jun 2006) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/audio.c

* modules/codec/ffmpeg/audio.c: reduce memory usage a bit.
------------------------------------------------------------------------
r15865 | courmisch | 2006-06-10 12:13:31 +0200 (Sat, 10 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/dshow/dshow.cpp

Memleak spotted by Dugal Harris.

------------------------------------------------------------------------
r15864 | courmisch | 2006-06-10 12:13:10 +0200 (Sat, 10 Jun 2006) | 2 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/modules/access/dshow/filter.cpp

MJPG support with DirectShow (patch from Dugal Harris)

------------------------------------------------------------------------
r15863 | gbazin | 2006-06-10 12:10:56 +0200 (Sat, 10 Jun 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs/fileinfo.hpp

* modules/gui/wxwidgets/dialogs/fileinfo.hpp: compilation fix.
------------------------------------------------------------------------
r15862 | courmisch | 2006-06-10 12:10:54 +0200 (Sat, 10 Jun 2006) | 3 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/modules/stream_out/rtp.c

Include bitrate in SDP when known.
Patch from Ilkka Ollakka with cosmetic fixes.

------------------------------------------------------------------------
r15861 | gbazin | 2006-06-10 12:01:40 +0200 (Sat, 10 Jun 2006) | 1 line
Changed paths:
   M /trunk/modules/codec/dmo/dmo.c

* modules/codec/dmo/dmo.c: fix typo in fourcc.
------------------------------------------------------------------------
r15860 | gbazin | 2006-06-10 11:57:45 +0200 (Sat, 10 Jun 2006) | 1 line
Changed paths:
   M /trunk/src/playlist/tree.c

* src/playlist/tree.c: fix memory leak.
------------------------------------------------------------------------
r15859 | gbazin | 2006-06-10 00:20:11 +0200 (Sat, 10 Jun 2006) | 1 line
Changed paths:
   M /trunk/modules/packetizer/mpeg4video.c

* modules/packetizer/mpeg4video.c: rewrite using the block helper facility. Fixes a few issues with the previous packetizer and is simpler.
------------------------------------------------------------------------
r15858 | gbazin | 2006-06-09 23:35:13 +0200 (Fri, 09 Jun 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwidgets/menus.cpp

* modules/gui/wxwidgets/menus.cpp: avoid using STL strings. This gets rid of weird crashes here.
------------------------------------------------------------------------
r15857 | gbazin | 2006-06-09 22:45:41 +0200 (Fri, 09 Jun 2006) | 1 line
Changed paths:
   M /trunk/modules/demux/mpeg/m4v.c

* modules/demux/mpeg/m4v.c: wait until we get p_extra from the packetizer before adding the stream.
------------------------------------------------------------------------
r15856 | dionoea | 2006-06-09 22:44:18 +0200 (Fri, 09 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/dshow/dshow.cpp

Dshow input fix (suggest by "sneeze" on http://forum.videolan.org/viewtopic.php?t=21578, Thanks).

------------------------------------------------------------------------
r15855 | thresh | 2006-06-09 21:59:22 +0200 (Fri, 09 Jun 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

revert 15853 as it brokes things

------------------------------------------------------------------------
r15854 | zorglub | 2006-06-09 21:17:49 +0200 (Fri, 09 Jun 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/infopanels.cpp
   M /trunk/modules/gui/qt4/components/preferences.cpp
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.hpp
   M /trunk/modules/gui/qt4/dialogs/streaminfo.cpp
   M /trunk/modules/gui/qt4/dialogs/streaminfo.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/input_manager.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp
   M /trunk/modules/gui/qt4/ui/input_stats.ui
   M /trunk/modules/gui/qt4/util/qvlcframe.hpp

* Split apart gui and input management
* Functional stats panel

------------------------------------------------------------------------
r15853 | thresh | 2006-06-09 18:56:13 +0200 (Fri, 09 Jun 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

lets add *flags not only in the case of xulrunner-config

------------------------------------------------------------------------
r15852 | thresh | 2006-06-09 16:19:32 +0200 (Fri, 09 Jun 2006) | 3 lines
Changed paths:
   M /trunk/configure.ac

Fix for building mozilla plugin with mozilla-dev on non-debian systems
Needs more check, as i've only tested it on altlinux

------------------------------------------------------------------------
r15851 | courmisch | 2006-06-09 16:17:26 +0200 (Fri, 09 Jun 2006) | 2 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/modules/access/ftp.c

FTP cleartext authentication from Petr Vacek.

------------------------------------------------------------------------
r15850 | yoann | 2006-06-09 06:38:16 +0200 (Fri, 09 Jun 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_input.h
   M /trunk/include/vlc_symbols.h
   M /trunk/modules/gui/wxwidgets/interface.cpp
   M /trunk/src/input/input.c
   M /trunk/src/input/input_internal.h
   M /trunk/src/input/subtitles.c

* proof of concept of drag & dropping a subtitle file while playing a video file. (Refs: #645)

------------------------------------------------------------------------
r15849 | yoann | 2006-06-09 04:08:08 +0200 (Fri, 09 Jun 2006) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

* the first autodetected subtitles file should now be automatically enabled

------------------------------------------------------------------------
r15848 | yoann | 2006-06-09 02:28:07 +0200 (Fri, 09 Jun 2006) | 4 lines
Changed paths:
   M /trunk/src/input/subtitles.c

* fix subtitles file autodetection
  this was broken when the video file name included its directory name
  (for instance "vlc dir/file.avi")

------------------------------------------------------------------------
r15847 | zorglub | 2006-06-08 23:04:24 +0200 (Thu, 08 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/util/input_slider.cpp

Don't forget to reset slider position

------------------------------------------------------------------------
r15846 | xtophe | 2006-06-08 23:01:09 +0200 (Thu, 08 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/notify.c

Oups

------------------------------------------------------------------------
r15845 | zorglub | 2006-06-08 22:54:20 +0200 (Thu, 08 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp
   M /trunk/modules/gui/qt4/ui/main_interface.ui

Don't laugh

------------------------------------------------------------------------
r15844 | xtophe | 2006-06-08 22:43:59 +0200 (Thu, 08 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/notify.c

Don't hardcode path

------------------------------------------------------------------------
r15843 | zorglub | 2006-06-08 22:43:12 +0200 (Thu, 08 Jun 2006) | 2 lines
Changed paths:
   M /trunk/src/playlist/engine.c

nom de dieu de putain de merde de saloperie de chiure de putasserie de bordel de couille

------------------------------------------------------------------------
r15842 | zorglub | 2006-06-08 21:39:15 +0200 (Thu, 08 Jun 2006) | 3 lines
Changed paths:
   M /trunk/modules/control/rc.c
   M /trunk/src/playlist/engine.c

* Don't delete main nodes in playlist_Clear
* Fix item add in RC

------------------------------------------------------------------------
r15841 | zorglub | 2006-06-08 21:18:11 +0200 (Thu, 08 Jun 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Get rid of some pic stuff that caused vlc-config to do baad things

------------------------------------------------------------------------
r15840 | zorglub | 2006-06-08 20:59:14 +0200 (Thu, 08 Jun 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_playlist.h
   M /trunk/src/playlist/engine.c

Fix vout/sout garbage collection and input spam debug messages

------------------------------------------------------------------------
r15839 | zorglub | 2006-06-08 20:36:09 +0200 (Thu, 08 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.cpp
   M /trunk/modules/gui/qt4/dialogs/streaminfo.cpp
   M /trunk/modules/gui/qt4/dialogs/streaminfo.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp
   M /trunk/modules/gui/qt4/qt4.cpp
   A /trunk/modules/gui/qt4/ui/main_interface.ui
   M /trunk/modules/gui/qt4/util/input_slider.cpp

Some general clean up

------------------------------------------------------------------------
r15838 | gbazin | 2006-06-08 00:20:15 +0200 (Thu, 08 Jun 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

* configure.ac: you can do it.

------------------------------------------------------------------------
r15837 | gbazin | 2006-06-08 00:02:16 +0200 (Thu, 08 Jun 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

* configure.ac: libpostproc detection was more broken than I thought.

------------------------------------------------------------------------
r15836 | gbazin | 2006-06-07 23:42:21 +0200 (Wed, 07 Jun 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

* configure.ac: fix typo in ffmpeg's libpostproc detection.

------------------------------------------------------------------------
r15835 | littlejohn | 2006-06-07 17:20:08 +0200 (Wed, 07 Jun 2006) | 3 lines
Changed paths:
   M /trunk/bindings/java/FAQ
   M /trunk/bindings/java/README
   A /trunk/bindings/java/THANKS

Suggest to check/set JAVA_HOME if compilation fails


------------------------------------------------------------------------
r15834 | courmisch | 2006-06-07 16:22:15 +0200 (Wed, 07 Jun 2006) | 4 lines
Changed paths:
   M /trunk/configure.ac

Remove experimental flag from libtool.
Several people use it and nobody complain it was broken.
Besides, some stuff seem not to work without it.

------------------------------------------------------------------------
r15833 | fkuehne | 2006-06-07 15:25:23 +0200 (Wed, 07 Jun 2006) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* ugly compilation fix for ffmpeg on PPC-GCC 4.0.0
------------------------------------------------------------------------
r15832 | hartman | 2006-06-07 13:33:30 +0200 (Wed, 07 Jun 2006) | 2 lines
Changed paths:
   M /trunk/doc/fortunes.txt

* fortune

------------------------------------------------------------------------
r15831 | yoann | 2006-06-06 22:46:03 +0200 (Tue, 06 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/hotkeys.c

* use Play icon for play-only hotkey

------------------------------------------------------------------------
r15830 | hartman | 2006-06-06 22:44:28 +0200 (Tue, 06 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/m3u.c

* blegh fprintf

------------------------------------------------------------------------
r15829 | yoann | 2006-06-06 20:34:42 +0200 (Tue, 06 Jun 2006) | 3 lines
Changed paths:
   M /trunk/modules/control/hotkeys.c

* try to fix the pause-only hotkey
  this needs to be tested

------------------------------------------------------------------------
r15827 | littlejohn | 2006-06-06 14:51:36 +0200 (Tue, 06 Jun 2006) | 3 lines
Changed paths:
   A /trunk/bindings/java/org/videolan/jvlc/Status.java

Ops.. i did it again


------------------------------------------------------------------------
r15826 | littlejohn | 2006-06-06 13:35:28 +0200 (Tue, 06 Jun 2006) | 3 lines
Changed paths:
   M /trunk/src/control/video.c

one more object release in video.c


------------------------------------------------------------------------
r15825 | littlejohn | 2006-06-06 13:31:55 +0200 (Tue, 06 Jun 2006) | 6 lines
Changed paths:
   M /trunk/bindings/java/FAQ
   M /trunk/bindings/java/Makefile.am
   M /trunk/bindings/java/README
   M /trunk/bindings/java/org/videolan/jvlc/InputIntf.java
   M /trunk/bindings/java/org/videolan/jvlc/JVLC.java
   M /trunk/bindings/java/org/videolan/jvlc/Playlist.java
   M /trunk/bindings/java/org/videolan/jvlc/PlaylistIntf.java
   M /trunk/bindings/java/org/videolan/jvlc/VideoIntf.java
   M /trunk/bindings/java/vlc-graphics-jni.cc
   M /trunk/bindings/java/vlc-libvlc-jni.cc

Java bindings update:

* more synchronization with playlist and input threads
* new libvlc functions binded


------------------------------------------------------------------------
r15824 | littlejohn | 2006-06-06 13:17:52 +0200 (Tue, 06 Jun 2006) | 3 lines
Changed paths:
   M /trunk/src/control/input.c
   M /trunk/src/control/video.c

libvlc compile warnings resolved 


------------------------------------------------------------------------
r15823 | thresh | 2006-06-06 13:07:40 +0200 (Tue, 06 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences.cpp

compile fix

------------------------------------------------------------------------
r15822 | md | 2006-06-06 10:47:00 +0200 (Tue, 06 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/mux/mpeg/ts.c

make --sout-ts-alignment default enabled (refs: #669)

------------------------------------------------------------------------
r15821 | littlejohn | 2006-06-05 20:23:56 +0200 (Mon, 05 Jun 2006) | 5 lines
Changed paths:
   M /trunk/src/control/input.c
   M /trunk/src/control/video.c

libvlc input and video update:
* video.c: added 1 release object in GetVout
* input.c: added libvlc_get_input_thread helper


------------------------------------------------------------------------
r15820 | zorglub | 2006-06-05 18:05:34 +0200 (Mon, 05 Jun 2006) | 2 lines
Changed paths:
   M /trunk/src/playlist/tree.c

Fix playlist crash on quit

------------------------------------------------------------------------
r15819 | littlejohn | 2006-06-05 18:01:35 +0200 (Mon, 05 Jun 2006) | 3 lines
Changed paths:
   M /trunk/configure.ac
   A /trunk/m4/ac_prog_java.m4
   A /trunk/m4/ac_prog_java_cc.m4
   A /trunk/m4/ac_prog_java_works.m4
   A /trunk/m4/ac_prog_javac.m4
   A /trunk/m4/ac_prog_javac_works.m4
   A /trunk/m4/ac_prog_javah.m4

if --enable-java-bindings then check a javac exists


------------------------------------------------------------------------
r15818 | littlejohn | 2006-06-05 18:00:27 +0200 (Mon, 05 Jun 2006) | 3 lines
Changed paths:
   M /trunk/src/control/input.c
   M /trunk/src/control/video.c

libvlc: Vout object now released when needed


------------------------------------------------------------------------
r15817 | littlejohn | 2006-06-05 17:06:45 +0200 (Mon, 05 Jun 2006) | 5 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/input.c
   M /trunk/src/control/video.c

libvlc enhanced:
* video height/width retrieval
* input playing status check


------------------------------------------------------------------------
r15816 | xtophe | 2006-06-05 15:43:48 +0200 (Mon, 05 Jun 2006) | 3 lines
Changed paths:
   M /trunk/NEWS

* Work around automake stupid test
* Add notify plugin

------------------------------------------------------------------------
r15815 | xtophe | 2006-06-04 23:50:01 +0200 (Sun, 04 Jun 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Libpostproc moved.

------------------------------------------------------------------------
r15814 | djc | 2006-06-04 22:53:54 +0200 (Sun, 04 Jun 2006) | 3 lines
Changed paths:
   M /trunk/modules/misc/growl.c

OBJECT_INPUT->OBJECT_PLAYLIST
Thanks to xtophe

------------------------------------------------------------------------
r15813 | littlejohn | 2006-06-04 21:26:55 +0200 (Sun, 04 Jun 2006) | 4 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/playlist.c
   M /trunk/src/control/video.c

* added video height/width getters in libvlc
* libvlc playlist play uses locking


------------------------------------------------------------------------
r15812 | courmisch | 2006-06-04 20:43:05 +0200 (Sun, 04 Jun 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/vlc-config.in.in

Make config.status happy (muahaha)

------------------------------------------------------------------------
r15811 | courmisch | 2006-06-04 20:32:14 +0200 (Sun, 04 Jun 2006) | 2 lines
Changed paths:
   M /trunk/vlc-config.in.in

Remove spurious warning

------------------------------------------------------------------------
r15810 | courmisch | 2006-06-04 20:09:30 +0200 (Sun, 04 Jun 2006) | 4 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/bootstrap
   M /trunk/configure.ac
   M /trunk/modules/gui/qt4/Modules.am

Some build systems clean up. Now require automake 1.7

Automake 1.5 and 1.6 both suck, and 1.7 is almost four years old, so there is really no excuse for not using a decent version. Besides, there seems to some problems while building the loader with old Automake versions.

------------------------------------------------------------------------
r15809 | courmisch | 2006-06-04 20:05:00 +0200 (Sun, 04 Jun 2006) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am

Another PIC fix

------------------------------------------------------------------------
r15808 | courmisch | 2006-06-04 19:35:56 +0200 (Sun, 04 Jun 2006) | 2 lines
Changed paths:
   M /trunk/vlc-config.in.in

Remove PIC stuff too

------------------------------------------------------------------------
r15807 | courmisch | 2006-06-04 19:07:19 +0200 (Sun, 04 Jun 2006) | 7 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/bootstrap
   M /trunk/configure.ac
   M /trunk/mozilla/Makefile.am
   M /trunk/src/Makefile.am

Suppress support for position dependant code (except on mingw32).
This simplifies the build system quite a lot, and reduce compilation
times when PIC is actually needed.

If you really mind the extra overhead of PIC, use:
./configure --enable-libtool --enable-static --disable-shared

------------------------------------------------------------------------
r15806 | littlejohn | 2006-06-04 17:30:18 +0200 (Sun, 04 Jun 2006) | 5 lines
Changed paths:
   M /trunk/bootstrap
   M /trunk/configure.ac

pic libraries are now correctly installed when needed:
* --enable-pic added in configure.ac
* bootstrap modified to use BUILD_PIC in place of BUILD_MOZILLA where needed


------------------------------------------------------------------------
r15805 | ipkiss | 2006-06-04 16:17:46 +0200 (Sun, 04 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_tree.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_tree.hpp
   M /trunk/modules/gui/skins2/utils/observer.hpp
   M /trunk/modules/gui/skins2/utils/var_tree.hpp

 * modules/gui/skins2/*: Use ARG instead of ARG* as a template argument

------------------------------------------------------------------------
r15804 | ipkiss | 2006-06-04 16:03:54 +0200 (Sun, 04 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_button.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_checkbox.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_generic.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_list.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_radialslider.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_slider.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_text.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_tree.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_video.hpp
   M /trunk/modules/gui/skins2/src/generic_window.hpp
   M /trunk/modules/gui/skins2/src/tooltip.hpp
   M /trunk/modules/gui/skins2/utils/var_bool.hpp
   M /trunk/modules/gui/skins2/utils/var_text.hpp
   M /trunk/modules/gui/skins2/vars/equalizer.hpp

 * modules/gui/skins2/*: More simplifications of the same kind

------------------------------------------------------------------------
r15803 | ipkiss | 2006-06-04 15:55:41 +0200 (Sun, 04 Jun 2006) | 4 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_button.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_button.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_checkbox.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_checkbox.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_generic.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_generic.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_list.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_list.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_radialslider.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_radialslider.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_slider.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_slider.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_text.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_text.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_tree.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_tree.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_video.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_video.hpp
   M /trunk/modules/gui/skins2/src/anim_bitmap.hpp
   M /trunk/modules/gui/skins2/src/generic_window.cpp
   M /trunk/modules/gui/skins2/src/generic_window.hpp
   M /trunk/modules/gui/skins2/src/tooltip.cpp
   M /trunk/modules/gui/skins2/src/tooltip.hpp
   M /trunk/modules/gui/skins2/utils/observer.hpp
   M /trunk/modules/gui/skins2/utils/position.hpp
   M /trunk/modules/gui/skins2/utils/var_bool.cpp
   M /trunk/modules/gui/skins2/utils/var_bool.hpp
   M /trunk/modules/gui/skins2/utils/var_list.hpp
   M /trunk/modules/gui/skins2/utils/var_percent.hpp
   M /trunk/modules/gui/skins2/utils/var_text.cpp
   M /trunk/modules/gui/skins2/utils/var_text.hpp
   M /trunk/modules/gui/skins2/vars/equalizer.cpp
   M /trunk/modules/gui/skins2/vars/equalizer.hpp

 * modules/gui/skins2/*: The second template argument of the Subject and
   Observer classes now has a default value. This simplifies the code in many
   places.

------------------------------------------------------------------------
r15802 | zorglub | 2006-06-04 11:00:36 +0200 (Sun, 04 Jun 2006) | 3 lines
Changed paths:
   M /trunk/modules/misc/Modules.am
   M /trunk/modules/misc/notify.c
   M /trunk/src/input/input.c

* Don't reset input meta information
* Improve notification layout

------------------------------------------------------------------------
r15801 | zorglub | 2006-06-04 10:13:00 +0200 (Sun, 04 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp
   M /trunk/modules/gui/qt4/util/qvlcframe.hpp

More cosmetics for plastique

------------------------------------------------------------------------
r15800 | xtophe | 2006-06-04 02:13:40 +0200 (Sun, 04 Jun 2006) | 4 lines
Changed paths:
   M /trunk/configure.ac
   A /trunk/modules/misc/notify.c (from /trunk/modules/misc/growl.c:15793)

New libnotify plugin.
TODO: - get rid of the harcoded path for the icon
      - make the meta printed an option.

------------------------------------------------------------------------
r15799 | massiot | 2006-06-04 02:10:01 +0200 (Sun, 04 Jun 2006) | 2 lines
Changed paths:
   M /trunk/doc/fortunes.txt

.

------------------------------------------------------------------------
r15798 | ipkiss | 2006-06-04 02:00:34 +0200 (Sun, 04 Jun 2006) | 2 lines
Changed paths:
   M /trunk/doc/skins/skins2-howto.xml

 * dos/skins/skins2-howto.xml: Small precision

------------------------------------------------------------------------
r15797 | ipkiss | 2006-06-04 01:57:40 +0200 (Sun, 04 Jun 2006) | 9 lines
Changed paths:
   M /trunk/doc/skins/skins2-howto.xml
   M /trunk/modules/gui/skins2/commands/cmd_resize.cpp
   M /trunk/modules/gui/skins2/commands/cmd_resize.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_resize.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_resize.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_video.cpp
   M /trunk/modules/gui/skins2/parser/builder.cpp
   M /trunk/modules/gui/skins2/parser/builder_data.def
   M /trunk/modules/gui/skins2/parser/builder_data.hpp
   M /trunk/modules/gui/skins2/parser/skin_parser.cpp
   M /trunk/modules/gui/skins2/src/anchor.hpp
   M /trunk/modules/gui/skins2/src/generic_layout.cpp
   M /trunk/modules/gui/skins2/src/window_manager.cpp
   M /trunk/modules/gui/skins2/src/window_manager.hpp
   M /trunk/modules/gui/skins2/utils/position.hpp
   M /trunk/share/skins2/skin.dtd

 * modules/gui/skins2/*:
     - anchors have a new "lefttop" attribute, allowing them to follow the
       border of the window when resizing
     - the resizing is now handled by the WindowManager class (to enforce the
       mediator pattern). This makes it possible to handle tricky cases,
       such as:
           window B is anchored to window A, and A is resized
           ==> B moves accordingly, and can still be anchored by other windows

------------------------------------------------------------------------
r15796 | zorglub | 2006-06-04 00:27:19 +0200 (Sun, 04 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences.cpp
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.cpp

Cosmetics

------------------------------------------------------------------------
r15795 | zorglub | 2006-06-03 23:44:25 +0200 (Sat, 03 Jun 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp

* Fix crash
* Add a prefs button

------------------------------------------------------------------------
r15794 | zorglub | 2006-06-03 20:03:40 +0200 (Sat, 03 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   A /trunk/modules/gui/qt4/components/preferences.cpp (from /trunk/modules/gui/qt4/components/preferences_tree.cpp:15791)
   A /trunk/modules/gui/qt4/components/preferences.hpp (from /trunk/modules/gui/qt4/components/preferences_tree.hpp:15791)
   D /trunk/modules/gui/qt4/components/preferences_tree.cpp
   D /trunk/modules/gui/qt4/components/preferences_tree.hpp
   M /trunk/modules/gui/qt4/components/preferences_widgets.cpp
   M /trunk/modules/gui/qt4/components/preferences_widgets.hpp
   A /trunk/modules/gui/qt4/dialogs/prefs_dialog.cpp
   A /trunk/modules/gui/qt4/dialogs/prefs_dialog.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   A /trunk/modules/gui/qt4/pixmaps
   A /trunk/modules/gui/qt4/pixmaps/advanced.xpm (from /trunk/modules/gui/wxwidgets/bitmaps/advanced.xpm:15787)
   A /trunk/modules/gui/qt4/pixmaps/audio.xpm
   A /trunk/modules/gui/qt4/pixmaps/codec.xpm (from /trunk/modules/gui/wxwidgets/bitmaps/codec.xpm:15787)
   A /trunk/modules/gui/qt4/pixmaps/intf.xpm (from /trunk/modules/gui/wxwidgets/bitmaps/intf.xpm:15787)
   A /trunk/modules/gui/qt4/pixmaps/type_net.xpm (from /trunk/modules/gui/wxwidgets/bitmaps/type_net.xpm:15787)
   A /trunk/modules/gui/qt4/pixmaps/type_playlist.xpm (from /trunk/modules/gui/wxwidgets/bitmaps/type_playlist.xpm:15787)
   A /trunk/modules/gui/qt4/pixmaps/video.xpm (from /trunk/modules/gui/wxwidgets/bitmaps/video.xpm:15787)

Preferences

------------------------------------------------------------------------
r15793 | fkuehne | 2006-06-03 14:15:03 +0200 (Sat, 03 Jun 2006) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

* use ganesh instead of the official server while it is down
------------------------------------------------------------------------
r15792 | fkuehne | 2006-06-03 12:45:32 +0200 (Sat, 03 Jun 2006) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* fixed compilation if svn isn't in the default path
------------------------------------------------------------------------
r15791 | xtophe | 2006-06-03 00:56:38 +0200 (Sat, 03 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/http.c

Fix Stream title. Patch by Diego "Flameeyes" Petteno

------------------------------------------------------------------------
r15790 | xtophe | 2006-06-03 00:22:01 +0200 (Sat, 03 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_output/x11/glx.c

discriminate between the two OpenGL modules

------------------------------------------------------------------------
r15789 | zorglub | 2006-06-02 22:20:21 +0200 (Fri, 02 Jun 2006) | 2 lines
Changed paths:
   A /trunk/modules/gui/qt4/components/preferences_tree.cpp
   A /trunk/modules/gui/qt4/components/preferences_tree.hpp

Empty files

------------------------------------------------------------------------
r15788 | bigben | 2006-06-02 21:24:36 +0200 (Fri, 02 Jun 2006) | 3 lines
Changed paths:
   M /trunk/modules/video_output/opengl.c

* Don't change the FSF address


------------------------------------------------------------------------
r15787 | bigben | 2006-06-02 20:41:31 +0200 (Fri, 02 Jun 2006) | 3 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/configure.ac
   M /trunk/modules/video_output/opengl.c

* Patch by C?\195?\169dric Cocquebert to add several additional video effects to the opengl vout


------------------------------------------------------------------------
r15786 | littlejohn | 2006-06-02 15:22:58 +0200 (Fri, 02 Jun 2006) | 3 lines
Changed paths:
   M /trunk/configure.ac

when testing if mozilla is required, use enable_mozilla, not just mozilla


------------------------------------------------------------------------
r15785 | littlejohn | 2006-06-02 13:27:30 +0200 (Fri, 02 Jun 2006) | 5 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/input.c
   M /trunk/src/control/video.c

added in libvlc:
 - simple screenshot function
 - an helper function to check if the input item is playing 


------------------------------------------------------------------------
r15784 | zorglub | 2006-06-02 08:06:38 +0200 (Fri, 02 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences_widgets.cpp

Todo for prefs widgets

------------------------------------------------------------------------
r15783 | zorglub | 2006-06-02 08:05:11 +0200 (Fri, 02 Jun 2006) | 2 lines
Changed paths:
   M /trunk/src/libvlc.h

Typo. Thanks to radius on the forum

------------------------------------------------------------------------
r15782 | damienf | 2006-06-02 01:22:54 +0200 (Fri, 02 Jun 2006) | 5 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/gui/macosx/voutgl.m
   M /trunk/mozilla/vlc.r
   M /trunk/mozilla/vlcshell.cpp

- voutgl.m: added OpenGL provider for MacOS X Safari/mozilla plugin
- vlcshell.cpp: make opengl the default video output module for macosx
- vlc.r: remove Quicktime mimetype from supported list
- configure.ac: the OpenGL provider requires the AGL framework

------------------------------------------------------------------------
r15781 | xtophe | 2006-06-01 23:28:12 +0200 (Thu, 01 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/video.cpp

Don't lock the mutex twice

------------------------------------------------------------------------
r15780 | zorglub | 2006-06-01 22:42:03 +0200 (Thu, 01 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   A /trunk/modules/gui/qt4/components/preferences_widgets.cpp
   A /trunk/modules/gui/qt4/components/preferences_widgets.hpp

Skeleton for preferences widgets

------------------------------------------------------------------------
r15779 | zorglub | 2006-06-01 16:46:26 +0200 (Thu, 01 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/input_manager.hpp
   M /trunk/modules/gui/qt4/util/input_slider.cpp

Manage navigation buttons, status and text

------------------------------------------------------------------------
r15778 | xtophe | 2006-06-01 15:10:28 +0200 (Thu, 01 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_output/caca.c

caca.c: compile fix

------------------------------------------------------------------------
r15777 | sam | 2006-06-01 12:34:32 +0200 (Thu, 01 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_output/caca.c

  * modules/video_output/caca.c: fixed typedefs for older libcaca versions.

------------------------------------------------------------------------
r15776 | sam | 2006-06-01 11:57:01 +0200 (Thu, 01 Jun 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_output/caca.c

  * modules/video_output/caca.c: many code simplifications.

------------------------------------------------------------------------
r15775 | sam | 2006-06-01 11:53:36 +0200 (Thu, 01 Jun 2006) | 3 lines
Changed paths:
   M /trunk/bootstrap

  * bootstrap: simplified automake detection and added support for the FreeBSD
    automake naming scheme.

------------------------------------------------------------------------
r15774 | Trax | 2006-06-01 01:12:09 +0200 (Thu, 01 Jun 2006) | 1 line
Changed paths:
   M /trunk/modules/mux/asf.c

* modules/mux/asf.c: Experimental support for AAC (mp4a) in asf. Needs testing.
------------------------------------------------------------------------
r15773 | zorglub | 2006-05-31 23:48:31 +0200 (Wed, 31 May 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/input_manager.cpp

Don't crash

------------------------------------------------------------------------
r15772 | xtophe | 2006-05-31 23:45:06 +0200 (Wed, 31 May 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/qt4.cpp

Add a qt shortcut

------------------------------------------------------------------------
r15771 | xtophe | 2006-05-31 23:34:01 +0200 (Wed, 31 May 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

[15729] breaks binary compatibility

------------------------------------------------------------------------
r15770 | zorglub | 2006-05-31 23:24:58 +0200 (Wed, 31 May 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/input_manager.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/util/input_slider.cpp
   M /trunk/modules/gui/qt4/util/input_slider.hpp

Cleanup

------------------------------------------------------------------------
r15769 | zorglub | 2006-05-31 23:04:26 +0200 (Wed, 31 May 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp
   M /trunk/modules/gui/qt4/util/input_slider.cpp
   M /trunk/modules/gui/qt4/util/input_slider.hpp

First benefits of QT ! A slider ! (Refs:#80)

------------------------------------------------------------------------
r15768 | zorglub | 2006-05-31 22:40:54 +0200 (Wed, 31 May 2006) | 3 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/modules/access/cdda/info.c
   M /trunk/modules/access/cdda.c
   M /trunk/modules/control/hotkeys.c
   M /trunk/modules/control/http/macro.c
   M /trunk/modules/control/http/rpn.c
   M /trunk/modules/demux/playlist/playlist.h
   M /trunk/modules/gui/macosx/playlist.m
   M /trunk/modules/gui/macosx/wizard.m
   M /trunk/modules/gui/ncurses.c
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/skins2/vars/playtree.cpp
   M /trunk/modules/gui/wince/open.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/playlist.cpp
   M /trunk/modules/video_filter/motiondetect.c
   M /trunk/src/playlist/control.c
   M /trunk/src/playlist/tree.c

Fix playlist crasher and simplify a few things
(Remove ITEMPLAY method, which had become redundant)

------------------------------------------------------------------------
r15767 | dionoea | 2006-05-30 21:57:34 +0200 (Tue, 30 May 2006) | 2 lines
Changed paths:
   M /trunk/THANKS

Typo corretion. Thanks to tango_ on IRC :)

------------------------------------------------------------------------
r15766 | zorglub | 2006-05-30 21:17:33 +0200 (Tue, 30 May 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/main_interface.cpp

QT4 detection patch by Pavlov Konstantin

------------------------------------------------------------------------
r15765 | zorglub | 2006-05-30 08:20:06 +0200 (Tue, 30 May 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components
   M /trunk/modules/gui/qt4/dialogs
   M /trunk/modules/gui/qt4/util

Fix properties

------------------------------------------------------------------------
r15764 | zorglub | 2006-05-29 22:08:14 +0200 (Mon, 29 May 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp
   M /trunk/modules/gui/qt4/qt4.cpp
   M /trunk/modules/gui/qt4/util/input_slider.cpp

Start handling input
Quit

------------------------------------------------------------------------
r15763 | jpsaman | 2006-05-29 20:58:58 +0200 (Mon, 29 May 2006) | 1 line
Changed paths:
   M /trunk/THANKS

Added Diego Petteno to THANKS file.
------------------------------------------------------------------------
r15762 | jpsaman | 2006-05-29 20:57:20 +0200 (Mon, 29 May 2006) | 5 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/encoder.c

This patch removes the usage of FFMPEG's internal ff_mpeg4_default_*_matrix
symbols that would be hidden by the visibility patch, thus allowing VLC usage
with patched FFMPEG code, and sanitise the need for accessing non-public
symbols. Patch by Diego Petteno (flameeyes at gentoo do org).

------------------------------------------------------------------------
r15761 | courmisch | 2006-05-29 20:46:09 +0200 (Mon, 29 May 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/gui/qt4/Modules.am

Build system fixes + cleanup

------------------------------------------------------------------------
r15760 | zorglub | 2006-05-29 19:28:15 +0200 (Mon, 29 May 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/dialogs/streaminfo.cpp
   M /trunk/modules/gui/qt4/dialogs/streaminfo.hpp
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/input_manager.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp
   A /trunk/modules/gui/qt4/util/input_slider.cpp
   A /trunk/modules/gui/qt4/util/input_slider.hpp

Some progress

------------------------------------------------------------------------
r15759 | zorglub | 2006-05-29 15:23:48 +0200 (Mon, 29 May 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am

Fix a typo

------------------------------------------------------------------------
r15758 | zorglub | 2006-05-29 08:07:36 +0200 (Mon, 29 May 2006) | 4 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components
   A /trunk/modules/gui/qt4/components/infopanels.cpp
   A /trunk/modules/gui/qt4/components/infopanels.hpp
   A /trunk/modules/gui/qt4/dialogs/streaminfo.cpp
   A /trunk/modules/gui/qt4/dialogs/streaminfo.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   A /trunk/modules/gui/qt4/input_manager.cpp
   A /trunk/modules/gui/qt4/input_manager.hpp
   M /trunk/modules/gui/qt4/qt4.cpp
   M /trunk/modules/gui/qt4/qt4.hpp
   A /trunk/modules/gui/qt4/ui/input_stats.ui

* Fix QT detection and make dist
* First dialog
* Start of input management

------------------------------------------------------------------------
r15757 | hartman | 2006-05-28 18:26:13 +0200 (Sun, 28 May 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/xspf.c

this patch allows xml comments directly before the root node. Patch by Daniel Stranger.

------------------------------------------------------------------------
r15756 | zorglub | 2006-05-28 15:18:21 +0200 (Sun, 28 May 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs/open.cpp

Fix

------------------------------------------------------------------------
r15755 | zorglub | 2006-05-28 14:04:19 +0200 (Sun, 28 May 2006) | 3 lines
Changed paths:
   M /trunk/include/vlc_interface.h
   M /trunk/modules/gui/wxwidgets/dialogs/open.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/playlist.cpp
   M /trunk/modules/gui/wxwidgets/dialogs.cpp

File type filters and implementation in WX. Refs:#24
Thanks to Steven Sheehy and sorry for the delay :)

------------------------------------------------------------------------
r15754 | sam | 2006-05-28 01:12:26 +0200 (Sun, 28 May 2006) | 3 lines
Changed paths:
   M /trunk/modules/codec/realaudio.c

  * modules/codec/realaudio.c: oh, after all, let's use WINAPI for function
    declarations :-)

------------------------------------------------------------------------
r15753 | sam | 2006-05-28 01:10:52 +0200 (Sun, 28 May 2006) | 3 lines
Changed paths:
   M /trunk/modules/codec/realaudio.c

  * modules/codec/realaudio.c: only use WINAPI for function declarations, not
    for function pointers.

------------------------------------------------------------------------
r15752 | courmisch | 2006-05-27 19:40:15 +0200 (Sat, 27 May 2006) | 7 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/src/misc/mtime.c

src/misc/mtime.c:
 - Don't use TIMER_ABSTIME which sucks (at least on Linux with HZ=1000)
 - Cosmetic
configure.ac:
 - Check for clock_nanosleep() rather than clock_gettime(), as it is more
   recent and we need both.

------------------------------------------------------------------------
r15751 | fkuehne | 2006-05-27 19:00:27 +0200 (Sat, 27 May 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m
   M /trunk/modules/gui/macosx/playlistinfo.m

* playlistinfo.m: fixed a rare crash and made sure that the timer is run in every case
* playlist.m: minor update to the new playlist plus removal of an unpurposelly commited debug-msg
------------------------------------------------------------------------
